commit ad218763634228041623d7bdd91eba39a48829be
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 31 21:44:08 2012 +0100

    Qt: Compressor: remove useless method parameter

commit 65ff356649bff059a949570b4cf85f54867b75f9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 31 20:10:19 2012 +0100

    Qt: Compressor: remove undefined methods

commit 69cdf17232984c40f56bfc6e8d0830d808760fb6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 31 15:44:52 2012 +0100

    Qt: Equalizer: namespace initial values

commit 6e9c9a93bc9b7c4ebda7e2cec23781b7caca0e48
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 31 15:40:55 2012 +0100

    Qt: Compressor: namespace initial values

commit aab5ebf333d37644b2485a545e4093aec42e38b8
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 31 15:57:27 2012 +0100

    CC: remove tabs

commit 0560ceb34d73e080019d09c84ed7843e3cc375a1
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 31 14:15:02 2012 +0100

    subsdec: avoid segfaults

commit 0740e5433637c12dab43067b964248b667cda19d
Author: Asad Mehmood <asad78611@googlemail.com>
Date:   Mon Dec 31 00:56:00 2012 +0000

    arm_neon i420 -> rgb: Output pitch can be 64 bit aligned
    
    When an output picure is requested from a Samsung (exynos?) device
    it is not guarateed to be aligned to 128 bit (4 pixels).
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 389785860a290082fa0315e162594a9fb8da8b32
Author: Devin Heitmueller <dheitmueller@kernellabs.com>
Date:   Thu Dec 27 01:08:23 2012 -0500

    Add ability to render the subpicture region, but not the text itself
    
    We want to center the subpicture region, but the text itself needs
    to be rendered left justified in order to get consistent placement
    of captions (e.g. indentation).
    
    Introduce a new alignment type which centers the subpicture, but
    not the text it contains within (and enable it for the EIA-608 decoder).
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 75402b8f25030fff192738b462e985933be0360c
Author: Devin Heitmueller <dheitmueller@kernellabs.com>
Date:   Thu Dec 27 01:08:22 2012 -0500

    Add support for font height as a percentage of the video height
    
    In order to get consistent EIA-608 caption positioning, we need to be able
    to size the fonts based on the size of the video.  Add support for
    specifying the font height as a percentage of the video.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 2393f44266d735bc93e2dedb7491c461834e946d
Author: Devin Heitmueller <dheitmueller@kernellabs.com>
Date:   Thu Dec 27 01:08:19 2012 -0500

    Make sure font color attribute is quoted.
    
    We need to add quotes to the color attribute for the font tag, or else
    the XML parser will choke and the HTML will not be rendered.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 4f42eeeebb18cb2b5acc623d49225335266c099a
Author: Devin Heitmueller <dheitmueller@kernellabs.com>
Date:   Thu Dec 27 01:08:18 2012 -0500

    Increase the size of the buffer for CC text
    
    Make the buffer larger, since there are more HTML tags in the resulting output
    stream.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 4536d80970edb271210eace32112e2a465029747
Author: Devin Heitmueller <dheitmueller@kernellabs.com>
Date:   Thu Dec 27 01:08:17 2012 -0500

    Fix rendering of HTML reserved characters
    
    If the character in the EIA-608 stream is one of the reserved characters,
    escape it accordingly so that the HTML renders properly.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit a3b221775831de2fe24276f4468392c24be6dd35
Author: Devin Heitmueller <dheitmueller@kernellabs.com>
Date:   Thu Dec 27 01:08:16 2012 -0500

    Convert leading whitespace characters to non-breaking spaces
    
    If there are any whitespace characters before the start of text in a row,
    convert it to non-breaking whitespace. We do this because the RenderHtml
    function will strip any cases of more than one contigious whitespace. The
    effect of such is that text that is not left justified will be forced to
    the left.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 6dc52f6e388a55c31dd3ffeb002f064b63a47130
Author: Devin Heitmueller <dheitmueller@kernellabs.com>
Date:   Thu Dec 27 01:08:15 2012 -0500

    Fix positioning so that the EIA-608 field is properly centered
    
    Because the subpicture field contains all the lines, we need to change the
    layout.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit d437095ff46fd9caae2a4da779207f5b50413957
Author: Devin Heitmueller <dheitmueller@kernellabs.com>
Date:   Thu Dec 27 01:08:14 2012 -0500

    Render all rows, even blank ones
    
    We need to render all the rows, or else the placement of popup captions will
    not be correct.
    
    The previous code worked fine when rendering text horizontally aligned at the
    bottom of the screen, but won't work for a real layout.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 570dbaf62165e656c75caef077cff595d2aeb873
Author: Devin Heitmueller <dheitmueller@kernellabs.com>
Date:   Thu Dec 27 01:08:13 2012 -0500

    Enable HTML renderer for closed captions
    
    We need to use the HTML renderer if we want colors/styles to work
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 59d8e3992f5d98d3c2a1e680a154c541491813b2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 30 20:47:42 2012 +0100

    Qt: MainInterface: namespace visibility property

commit 176df713dfa43e1457c8d1f037cc129188ecc359
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 30 20:23:49 2012 +0100

    Qt: remove property macro.
    
    According to Qt, props must have a read method

commit d95f17cbbc02e81fbcf4056c48c08bfef5aa5ce3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 30 20:22:37 2012 +0100

    Qt: remove useless disambiguator

commit e9fe22e89fa8934f1fb050f9bdc752ab558c877a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 20 15:07:32 2012 +0100

    Qt: BGWidget: split joke code.
    
    And more :)

commit 3b4128149119c6b0f9575a6ec16f7d585ac7a388
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Dec 30 16:02:53 2012 +0100

    macosx: show lua intfs in advanced preferences
    
    hack adapted from the qt interface.
    
    close #7876

commit 7e96734bbd094e8856d354b9e1225838f6af9adc
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Dec 29 17:33:08 2012 +0100

    macosx: add mouse scroll support for fullscreen time slider

commit a8bd7a32c4fa4d65b14551b6e87ee2c6e3f00af0
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Dec 18 16:04:12 2012 +0200

    transcode: take codec earlier on so codec aliases are handled better, ref #7892

commit aaf991fcfb58d24c5d418d285011fad8c9ed2206
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Dec 29 15:21:43 2012 +0200

    avcodec: try to find packet sample format for encoding

commit b4f6e77d1e156e7424f73858bab37a511658760c
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Dec 29 15:16:54 2012 +0200

    avcodec: deinterleave samples if input format for codec is planar

commit ec3df8f49c7d48389c79226db6acf00a511e7e0e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Dec 29 14:21:04 2012 +0200

    aout: add deinterleave helper for doing packet->planar for audio samples

commit 6d6342b47ebfa8fdad36cbae84ab81fad8bdca9b
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Dec 18 16:00:30 2012 +0200

    avcodec: split encoding chunks to frame_size portions
    
    avcodec contains codecs that don't like variable size frames, so feed
    avcodec with frame_size chunks and and handle leftovers ourself. This
    functionality was dropped when flushing was introduced and seemed to
    work without just fine, I was proven wrong.

commit 8c233c5182d8cd0dc0aa9e0aec6262ae0ef84ea3
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Dec 18 15:57:16 2012 +0200

    avcodec: set EncodeAudio/Video at the end

commit 99ab06c7ffe189e81118f6122b1661c6c7af033c
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Dec 28 12:53:30 2012 +0200

    avcodec: fix codec mapping array size check

commit d00fe8ac34d626a5e24d1c8b2e564b5364c62136
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Dec 29 09:37:34 2012 +0200

    avcodec: set encoding sample format correctly and don't assume S16N

commit 45032ec3b271641aaa3d9613e7c579fabc3d475a
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Dec 28 12:54:39 2012 +0200

    avcodec: handle planar samples from libavcodec

commit dc56d39434dc403687556dc8cae1b45fec25eb30
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Dec 18 15:59:52 2012 +0200

    avcodec: aout_BitsPerSample uses  vlc_fourcc_GetCodec itself, so no need to call it ourselves in here

commit 3f89be63d4e71e54342ef268b6b585877b92c9f6
Author: Denis Charmet <typx@dinauz.org>
Date:   Sat Dec 29 15:39:49 2012 +0100

    Clean the played waveout frames in Play and Stop
    
    Doing it in the callback cause deadlocks.

commit d0548a8dd77490b4f9f7075e88e2f824bb78cbf1
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Sat Dec 29 18:52:40 2012 +0100

    Cleaner way to define the GLSL version number as pointed out by funman.

commit 0dab579a760c498d882d84fd6e9192bb604c34b3
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Sat Dec 29 17:58:08 2012 +0100

    [OpenGL] Fix some wrong logic about GLSL version numbers.

commit d5505899124ae95ff8f86db4bcd1f75f407ba6a2
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Sat Dec 29 17:51:48 2012 +0100

    [OpenGL] Fix OpenGL glsl shader version numbers.
    It seems that standard OpenGL 2.0 requires version number to be equal to 120 contrary to OpenGL ES 2.0 that requires it to be equal to 100.

commit 1441746f8b96be8aee9990a76681975fdf23c209
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Fri Dec 28 19:23:57 2012 +0100

    [OpenGL] Make the GLSL shaders compatible with OpenGL ES 2.0

commit 198167d307d6e8c4628e60ad5d19f8e376db427c
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Fri Dec 28 21:19:35 2012 -0500

    media_list_player: implement MediaListPlayerStopped
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 29928f3092bcf26b4446b116cc5c40f1c1bca2a4
Author: Denis Charmet <typx@dinauz.org>
Date:   Fri Dec 28 19:30:01 2012 +0100

    Initialize codecs after track parsing and not before the selection.
    
    This avoid leaks at segment changes.

commit 9b14e5233334b9291ab0b5dd40cff23b2eff7c75
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 21:26:16 2012 +0100

    macosx/CAS: Rename 'Convert & Save' to 'Convert and Stream'

commit ff241764f59729c01a0dcf4b149803a63c071bcd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 21:02:41 2012 +0100

    macosx/CAS: add MKV to the black list for HTTP streaming

commit 514be08ca20dd43bc79d7120ab514574af5bc13c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 20:47:02 2012 +0100

    macosx/CAS: added final error checks (close #5900)

commit 0dea876ea9ef8cce039438b30fd425026c01e240
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 20:26:12 2012 +0100

    macosx/CAS: add a button for SDP file location selection

commit 2ad63ccbe4db096771208f8e8c09b8df54ac35c2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 20:11:00 2012 +0100

    macosx/CAS: fix SDP announcements

commit 309906f6754ca1ea7c1abf9e356919c5fac823a9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 20:04:07 2012 +0100

    macosx/CAS: rework misleading SDP UI

commit 6912d83856ff17a1dd2b13fe025decfd2052f835
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 19:34:46 2012 +0100

    macosx/CAS: implement streaming
    
    minor announcement stuff left to do

commit c52ba9162ecf4c3d24a32df89c5d6851c6104e39
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 28 14:08:25 2012 +0100

    live555: use calloc

commit c2a68e8156d670e18e172fd8e8444b7c9475f445
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 28 18:40:09 2012 +0100

    libvlc: match the documentation to the actual behaviour

commit 2466714ed9271564f8839c31b1db9d11dcf7e5c7
Author: Denis Charmet <typx@dinauz.org>
Date:   Fri Dec 28 17:18:25 2012 +0100

    Remove aout_Packet API from WaveOut

commit 85df0077bc668583e0695a77c13ed37498011af0
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Fri Dec 28 11:28:32 2012 +0100

    news: Update the 2.1 services discovery section

commit 7d008288f8529adbb579ce7cfa60bbe7b2efa611
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 11:13:33 2012 +0100

    macosx/CAS: implement basic error checking for the stream-out settings

commit 60fd182b5c4d57a9df3156819ce0d16d8594aba1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 27 18:18:17 2012 +0100

    macosx/CAS: simplify stream-out summary to something useful

commit 7b6a20bb9cb91fb58cf09854cb5bafa34c7ff97b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 27 18:10:42 2012 +0100

    macosx/CAS: fix incorrect channel name field activation in stream panel

commit bc4b7944679587878c1c17b062aa92a76a0905aa
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 27 17:44:22 2012 +0100

    quartztext: add support for HTML color names within color tags

commit 1bccc59e3695b27b6cea759075ed4c681e97d2fe
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 27 15:40:24 2012 +0100

    quartztext: fix incomplete copyright header

commit 5aa6adb6b282d072bbf68bd0c6f50836a0e09c5b
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Wed Dec 26 06:59:00 2012 +0100

    upnp sd: work around missing XML namespaces in DIDL documents

commit 5725edf9fb32b1dbe89300d3c1045a8b9e2bb6c6
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Fri Nov 9 13:50:18 2012 +0100

    upnp sd: Add support for Samsung devices' subtitles extensions
    
     * Request the sec:CaptionInfo and sec:CaptionInfoEx DIDL attributes
     * If one of the two caption attributes are present, build and add an
       input-slave option string which forces the subtitle demux
     * Add the sub-track-id option to input items with subtitles
       so the subtitles are immediately visible

commit 41271ce9556ff82d6165b024da71f178c8947453
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Fri Dec 28 00:28:52 2012 +0100

    upnp sd: Fix a warning introduced in the previous commit

commit 83cb6f5a3c209164f93e3ee67434a7cbdf2ccb60
Author: Mirsal Ennaime <mirsal@videolan.org>
Date:   Thu Dec 27 22:39:12 2012 +0100

    upnp sd: fix warning

commit 51e34e8979178da93403c8904abe04a7146c1eaf
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 21:30:26 2012 +0100

    macosx: video effects: limit wall settings to 1 - 15 and clone setting to 2 - 20

commit f326f2f4b3c4ce46856abbb673e0d879ea92ac17
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 21:21:04 2012 +0100

    macosx: video effects panel: limit posterize values to 2 - 256
    
    When trying to set 1, VLC hangs...

commit 970ff89b610e5cf4e91a1941f353c9edf68a9169
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 21:04:29 2012 +0100

    macosx: video effects: limit puzzle settings from 2 - 16

commit 05f9c0acdbf2832d507724d644d32aa06c47cf65
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 20:52:05 2012 +0100

    puzzle: row and col values of 1 are not supported

commit e378fa45a71b83dfea4a7955fda520a50a747b1b
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 20:39:50 2012 +0100

    macosx: video effects panel: synchronize text field and stepper values properly by using cocoa bindings
    
    This simplifies the code and fixes stepper responseness.
    This also fixes enabled state of some steppers.

commit 6310b88035615d6f9452359993da5db4000d8f4f
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 15:36:59 2012 +0100

    vlc blocks: remove useless VLC_USED at function returning void

commit d3319c732f0b6583aa48e4510fdf8d735701d43f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 27 12:51:57 2012 +0100

    macosx: fix table column indentation (close #6929)
    
    For indentation, the outline table column needs to be set, which used to be the title column. This is not a bad choice, since it is only column populated by all items.
    
    However, one can't remove the outline table column easily, so I chose to disable the ability to remove it, something virtually all users don't want to do anyway.

commit d1ce26a733502c1d11f5fe2d7b4591f3648d8a9e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 27 12:18:42 2012 +0100

    macosx: fix avcodec-hw option implementation
    
    The option is presented to the user in a simplified way, since there is only one hardware acceleration module on the Mac.

commit 1e6cf730adbb40810c98e2443661ef25ba6d35a5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 27 12:17:40 2012 +0100

    avcodec/vda: add shortcut for non-ambigous referencing

commit 72c15937ea39233e818f96e58543f0b48c82fe02
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 27 12:12:08 2012 +0100

    Contribs: update freetype to 2.4.11

commit 5cb80582492b465c0a8ed58971a1de482689c8bd
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 11:41:25 2012 +0100

    macosx: cascade multiple vout window positions, fix initial window positions
    
    close #7873

commit 25f233cf1a280675a6fa24093185d6950ed81dea
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Thu Dec 27 11:34:14 2012 +0100

    macosx: fix rare crash when changing video effects settings

commit 3429eb01ec8a61170fa5ff17b22e7b2473334f17
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Dec 25 20:36:04 2012 +0100

    macosx: allow multiple vout windows in video-wallpaper mode
    
    (first window as wallpaper, all other ones as normal windows.)

commit 0e6418ec4cc7cbf0527c26216096c88196a05cc1
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Dec 27 12:42:10 2012 +0400

    UPNP SD: comply to upnp specification wrt to res:duration.
    
    Also, omit fraction of seconds.

commit 657885538abbc940c72c11dd2aebc60646e2fd6e
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Dec 27 10:42:46 2012 +0400

    MIPS: enable HAVE_FPU on hard-float builds.

commit 11e89954e99aa57b1864db890d1dcd8806245432
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Thu Dec 6 13:03:46 2012 +0400

    UPNP SD: extract all resources from DIDL.
    
    Fixes #7776

commit 59d6ab773e2fcb7b112cee692ce34996491ce4b2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 27 00:24:11 2012 +0100

    macosx: adapt fspanel layout to update time slider graphics

commit a62d893368a156f7b705f9c37d569e0e53e7fddb
Author: Damien Erambert <damien.erambert@me.com>
Date:   Thu Dec 27 00:00:58 2012 +0100

    macosx: re-worked fullscreen time slider graphics to achieve a bigger click target
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit b1d935415926a30bd5aa50ab24dfb2d903f8bdc4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 26 23:34:22 2012 +0100

    Qt: prefsItemData: rename ambigous var

commit a05072b5fb23a6afa7825c8d5a41f87686a45fb4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 26 23:31:05 2012 +0100

    Qt: prefsItem: namespace TYPE_*

commit 6f8e8326ef82029d868d3c4729c9fd64e41a06f2
Author: Denis Charmet <typx@dinauz.org>
Date:   Wed Dec 26 18:58:41 2012 +0100

    Handle with resilience unknown ebml elements
    
    Fix #7884 and #7887 by implementing the first proposition.

commit ca80c3e807a79abaab3de3d2732ec29f9444f69c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 26 18:35:46 2012 +0100

    macosx: added menu item and advanced option to hide the main window's sidebar

commit 16e6cbda348b58b0e483f903c4f0d6bcf3b1d5ac
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 26 16:33:31 2012 +0100

    Qt: spatializer: another useless indirect slot

commit 428b63f40eb2d3d168a538a7713bfba6fbef0144
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 26 16:32:43 2012 +0100

    Qt: spatializer: simplify using groupbox

commit b5d005cef4842f258c196f3be79e8d758c3d063d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 26 16:26:01 2012 +0100

    Qt: compressor: simplify by grouping

commit 68c78f8bc2d19cb4c029fa96488fc21270238cb4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 26 16:15:37 2012 +0100

    Qt: compressor: remove useless indirect slot

commit 4293ad80840b3a2ec14796f982b0beb1db9641a1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 26 15:46:40 2012 +0100

    Qt: complete prefs: missing initial value

commit 9322e135d79228221a0f52d4a745b43cb087be3f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 26 12:18:33 2012 +0100

    macosx: simplify ea98fcfc
    
    thanks to David for the feedback

commit 885af34477a2fe033e96b3475cd6b0eee52ad65e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 25 21:32:18 2012 +0100

    Qt: ConfigControl: missing Q_OBJECT

commit 0d3e16439be5e7195a196618cdd1ec7e6b156c6e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 24 22:39:23 2012 +0100

    Qt: sout_profiles: add video and audio filters (fix #7865)

commit 25316fbffc51417c6020ab9565db3dacf084fb4d
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Dec 25 20:01:05 2012 +0100

    macosx: video effects panel: only allow to activate clone XOR wall
    
    Clone and wall is not supported yet.

commit 803b630392c469202d5cb598cb6687caa12fa007
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Dec 25 16:22:46 2012 +0100

    macosx: video effects: restore correct state of clone and wall filter controls on reset

commit d28b2ffd95a6715107cd735c396e5e06c770caeb
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 25 18:51:38 2012 +0100

    Fix 2c22b194c8c : do not lose block_t information

commit 5596a281fcdb87582fb4d6dae208244b8002a798
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 25 18:46:20 2012 +0100

    Add block_CopyProperties() helper

commit ea98fcfc60555b5f06a7149b8142be0bfcfb2be8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 25 15:25:01 2012 +0100

    macosx: fixed subtitle rendering resolution when using the native fullscreen mode (close #7946)
    
    bug was triggered only when using controls provided by the OS like NSWindow's fullscreen button

commit b8f84e882858c2b001f7012d6055406180be6efd
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 25 12:19:39 2012 +0100

    Fix typo in 2c22b194c

commit 646c64b0cb377b4da5d292f282eb8bc7bb2da3de
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 24 15:07:25 2012 +0100

    auhal: remove debug stuff I forgot

commit d9ccc4314528b4b0a51b833a8213878eb235c4ae
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 24 14:52:10 2012 +0100

    extras/tools: updated gas-preprocessor hash

commit 34798daf9485f229815f6d661a27d73fc1828516
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 24 14:51:03 2012 +0100

    auhal: fixed some compilation warnings

commit 0fcc9cfb2e901af02f8b4fc0175b20bdd3729253
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 24 13:13:07 2012 +0100

    auhal: reduce noise when flushing the buffer and play silence in case it is empty

commit aa73cad32152dc4594ceb0f97e9fb7c531376bd7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 24 12:23:46 2012 +0100

    auhal: clean-up HardwareListener callback

commit 58a31eb2267a3bd19b12401baefbeb1e4a6760a4
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 23 18:00:03 2012 +0100

    opensles: take in account all buffered audio in latency
    
    We only considered the audio already buffered through opensles engine,
    so the calculation was incorrect.
    
    Use samples rather than bytes for calculation, and a function rather than
    hardcoding 2*2 all over the place when a size in bytes is needed.

commit 8e0f4af90549ac9a2c484a19d6fc9e2952be91dd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 22 22:56:18 2012 +0100

    Qt: Open Network Dialog: Only clear edit line on cancel (fix #7913)

commit f9c17d2ce65af4d8c1f569e1ef9c34837b8826b4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 22 22:40:25 2012 +0100

    Qt: saveAPlaylist: fix file extension logic (fix #7578)

commit e10b52d53ead90c83922fd595595266b60ea95c8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 22 21:25:32 2012 +0100

    Qt: about: Use rich text (fix #7590).
    
    Ubuntu bug #1038303

commit 9d7bf49bb4ccada00b85d09b23aec242fb7ddbdc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 22 20:59:53 2012 +0100

    Qt: hotkeys: always overwrite global hotkeys (fix #7932)

commit 28d465e81563ca495d1466a60451c743e3f69791
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 22 17:17:13 2012 +0100

    Qt: hotkeys: allow filtering by field (fix #7931)

commit bfcafac5854d4b58828488b89587b9bd5687b169
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 22 16:59:30 2012 +0100

    Qt: hotkeys selector: refer cols by name

commit d0ceff3a38c24e9a57d1ed7562dd1c07e172b0a6
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 22 16:16:29 2012 +0100

    audio_format_neon was removed in 6ba3c4bed4

commit e564f592ee556d468ec0d1bdc6169593ac58a3ca
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 22 15:33:51 2012 +0100

    Qt: hotkeys: add check for app's menu shortcuts (fix #7930)

commit 7117284eb4b0515d45f0433c1210052226422cf5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 22 13:49:57 2012 +0100

    smooth: fix potential memleak

commit ddac8657c5fd895b1d844aea6c8b3617c2ae5d4d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 22 13:40:38 2012 +0100

    oss: fix segfault

commit 3629b93e6025b70bbcf513c3b55ee0e4952455a4
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 22 11:50:11 2012 +0100

    qt4: the playlist should be locked when calling playlist_GetNodeDuration

commit 4fef4b6d00b9297ccfb3d533405dc6c3ab8c0ca7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 22 00:30:25 2012 +0200

    avcodec: simplify audio sample format mapping

commit 0198b074039d7351a6862fdc86488789fd735d81
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 22 00:17:23 2012 +0200

    aout: macro-vectorize aout_ChannelsReorder()

commit 861e38b0fce9a5f74e99f9b203648379ad09e69d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 22 00:13:57 2012 +0200

    aout: add aout_Interleave() helper for interleaving

commit d9b33ea5c8569f5d2258ef49f07cbb67dad7cb7a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 21 23:21:41 2012 +0200

    remap: support U8 because we can

commit f58f22cc319721f3e8a73bb3cce37c38ec2e02f4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 21 22:29:30 2012 +0200

    volume: add direct support for S32N, FL64 and U8

commit 2c22b194c8c6c7c134db7eb35c9feef81f5fec4b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 21 20:33:45 2012 +0200

    format: add missing conversions between U8, S16N, FL32, S32N and FL64
    
    And simplify accordingly.

commit 6ba3c4bed4985f4d9602074941b712f90f128454
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 21 20:29:41 2012 +0200

    aout: remove FI32 intermediate-only codec
    
    With hardware FPU, FI32 was only used within the mad decoder and
    internally converted to FL32. With software FPU, FI32 did not work
    properly as the S16N conversion was broken (at least since VLC1.1.0).

commit 69aa24b519f682bd43d628e1ab7ca9c960a6c7d9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 21 20:23:14 2012 +0200

    mad: decode to FL32 (as in existing VLC releases)
    
    Apparently, mad generates sample values outside the [-1,+1] range, so
    FL32 seems to be the most reasonable output format.
    
    (On systems without hardware FPU, I would recommend disabling mad, and
    using libavcodec for MPGA decoding.)

commit 84fab3ddd6f554d922df1c18ae4ab1266598d383
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 21 20:15:46 2012 +0200

    audio format: fix FI32 -> S16N conversion

commit 4440bb6bde5d2da545ec9a5ae61b17207370edd4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 21 20:04:54 2012 +0200

    vlc_aout: remove comments copied from libmad

commit 701a99af4db0b9f9c3fbedf3088573cb5a3b1505
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Fri Dec 21 06:54:14 2012 -0500

    contrib: fix the FPU detection for cross-compiles
    
    Previously, FPU detction was done before the variables for compiling (CC, CFLAGS, etc) were set. This broke on cross-compiles, because it was trying to use the default $(CC) to do the checks.
    
    By doing the FPU detection after setting all the variables, FPU detection for cross-compiles works spectacularly.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 639ee4abbf37c901d85103ef8f72daba66a01100
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 21 11:03:57 2012 +0100

    opensles: fix static noise at 44.1kHz

commit 7f4f09b56e1943c866c243a3a981c3050566c923
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 02:01:53 2012 +0100

    Fix DxVA2 decoding on HD2000/3000
    
    Close #6243

commit 2305e307986f48b05834f5cc3e110136d7ae22df
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 20 21:36:38 2012 +0100

    Removed useless vlc_gl_GetProcAddress() calls (opengl).

commit 87f20f41981f1966604712c1f505f39f01a062bf
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 20 21:33:22 2012 +0100

    Removed outdated comment (opengl).

commit dadf72fe264d2f3c16c82c206c57eec3b710a7ef
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 20 21:32:25 2012 +0100

    Reorder a bit vout_display_opengl_Display (opengl)
    
    No functionnal changes */

commit af01175143d276456e9dde12ee5db9363b7eb202
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 20 21:22:54 2012 +0100

    Simplified and fixed RGB fragment shader (opengl).

commit 7373aed3b3daf760acdf3fd25508716a93d8cb2d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 20 21:21:12 2012 +0100

    Simplified a bit RGBA frament shader (opengl).

commit cb6083b1e56083b261bcdc841d3207281afcdbb2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 20 21:17:36 2012 +0100

    Cosmetics (opengl).

commit 538865a64659f56d9f2714a88af8fa30f8403b78
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 20 21:15:09 2012 +0100

    Reorganized shader/program building (opengl).

commit a910b4e7ce21dd3e0d9f33782519c64573ad152c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 20 20:36:50 2012 +0100

    Simplify/reorder a bit non shader rendering (openg).

commit b4eb37b2ef1db3247507c7e2c5eb2ea310e33307
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 20 20:23:52 2012 +0100

    Allowed opengl to work without opengl shader.

commit 00246f1597142ffd7b01fd1a8703bc2b1e2e71f5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 19 23:00:16 2012 +0100

    Small clean up (opengl)

commit 05a865009c1e48f1def5f46024a20a989c9490a5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 19 22:45:41 2012 +0100

    Cosmetics (opengl.c)

commit c5b827e0c5a8acd2c6980b0d24885688df7e47bb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 23:11:05 2012 +0200

    a52: decode to S32N in fixed point

commit b68794c7cf2889cf39cf561b61716e2fc70eb9cd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 23:02:34 2012 +0200

    smem: use aout_BitsPerSample()

commit 08b3f50974c12a78d2c6768ad43776c4653ad44e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 23:00:24 2012 +0200

    wamfixed: output S32N rather than FI32

commit 76e6ca8e87ee16f958584fe58e30b8f3732dc9b3
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 20 21:56:40 2012 +0100

    opensles: use a ring buffer for latency measurement
    
    Now audio codec frame size will not affect latency precision, at the
    small cost of one memcpy per frame.
    With the maximum number of OpenSLES buffers (255), we can have a precision
    of 4ms with a buffer size of ~1 second.

commit 278cca2eecb24012d8ba120e5761618d7800364c
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 20 20:07:42 2012 +0100

    opensles: no need to count number of busy buffers
    
    We can access it with GetState

commit b8cef16298c0b24c4a5effdb0e2ff5e77f8e8a41
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 20 20:07:13 2012 +0100

    opensles: cosmetics

commit f999f1dd4c1bb94d51d8bbff2eb1916dea0f9a51
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 20 20:03:22 2012 +0100

    opensles: move code from Start/Stop to Open/Close
    
    These objects do not depend on the audio format

commit 0e1c348bf2db73ea890e84afc944c74d71b2cf90
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 20 17:48:01 2012 +0100

    opensles: the time since last buffering update is useless

commit 27de26415a783d6881084fc7b79a46e2d68e4b64
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 22:09:08 2012 +0200

    tremor: decode to S32N

commit 23e8e0cd03e2bb442541a4047d4493a5a54c72f2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 22:08:58 2012 +0200

    vorbis: fix cast warnings

commit 51087cc213962a3135b820571a9847b995e21d5f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 21:28:01 2012 +0200

    aout: pass FOURCC instead of bits to aout_ChannelsReorder()
    
    To fix type aliasing, we need to know whether the data is float or integer,
    or use only char pointers.
    
    Also add support for FL64 and arbitrary lengths.

commit 8d73a4d79b1fe7423d07d106281a96393f60115c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 21:02:58 2012 +0200

    aout: remove 24-bits support left-overs

commit aeefe8980a208b28b391f5124a7070fc7828e199
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 20:56:32 2012 +0200

    araw: make float/double decoder/encoder conform to C type aliasing rules

commit af42377590d2b5efedccea87e49fbb2201ea6ed7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 20:21:38 2012 +0200

    PulseAudio: remove dummy dependency on <vlc_cpu.h>

commit 062e7e5732735ab5a9c90b7fad6a5639e064f2de
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 20:20:25 2012 +0200

    Use VLC_CODEC_S24(B|L)32

commit dc9fa2ed90ebf213d9d862784ba353861b531957
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 20:15:55 2012 +0200

    Add codecs for S24 in 4 bytes

commit 21fcab35d353ec503362018b3002504fd07e102a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 19:52:48 2012 +0200

    aout: drop support for S24N

commit ea24c8a4a4146d632a0bc584f025c1c620ee84f3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 20 19:48:18 2012 +0200

    FLAC: keep signed 32-bits output format and simplify
    
    The FLAC decoder aligns samples to the right. So shift the samples to
    to the left.

commit 5626f2a8d054f76a61ea1e9cc5192ad6e202b28c
Author: Olafs Vandāns <lunaroverlord@gmail.com>
Date:   Thu Dec 20 17:20:23 2012 +0100

    Qt: add playlist total duration
    
    Ref #2744 #4252
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8df7ff8204ba931d7c212c65a54d20f9934bfde3
Author: Olafs Vandāns <lunaroverlord@gmail.com>
Date:   Thu Dec 20 17:19:30 2012 +0100

    Core playlist: provide playlist_GetNodeDuration
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 403c71dda23a33827a7eb8da6dafb76437762c2c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 20 17:01:25 2012 +0100

    Minimal_macosx: remove tabs in source code

commit c19c00988e1ea060a299df058e0ceccd16cf1904
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 20 14:02:47 2012 +0100

    opensles: reset properly on flush

commit bd36b95aeff39f9b984be7872dd99ee3b1ce3492
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 20 00:27:31 2012 +0100

    minimal_macosx: updated copyright headers

commit a9422c40b938fa22d05d30ea53733f16895436ce
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 20 00:09:40 2012 +0100

    POTFILES: updated minimal_macosx listing

commit e0f38966c474b9e34045db263a1711d4d7cd30f2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 23:19:03 2012 +0200

    AES3: decode to S32N rather than S24 and simplify a little

commit 1d5cbf26f50d5e5067a5baee2e045a4ca4577fc5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 22:18:29 2012 +0200

    format: fix typo, conversion from S32N to S16N (fixes #7764)

commit e9d2eb5c3d884117ac66c401f05ba941c755ea5e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 21:09:02 2012 +0200

    visualization: fix output formats

commit b6c7c010b9740ed364d5f051b5b0971aec7ace13
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 19 19:40:59 2012 +0100

    minimal_macosx: remove dependency on the Carbon framework by replacing SetSystemUIMode calls by their Cocoa counterparts

commit 06da9937caffe141edb3f37c44b0a4fcbb7d0e70
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 19 19:39:00 2012 +0100

    minimal_macosx: modernize coding style and remove useless includes

commit ba45dbbf56e96f9425801086a4590d98d9af6804
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 19 19:34:28 2012 +0100

    minimal_macosx: remove more dead code

commit fe22c45fac717531bd43a63e7209862a9a33fe27
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 19 19:33:11 2012 +0100

    minimal_macosx: implement VOUT_WINDOW_SET_SIZE and VOUT_WINDOW_SET_STATE

commit 615f3482e1b9a1ae59aa9c5a63c3c2366ebf9025
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 19 19:25:09 2012 +0100

    minimal_macosx: removed no-longer needed vout code, which dated back to the pre-2.0 days

commit d85321315a0c42ae79cc2b1b76d1d517a3d44519
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 19 19:23:33 2012 +0100

    minimal_macosx: re-implement in-separate-window video output based upon the 2.0 vout API
    
    remnants to be removed in next commit

commit 5ff7862f1380802915bd2d4e4f81966579a1f4a1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 20:09:47 2012 +0200

    aout: drop remnants of foreign endian support (refs #7764)
    
    Endianess is now converted by the raw decoder/encoder.

commit d95e65c6b3399b856e1ff7b3f10df23ba84e1888
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 20:03:36 2012 +0200

    aout: drop support for U24 and S24I
    
    It seems S24N needs to be kept for the FLAC decoder though.

commit 0a45c7b7c87648e0441fd5848c023a5f832d08da
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 20:33:47 2012 +0200

    LPCM: decode to S16N or S32N

commit 3b3a2b33fb364a0c280914fdbf4925143744369a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 20:18:07 2012 +0200

    LPCM: encode from S16N rather than S16B

commit f9e094b802622f5fc9143da7331ea9a2f2c99ded
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 20:32:37 2012 +0200

    LPCM: buffer overflow (encoder)

commit 8429bce545a11a863b478be2265a0228c50c5db0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 19:52:57 2012 +0200

    araw: decode/encode 24-bits PCM to/from S32N

commit d02ebf63a7dbb1a17b720a53c4ca628beea63ab6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 19 19:14:38 2012 +0100

    Qt: complete_preferences: toggle prefs for current modules.
    
    Preferences set regarding loaded modules only is likely to contain what
    the user is looking for.

commit 0b8244387ce2b2b364151a86f76af855a436361f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 19:38:53 2012 +0200

    aout: drop support for non-native float
    
    It never really worked anyway.

commit 6b232cec0246dfccf2a76b78f0e21830e54a87ec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 19:30:20 2012 +0200

    araw: add non-native float encoding and decode float to native

commit fda4b6550e5e20ca232281c1cc6409f436597ca8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 19:19:15 2012 +0200

    aout: drop support for S32I

commit 7234132ccd5fe2be2b453398e6a154611d34a69d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 19:16:30 2012 +0200

    araw: add U32 support and decode S32I to S32N

commit dcd87398d99a8b1971c7f2ecb1ae596ac088f642
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 19:16:17 2012 +0200

    araw: fix U8 and S16N dummy encoding

commit 4c1beff0eab8fc5b97cc75bf52e9679f771b2d6b
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 19 18:08:23 2012 +0100

    npapi packaging: we don't need to fetch gecko headers anymore

commit 6a0f8ab4b22097392d10cd8931eeb56bfe7e4ebf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 18:38:10 2012 +0200

    vout: do not set "fullscreen" variable again (fixes #7926)
    
    The "fullscreen" variable is set by the UI. That triggers a vout
    control request. Then the vout thread actually switches to/from
    full screen mode. Setting the "fullscreen" variable again then would
    trigger a live loop in some circumstances, and should be useless.

commit c53c495b835b54578c331451d2c74209e9fdd04b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 19 16:40:35 2012 +0100

    ZVBI: remove the wrong warning about GPL
    
    libzvbi is LGPL :)

commit 13d03fe7698e49cf60edebd68d62cb27e01c8bb5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 19 16:58:19 2012 +0100

    minimal_macosx: compilation fix

commit 8e85473dcb881118d9ab357fb26533afcbbf528a
Author: Sébastien Toque <xilasz@gmail.com>
Date:   Fri Dec 14 17:41:09 2012 +0000

    audiotrack: missing software gain setting
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit e7403cbe50277f356469deb4bb361681d44684a0
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 19 06:08:59 2012 +0100

    contrib: add --disable-gpl option to bootstrap
    
    This will skip auto-select of libraries under the GPL

commit b87e0b07bea8b9ccb6713afd3ba071a293bf0247
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 19 14:52:25 2012 +0100

    OSS: blind compilation fix

commit 73d483e188aea9590fd55dd4286afa85965e7ef1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 19 12:53:16 2012 +0100

    modules: fix module_exists() documentation.
    
    Still documents old behaviour.

commit bcd01c48635ac900c243fea6e47669db2e350393
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 00:45:11 2012 +0200

    aout: use S16N rather than S16L in audio outputs
    
    (In practice, all of these were only used in little endian anyway.)

commit dbbb4fad5a66c8c5499c3631a08440ab572b3c53
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 00:42:24 2012 +0200

    aout: drop support for U16B, U16L and S16I

commit a944af6d0b953aa34839226c1799706026488142
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 00:42:07 2012 +0200

    sndio: require non-stupid audio sample formats

commit 5e4e58d272d165996beaec24ee5672927ea229e0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 00:32:23 2012 +0200

    araw: decode/encode U16 and S16I to/from S16N

commit 141c6716f8f2905ec7de50979bc7126183e0733a
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 18 23:39:24 2012 +0100

    audiotrack: implement time synchronization
    
    There is still a random offset between A/V which stays
    constant until there's a flush but hopefully testing should
    give a clue how to fix it.
    
    Note: the symbols required are present only since 2.2

commit 81e9a6a8cc479bf8271fcdf6519e9063c37ceddb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 00:12:23 2012 +0200

    PulseAudio: unused variable

commit 4ed8eacd2e56a59b95fad64477caa52f574e941a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 00:12:13 2012 +0200

    aout: drop support for S8

commit 132af4a35081ba4ed50b7d2e681a8eadb2ffebe2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 19 00:07:20 2012 +0200

    araw: decode/encode S8 to/from U8

commit 1b5635d9359334fc0f858da7fde4479438d29b8a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 18 23:31:38 2012 +0200

    araw: cosmetics

commit c55da911c50a6a22124ab5be4607e45b4f8f7505
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 18 22:54:37 2012 +0100

    taglib: ID3v2: save TrackTotal

commit b74a7b1a177f9d610b021fdefe1963c0f1752151
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 18 21:54:11 2012 +0100

    Qt: info_panels: use validation mask for tracknumber/total input

commit 712c81e750018728ede66b0dcb9912e4ab7697e1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 18 23:31:12 2012 +0200

    Fix warning

commit 0307cd49bbaa48e552fe919659a4e8c17ccb7c7c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 18 22:45:06 2012 +0200

    contrib: update XCB

commit 1c15f75ee8a783c68be5db84029b1ddfb1825207
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 18 22:36:24 2012 +0200

    OSS: trivial fixes

commit ead6ddbb9298931217b473644797c50b2ba6fff7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 18 20:51:51 2012 +0100

    Qt: QPalette: fix obsoleted values

commit 03f571782b24d486ab5c75cfb748dca736bc448e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 18 15:34:36 2012 +0100

    Contrib: update live555
    
    Close #7786

commit 8fbb7daaf0bf1d20b8ea8ad2437a1221256b3939
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 14 20:23:04 2012 +0200

    deinterlace: clobber MM and XMM registers correctly

commit 86ca82559b5f28aaa80a3029d07a3a51578bd3af
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 17 21:11:22 2012 +0200

    deinterlace: move Phosphor MMX acceleration to a separate function

commit 4c983898decc62b454bc857a55348445b9dabf10
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 17 21:01:10 2012 +0200

    deinterlace: split MMXEXT acceleration for IVTC to separate functions
    
    That causes some duplication, but that is required for clobber lists.

commit b3683d443e3a4f30add66881ba476f888bcc2ac2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 17 19:33:04 2012 +0100

    Fortune: OSS, French vs Finish administration

commit 014ad89f53ca44bf3446f86abd41126b5affecb7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 17 20:25:36 2012 +0200

    OSS: updates and fixes (untested)

commit ebf64853f535f3f98f3f1e5c9266cc4207f59921
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 17 19:59:38 2012 +0200

    ALSA: report selected device not only when playing

commit 729e4dcb5efc2e92f56e013830c30ffb6b43b8c5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 17 19:26:09 2012 +0200

    file: do not stat() non-seekable files and clean up

commit 16c2a7ddf891945ee5753eb6f58fad3a99a156ac
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 17 13:09:42 2012 +0100

    OSS: blind compile fix

commit 728ef39d15cdbfc5b1bc9beba8a97493ef6c08fc
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 17 01:00:29 2012 +0100

    Remove variable name clashes in TAB_REMOVE
    
    If foo[i] or bar[i_index] are used in TAB_REMOVE / TAB_FIND, they will
    use another variable with local scope declared inside the macro.
    
    for (int i = 0; i < 1; i++) {
        TAB_REMOVE( count, array, foo[i] );
    }
    
    will expand to:
    
    for (int i = 0; i < 1; i++) {
        int i_index;
        .....
        for (int i = 0; i < count; i++)
            if (array[i] == foo[i])
            {
                index = i;
                break;
            }
        .....
    }
    
    And inner scope i is used to index foo, instead of the outer scope i
    which we would expect without knowing the content of the macro.

commit 22188d37f99be2452faffccc0864ed1f2eb41e1a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 16 17:23:15 2012 +0100

    opensles: implement mute/volume set
    
    link with libm, and also with libdl which is needed

commit 86074bb4a203ea42f9ff90aee0f141e1381311bb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 15:08:09 2012 +0100

    auhal: implement Pause for the 2.1 aout API

commit bd8d2badd6edd55494dc143ac4ce6b82c223248c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 14:38:46 2012 +0100

    auhal: switch analog playback to the 2.1 API
    
    This makes use of a 3rd party circular buffer licensed under MIT.
    
    TODO: Pause, TimeGet, Flush

commit f74db532f7e4da596f5231e6cb676bb89e767ceb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 16 16:49:57 2012 +0200

    aout: use aout_RequestRestart() where applicable

commit ad6442ae5ac09b8f19a79788885c31be245d1c80
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 16 16:35:22 2012 +0200

    aout: do not unset stereo-mode when changing device

commit e38ea904ade75270e69aa78cc711030a67961d08
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 16 16:34:49 2012 +0200

    aout: add event to request pipeline reinitialization

commit 92b8418f505d287f3d178cba85b600b6ba922210
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 16 13:50:19 2012 +0100

    Contrib: use pic for postproc to mimick FFmpeg rules

commit a1d30f6095adb1432bfc353f90ea0945b59c3752
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 16 10:31:05 2012 +0100

    opensles: more precise TimeGet
    
    Take in account the time elapsed since the last callback

commit 8b5738122d2cf27c0fd5fee1943c9af8695ed254
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 16 10:27:13 2012 +0100

    opensles: keep track of the number of buffers we use

commit 7d6cf033e65509fbe0d24942251a6bf3df814bc6
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 16 10:21:46 2012 +0100

    opensles: set period size

commit d37afcfbb26d219a9abc9de7aaa1a34452d58b8b
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 16 10:19:49 2012 +0100

    opensles: remove obsolete code

commit d56cfd2d9119ee1e8ed0fe57406aed3db70da3d0
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 16 10:19:02 2012 +0100

    opensles: TimeGet returns -1 when we have no data on latency

commit 8a1ace9ef676f7b311c2a9a1470d7d5f2ad80f3c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 11:04:46 2012 +0100

    AudioQueue: implement volume support just because we can

commit 10a5990dfdb375949fb3618113a317acb296be24
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 10:55:50 2012 +0100

    AudioQueue: fix 'Flush' implementation

commit a249b33b589655d71b9a0d6d9d0b0d9c1b5b4466
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 16 11:46:18 2012 +0200

    aout: external functions for devices selection

commit b2b4c52ac66f32a9af25cf69a06ee7977e261845
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 02:31:56 2012 +0100

    AudioQueue: attempt to fix #7659
    
    Needs testing on device

commit ff42ba90f809a6b9906fad6b38f01ee2f825c2d6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 02:18:20 2012 +0100

    AudioQueue: cleanup

commit 019514656ee576c0c1c51e4f4b499c7ce9c478f9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 02:11:28 2012 +0100

    AudioQueue: re-written to make use of the 2.1 aout API
    
    TimeGet is left as an exercise for tomorrow

commit 727dbceb6f75fe0f8b96b073cdde7c5b6a8e5066
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 15 19:35:04 2012 +0100

    auhal: remove weird code duplication

commit a40a943927df92302930cba792f1afa13680bb14
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 19:22:49 2012 +0100

    opensles: increase number of buffers to the maximum

commit 9e72b6b42b06d14e5710b3e104e3ef23102be489
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 18:59:18 2012 +0100

    Qt: align correctly audio devices in SPrefs

commit 9e7f5e07daa9e437876b55120c5b383bedcda6d9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 18:45:53 2012 +0100

    Qt: remove Sprefs hack that has lived and been abused for too long...

commit b266c9b830611f0351c0c93c06058006203f5b3d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 15 18:09:41 2012 +0100

    auhal: cleanup

commit 6a5c7b9820321011a745474790381308592a3285
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 15 19:03:23 2012 +0200

    aout: fix missing S/PDIF encapsulation

commit 73cc7aaa399e7cdaf73a3682396fb13c1a3f1f10
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 15 17:56:30 2012 +0200

    mmdevice: implement devices selection (fix #7855)

commit 901267b6b3270d54c0deef0855d72809c7bf9398
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 16:56:15 2012 +0100

    opensles: avoid infinite loop in linked list
    
    this can happen when moving buffers between our 2 linked lists

commit 913f902e1515ee04f7aeed81a6adebae379ec0b4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 16:54:51 2012 +0100

    Update NEWS for audio outputs

commit 5a946038b1775bcb884dc728663b4e54aa9b08dd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 15 16:46:19 2012 +0100

    auhal: implement channel re-ordering for 6.1 and 7.1 setups (close #7783)

commit b06dadcf5f4ce49841e2e4f9dff7f49914d08d55
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 16:46:18 2012 +0100

    Merge 2.0.x NEWS and mention deprecation of libvlc_audio_output_*et_device_type

commit 5086a9ed9e848a54f02f585e80c9f2730868bca9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 15 17:42:49 2012 +0200

    Lua RC: adapt to new audio device interface

commit 605d95f95c088a3dc929b363d56716c854ffdf18
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 15 17:40:53 2012 +0200

    libvlc: stub device_type functions
    
    They stopped working in version 2.0 and never made much sense.

commit 915f956bbfeda539a00fbc8dcd8d4a8bffbb0140
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 16:38:02 2012 +0100

    Win32: more npapi packaging fixes

commit f41e5f46ce69fd115770810ed179ee6084d4bf9f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 15 17:32:50 2012 +0200

    ALSA: deduplicate devices enumeration

commit 35dda10097ae0618c22c199a1687de8ba6a1f7fe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 15 17:21:51 2012 +0200

    Qt4: adapt to new audio device selection

commit edcc62d1d4cb3ab557c5fd2dc44c85332a77cfeb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 15 17:21:25 2012 +0200

    hotkeys: adapt to new device selection

commit 429b94d0fa98d363d05a3bf59037addce9968c38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 15 16:56:23 2012 +0200

    ALSA: adapt to new devices handling

commit c30620288c8398ad05d2e96226b252044ad307bb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 15 16:16:50 2012 +0200

    aout: add device selection callbacks
    
    This will replace the "audio-device" variable that was hard-coded into
    audio output plugins.

commit 736dc505de92a4e899b612f70357c73a1f6391d6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 15 17:20:39 2012 +0200

    aout: fix crashes if restart fails

commit a9a471da442dc6bfd6fcbbda48d7d7e2e6010aab
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 15:49:57 2012 +0100

    opensles: simplify error handling
    
    Instead of busy waiting and retrying, buffer packets and wait for the next
    pf_play() call to write them to the sound card.
    We now have 2 linked lists:
        - packets not accepted yet by Enqueue()
        - packets accepted by Enqueue(), not yet written to hardware, and
        waiting to be released in PlayedCallback()

commit a5779e7c4f71e670522bbde9e04973670f46517d
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 15:35:20 2012 +0100

    opensles: implement drain with msleep

commit 284d24cb6c0e79280e42ae072cac67d16094c287
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 15 15:29:11 2012 +0100

    auhal: fixed mute

commit 5ff2c7a239dae052f4a4ed95fce3e0e5d66ccb64
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 15 15:20:07 2012 +0100

    macosx/sprefs: adapt setting handling to the 2.1 volume API

commit a4edb8672e59240fb87def033c5f1d70e7c65a97
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 15 15:19:42 2012 +0100

    macosx/CoreInteraction: communicate volume value correctly to the core

commit 3be00fa54c5c857edca3985b4861244797023eaf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 15 15:19:09 2012 +0100

    auhal: fixed volume handling using the 2.1 API

commit 1a3286356e0677c984d23bf5ba93f99efc134746
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 15:19:43 2012 +0100

    Fix win32 plugins packaging

commit 50d250ab04c921155c10422d9bd20c1191b3a396
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 12:31:58 2012 +0100

    opensles: properly reset latency counter on Flush

commit 1807026248daa6491f98937574d3b692d41dd625
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 12:30:40 2012 +0100

    opensles: use locks in TimeGet

commit ed810a5693cac334050c06fe453eae44fb6eb868
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 11:58:27 2012 +0100

    UAC: distribute source code (and doc+examples)

commit e06c2f82dcd0803e084f36e3c11df1f38d15846c
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 12:01:17 2012 +0100

    UAC: rename file to get rid of spaces

commit 6146d360328b9370e123cef570699b67e4b8445c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 19:37:06 2012 +0300

    XCB/XVideo: enumerate adaptors

commit 45ab9b93592068dfb8380f6c99b062b1b7c34574
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 14 21:30:41 2012 +0200

    XCB/XVideo: fix flawed logic for adaptor selection

commit 52707967341dd264d6422c8186dfa1d3c833965a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 13 22:59:06 2012 +0200

    Replace block_New() with block_Alloc()

commit 0fc6e8cfb54e99110d49754e469c6fd79d9a383c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 13 19:54:17 2012 +0200

    araw: remove G.711 and fix leak of p_enc->p_sys

commit f5ce0d44a704561eee7562dd916ded81ad736f5b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 13 19:53:32 2012 +0200

    g711: separate codec from araw

commit 5fb6de10c74f87f6a1509e558f943cd83c4f1918
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 13 18:53:52 2012 +0200

    Rewrite atomic float helpers, fix 64-bits big endian support

commit 17d2ca87e661f1761bcaddc8773e070de2b54cf5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 13 18:47:58 2012 +0200

    aout: convert to standard atomic ops

commit 3f0251b32f7586dd49127772b0cfb35dea7f8615
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 12 21:23:41 2012 +0100

    decklink: closed captions support
    
    This work has been sponsored by Sergio Ammirata.

commit 898bd72bf713a599dd041afe37220fcc9591685d
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 12 18:17:25 2012 +0100

    decklink: add v210 capabilities (--decklink-tenbits)
    
    This is off by default due to being more CPU/memory intensive.
    Closed Captions can only be read in 10 bits mode.

commit 2ce6fa2db7f1719aadf617c464365821289ac36e
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 12 19:09:21 2012 +0100

    rawvideo: I422_10L/B support

commit 260dc9659ebc6770cbdffe0da09beb1137e73beb
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 12 00:20:50 2012 +0100

    decklink: simplify Open

commit cd01757484cb81b1f7c7ec63c2f26dbf5808f8f9
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 11 16:50:52 2012 +0100

    decklink: cosmetics (1tbs)

commit d270debbee208dc827839c2be18d494444a086b6
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 11 16:48:19 2012 +0100

    decklink: Remove unused result variable

commit 2f6a0414e1473af178301ae374076cf9dd5e6ab2
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 11 16:43:25 2012 +0100

    decklink: split audio/video connection setup code from Open

commit b2f30144388a0249be24ebfdf3580909949f6db9
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 11 16:18:29 2012 +0100

    decklink: simplify callback

commit 3ca4c541c2339edd83a56f144993138692c43f4e
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 11 16:14:30 2012 +0100

    decklink: fix warnings

commit dd6a1ec3432dd2877a2ce4ff654a6c0646070ec9
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 11 16:13:03 2012 +0100

    decklink access: cosmetics

commit 637db5eaa10cfaf8de0b013c1b2623444d106bff
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 13 13:56:36 2012 +0100

    Taglib: better fix for year and track deletion
    
    Ref #5686

commit d12e755e4b27faacee453556b59a8725e76bfb49
Author: Denis Charmet <typx@dinauz.org>
Date:   Wed Dec 12 23:24:11 2012 +0100

    Call SET_NEXT_DISPLAY_TIME after SET_PCR to avoid its flush at segment change.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 653b010acae452625273231ff46a9c1149ec5d92
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 12 22:49:03 2012 +0100

    Taglib: allow deletion of track and date
    
    Close #5686

commit 859847f1be7c67b0a87232482c3ec1e23fe709a5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 12 22:43:21 2012 +0100

    Qt: fix equalizer initialization
    
    Close #5956

commit 0e26bab0d8497227213ed6f45a91dda61d172088
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 12 22:00:44 2012 +0100

    Fixed scte27.c win32 compilation.

commit a84e47ee35d99724f41d8d1bf3f4a1ff980b2c0c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Dec 7 20:40:07 2012 +0100

    NEWS: mention support for SCTE-27 subtitles.

commit 7e3dcdd09c2fac64f00acb360d30f24c74894609
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 6 22:36:52 2012 +0100

    Added support for SCTE-27 in TS demuxer.

commit 6ce3ecfcab1dd6d41238e05dd5fbbe3b4a566d2b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Dec 6 22:28:20 2012 +0100

    Added SCTE-27 decoder.

commit d2b19589f2b03df444c657f3a09446c0a2bcad98
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 3 23:34:55 2012 +0100

    Added SCTE-27 codec definition.

commit 9135a8836eff0567d81dec0058a161d9d69cf896
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 1 15:48:08 2012 +0100

    Removed write only ts_es_t::b_gather

commit d12bc4b58a766c803d045fed90064c50611164d5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 1 15:45:57 2012 +0100

    Rename ts_es_t::*pes* into ts_es_t::*data*
    
    No functionnal changes.

commit d631d06dfd76d29d00a9d7adadb322aab46a444d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 12 22:14:23 2012 +0200

    picture: merge p_data_orig into gc.p_sys

commit 1cddb78c614beb227f3127df3d7b5245f4bcf451
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Dec 12 18:47:54 2012 +0100

    macosx: fix crash when playing media in lion fullscreen mode

commit 2e3d6b3bb3fadbb5e9e9d296a13ca738df9c0f46
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 12 19:15:55 2012 +0200

    v4l2: gather most VBI code and all zvbi deps to vbi.c
    
    Also, fix a small leak in vlc_clone() error path.

commit 564e94a3fcae62d3ce335e55d6308d0470b60039
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 12 18:47:38 2012 +0200

    v4l2: missing cancellation inhibition

commit c270dd7be95b695eb524656937d67651ee7ffd9b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 12 00:48:01 2012 +0100

    AVI: a debug message when refusing to open the subtitle
    
    Ref #7853

commit 6e85f629f04625c7ff5d42e522ad931120061867
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 11 19:54:17 2012 +0100

    AVI: increase threshold for subtitles detection to 10MB
    
    Close #7853

commit 272dcbf29ac74aec6038580e1085e918355e6826
Author: Denis Charmet <typx@dinauz.org>
Date:   Mon Dec 10 22:32:01 2012 +0100

    MKV: Set default value for audio tracks when parsing one
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e1eb842b3a7d516df6467a709caa89b46ffca4b9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 10 17:26:01 2012 +0100

    Add some NEWS

commit f7579bc4278d50f78495728d7a11604d6faa2b41
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 10 17:18:55 2012 +0100

    v4l2: fix compilation if zvbi is not present

commit bf4eb0941758ec544c6e4911414bdfdf263a3ea6
Author: Devin Heitmueller <dheitmueller@kernellabs.com>
Date:   Mon Dec 10 11:02:07 2012 -0500

    Add NTSC EIA-608 caption rendering support via V4L2 VBI devices
    
    This patch introduces support for using V4L2 VBI devices for
    reading NTSC EIA-608 closed captions.
    
    This patch includes feedback from the vlc-devel mailing list from
    the Oct 21, 2012, Oct 28, 2012, and Nov 18, 2012 submission attempts.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 45059b5adde4cab5b2559ae960d38d5c147cd4a5
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Fri Dec 7 19:25:46 2012 +0100

    lua: add Liveleak playlist parser
    
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 1c672e57519890ad1a2c22feafb67b862a91f561
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 9 22:26:22 2012 +0200

    VLC: make sure the playlist exists before starting any interface
    
    This avoids creating the playlist from the UI mainloop, which is not
    typically a good idea.

commit 6f23d1879e83b0f60a8ee6acab328111b9f15b55
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 9 22:25:22 2012 +0200

    pl_Get(): remove VLC_USED qualifier
    
    pl_Get() does not create a reference to the playlist, so nothing is
    leaked if the result is ignored. Calling pl_Get() ensures that the
    playlist has been created.

commit c6879a0d4e259a2276354f7591887556384055bb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 9 22:21:17 2012 +0200

    playlist: create playlist aout early on (fixes #7810)

commit 8f2afb983dcf9ea304a589b53988bdc71b78cd1a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 9 18:05:43 2012 +0200

    ALSA: remove a few useless variables
    
    Overwriting *fmt is safe nowadays.

commit 345a3e3100b7aecd49a12ca730a8fcbc8be32c23
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 9 17:53:21 2012 +0200

    ALSA: use channels map functions (fixes #7796)

commit 9f9f7d54fa25367f02313c91e643d04bf49a25d6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 9 14:00:34 2012 +0200

    dbus_screensaver: fix NULL deref if probing fails (fixes #7871)

commit 283d246c09e4915b7eff1a5c68575fa121a05919
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 9 13:58:39 2012 +0200

    PulseAudio: use same period size as ALSA (fixes #7827)

commit 823c13a78ca99741341fc27949e3f08d8b4cb30f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 9 12:44:04 2012 +0100

    Qt: sprefs, small fix on audio panel

commit 5cd1816c41f5be3b42c2abdb7e3b31407d15d1f4
Author: Denis Charmet <typx@dinauz.org>
Date:   Sat Dec 8 01:18:34 2012 +0100

    Handle ordered editions with broken links or empty
    
    Fix #7859
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2a5264663478ae77f047c164c44ae7cf35af5037
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 7 21:11:27 2012 +0100

    Qt: allow a maximum volume on the sound slider
    
    Too many users are bitching about this
    
    Close #6105

commit 1c42889a352a3f8b2ac355bce07311f17c7b28ea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 9 12:00:04 2012 +0200

    LibVLC: try to clarify libvlc_media_add_option() limitations

commit 3de8fd13f26610b4f5ae4d87cb4e5653b4498c28
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 8 23:58:38 2012 +0200

    Revert "input: create an aout if UI wants to configure audio"
    
    Due to mismatched "resource" and "hold" locks, this introduced a race
    where more than one audio output gets created.
    
    This reverts commit 4e57bd052e25c0538a6b1d7e83b8370910ef71dd.

commit 26af6a0331422f535d0d6fafbbc142fcd8823707
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 8 20:13:12 2012 +0200

    waveout: use software amplification
    
    This should make volume work.
    Patch welcome to make hardware volume work instead where available.

commit e4f129bf932c6e4bc5aa04344cbcfc6b95777465
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 8 09:55:52 2012 +0200

    amem: call cleanup() if setup() succeeded but format is unsupported

commit d9cf7d2fbd21d3e29e1a88d4b285ff2a687eb629
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 8 09:48:11 2012 +0200

    amem: defer set_volume() before setup()
    
    Before setup(), opaque is not defined.

commit 1a5aaf2524a4d52b5991f187958b31492e3e4205
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 8 09:39:46 2012 +0200

    amem: correct opaque pointer for consecutive setup() calls

commit a762948c0907461b380c2ddbad847069c62a899d
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 8 03:24:49 2012 +0100

    decklink: fix detection

commit b67f9a623a7a431738ceddae27dc88617793456d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 23:48:03 2012 +0200

    dbus_screensaver: update LIST

commit c8f8e474a45a55b1064ef18350c526e05e26c42a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 23:47:20 2012 +0200

    xscreensaver: remove unused plugin
    
    xdg-screensaver has higher priority, so xscreensaver was never used.

commit beec9e78518b56e7f4db897b55b5e0d46ae61bf8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 22:25:47 2012 +0200

    dbus_screensaver: correct service name for o.fd.PowerManagement.Inhibit

commit 5fe4b004e254b6091f997b394190ad1609c67aa8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 22:23:27 2012 +0200

    dbus_screensaver: add o.fd.ScreenSaver support (fixes #7824)

commit dfc527fe329f6cbe997af963e864420f28af588b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 22:22:26 2012 +0200

    dbus_screensaver: remove bogus error
    
    When the service is absent, the error message is NULL anyhow.

commit 97a7b7ec1790203a5872b292ce52fa0a8692e4d4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 22:15:44 2012 +0200

    dbus_screensaver: rename from power

commit dd1ff43f888d63f9042a9a94ec6050b0523c6aa8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 22:11:53 2012 +0200

    XCB/XVideo: fix memory leak

commit 1e1f01298b1032e22087e9fefeef9fb272860724
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 22:11:27 2012 +0200

    power: use non-blocking DBusPendingCall instead of short timeout

commit 11fdcca2be709bd5a74ed2e75c8d644dc1f094c6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 20:42:18 2012 +0200

    power: probe D-Bus services and return error if none are found

commit 5520e829a094c335e085c94131cd8f3e4ba0e991
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 20:26:16 2012 +0200

    power: really localize reason

commit 77dae5bceb03ec039745c67275893a52081b9adc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 20:25:56 2012 +0200

    power: cosmetic revector

commit 002d21478ced74bb16224c42107b390c8bf213a8
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 7 17:02:13 2012 +0100

    decklink: update build rules
    
    Move logic to Modules.am
    Use CXXFLAGS

commit db828374ff43c749b719a880b648f76e8be38aa9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 18:24:41 2012 +0200

    mmdevice: initialize mute & volume (fixes #7203)

commit cf189e0ef9bd63bff6dfade92ac99c1b5d865537
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 7 18:17:24 2012 +0200

    mmdevice: keep ISimpleAudioVolume interface

commit e41e1a7dfe704ec3bb7212e5d9adf53706b861fe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 7 00:01:35 2012 +0100

    Qt: better unsetting of keys in preferences
    
    Close #6640

commit 14793f5c7616d51b824e477c0ca52c800ed8f7c5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 6 23:44:59 2012 +0100

    Qt: increase the size for the license and network dialog
    
    Close #6556

commit a1ddda85bb3cbd7ec4b7bb0aa0fd80c9a6d3afe7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 6 23:31:54 2012 +0200

    PulseAudio: force minreq to less than half tlength (refs #7827)
    
    This should work-around distorsion due to excessively short latency
    computation in PulseAudio, e.g. NVIDIA HDMI Audio.
    
    In the longer term, VLC should probably set minreq to 40ms and tlength
    to a larger value or even -1. But that would require more testing.

commit 22faed61d33d747226e5238466c30b56a9fec4f3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 6 18:32:42 2012 +0100

    Qt: fix toolbar customization when doing back and forth
    
    Close #7543

commit cab4efd532bb656b5bc7dc85f557179bf0a908a0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 6 12:22:05 2012 +0100

    Ogg: parse and create Vorbis Comment Chapter Extension seekpoints
    
    This does not actually seek to the right position yet
    Ref #6895

commit f8c07e70635f15bdd2d71adf2f90a0d5f3b445a5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 6 13:08:52 2012 +0200

    wasapi: remove direct dependency on desktop-only IMMDevice

commit 4a1c30a05481c31cc6580954920a2f67fc432426
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 6 12:46:42 2012 +0200

    mmdevice: improve handling of session disconnect event
    
    It could still be better. If the disconnection is unrecoverable,
    I suspect a flood of identical errors will be emitted continuously
    as the core keeps pushing audio buffers.

commit c2ae62db3785db388e45922290d03d5c0fdc0d01
Author: Denis Charmet <typx@dinauz.org>
Date:   Wed Dec 5 23:07:18 2012 +0100

    Allow the demux to update its title list
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7697d8b299e94bc8370b05da056a450bf96e3535
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 6 11:16:14 2012 +0200

    mmdevice: deal with invalidated device in Start()

commit c242a515123ded29a0ccb5fc9bdca79fec461cbe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 6 10:56:36 2012 +0200

    wasapi: remove redundant code
    
    The MTA is fully taken care of by mmdevice.c.

commit f4a986cc8b2f69f67235eb0cdc42452577e8a5b9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 6 10:49:54 2012 +0200

    mmdevice: simplify thread synchronization

commit a3926236c409d1b3eb84477beac7f4d3882427fa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 6 10:37:44 2012 +0200

    wasapi: cosmetic, rename api to stream

commit a0442893663ac58aa5b5e8cb098951a0aa499878
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 6 17:05:57 2012 +1100

    macosx: fix crash when re-ordering playlist items

commit a8612e7e5552ce28be49f1375b79c3c84c5dd6fc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 6 16:42:45 2012 +1100

    macosx: added missing outlet connection to 'Remove Podcast' btn

commit c6a264bf022d834e7617948e4923012fc1d8369d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 6 10:26:30 2012 +1100

    macosx: fixed race condition crash when closing the vout
    
    vout_display_opengl_Delete will call OpenglLock, so it is a bad idea to previously release sys->glView

commit 95dac995ff2c8339922d29c804d12e67cc2ebf87
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 5 23:35:05 2012 +0100

    Fix support of .00x splitted files on Win32
    
    Close #7292

commit 269297b0ce90a8202606680c5a43819866489799
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 5 23:14:55 2012 +0100

    input: export get_path from access.c

commit 76425f762b8290c9a85987708b051a069065ead0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 5 23:46:09 2012 +0200

    mmdevice: emulate drain

commit dd3354cc67b0600b363dfee3fdeb64307a9f2dc8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 5 23:22:54 2012 +0200

    mmdevice: attempt to fix COM (again) and reentrancy
    
    MSDN mostly fails to explain COM requirements and totally fails to
    explain thread-safety requirements. This patch takes the most
    pessimistic approach.

commit 470c3fb18d262359a27eacb3b23a7ce3ef88098c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 5 13:53:10 2012 +0100

    MP4: enable debug with debug builds

commit 6f0e67fb39fd1191da0ba17b79cee6dcea5ef19b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 5 00:49:46 2012 +0100

    Win32: better uploading messages for crashes

commit ebf818aaee36a284f8975726e3a28f67baaa8183
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Thu Nov 22 23:37:55 2012 -0500

    audiotrack: enable volume support
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 7387c6d3bd9723cf50cac9ddea6a6388884df47e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 4 23:17:48 2012 +0200

    Rationalize error code values
    
    VLC_GENERIC was particularly bad for RISC processors.

commit b9f095473e0ce9ce5223a21a55921e857b3d20cb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 4 22:54:09 2012 +0200

    mmdevice: simplify session management and prepare to change device
    
    Actual support for changing device requires (yet another) addition to
    the audio_output_t callbacks set, I think.

commit 4f42f23600802c7d84c1a1e0a4a330f5cd8bc239
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 4 22:09:52 2012 +0200

    mmdevice: simplify volume & mute handling
    
    Apparently, there is no need for COM to do that.

commit 6c8ed4207d16cd71fd3fc4a51c04294d74162c66
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 4 22:04:22 2012 +0200

    wasapi: fixes and simplifications

commit fda36eca9827ab9391b2aa5851090ee97518307a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 4 19:08:47 2012 +0100

    Shout: remove tabs in sourcecode

commit 8fee9c595a6a32a48e53804a7f9c0b0b5031dbad
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 4 18:41:05 2012 +0200

    endian: fix typo

commit f16f941231f3307b92bfdf6ee465dc288f3655b4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 4 16:38:46 2012 +0100

    Contribs: update sha512 for regex

commit 6265048ae8665189ea88262cd3aedd2d03abce35
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 4 16:16:22 2012 +0100

    Revert "Correctly detect alac in mp4 properties"
    
    This reverts commit 7f807d9bb7cb08f1401d5cbec472338ed1d38157.

commit ab74d69921d20be6854a94da37052c919623a92a
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 4 15:59:41 2012 +0100

    skins2: adapt to latest change in playlist (activity variable)
    
    It fixes skins2 crashing when an input is started.

commit 0f6fc6a2842c52bf17c231372966d37778091f02
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 4 14:50:53 2012 +0100

    Add MKS extensions for subtitles
    
    Ref #7842

commit beb8497347252a91195c5192f70c2c4a6dac9aba
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Wed Nov 21 23:11:25 2012 +0000

    contrib: force HAVE_NEON only on ARMv7
    
    Since NO_NEON is not used anymore, leaving it undefined on ARMv6 will result in HAVE_NEON showing up, resulting in crashes.
    
    ARMv7 Android builds are now built to tegra2 with a special dynamic NEON loader for libav.
    
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit bab72eaede541d9f73117141e4bf86260a6aa398
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sun Dec 2 14:02:04 2012 +0400

    Contribs: mad: fix build on android mips.
    
    Patch taken from Gentoo portage.
    http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/media-libs/libmad/files/libmad-0.15.1b-gcc44-mips-h-constraint-removal.patch?revision=1.1

commit 21da0e38e899b9543934e46a4c48fb65211ee385
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Tue Dec 4 17:04:36 2012 +0400

    Contribs: fix postproc build on mips.

commit f5ed9fca109514c2b352618cd64d5d546ba1e19d
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sun Dec 2 13:39:29 2012 +0000

    contrib: Allow libav build on MIPS
    
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 5ebd9b99a56a0f03cf167d87d4705d7f44fa493a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 4 12:26:21 2012 +0100

    MP4: check more i_timescale values to avoid Division by Zero
    
    Ref #7838

commit d68da462c2d2457b7ec50c57fda2b50909fef619
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 3 19:54:19 2012 +0200

    mmdevice: fix thread initialization and cleanup

commit dffdc4c734f69188abf6ea5d45454c1feadc7bca
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 30 19:20:39 2012 +0100

    Rewrite inhibit.c as an "inhibit" interface
    
    Remove libvlc hack, and fixes missing input state changes

commit 771335afa2a349662533c93048ce21b627d4057e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 2 22:57:07 2012 +0200

    wasapi: split MMDevice and session code from output
    
    - Run the volume/mute handling on the COM thread,
      removes remaining volume hacks.
    - Spawn session manager from device rather than client (fixes #7809)
    - Insulate session management from output API (refs #7394)

commit 6c5d040e87ab0255dfb2eaebb8c347656360c14b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 2 11:04:07 2012 +0100

    Add V264 FourCC

commit 18d81d128dbec14000361f0da7096fa68d54c829
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 2 10:20:40 2012 +0200

    Remove unused VLC_EEXIT* error codes

commit 91bef24e89b317d84cae789bd6f075681fc3aa6e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 2 10:17:51 2012 +0200

    libvlc: call exit() if command line help was requested
    
    A library should not call exit(), but I do not see any easy way around
    it: if libvlc_new() returns NULL on error so real errors cannot be
    distinguished from --help stuff. Also --daemon already calls exit()
    (through daemon()).
    
    This introduces an O(1) memory leak when calling --help. It could be
    fixed by merging libvlc_InternalCreate() and libvlc_InternalInit().

commit 0c40a30a34ab188c215d43dbcbf29ef1c5b5b6ea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 2 10:15:10 2012 +0200

    libvlc: return a real error if daemonizing failed
    
    (If daemonizing succeeded, daemon() will call exit(0) internally.)

commit 27416ca2c4d4f580f74037ea246b24ba26e80bfe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 2 10:14:38 2012 +0200

    libvlc: better error code if no modules are found

commit 45755c4d17aa5c36231b64a89790a19ec0bdf371
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 2 09:57:39 2012 +0200

    DirectSound: fix bytes per frame count (fixes #7835)

commit f3a44a5f35b9c1eab0ae0325ef1b98962e04b450
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 30 20:29:43 2012 +0200

    vlc: return non-zero exit code if starting failed

commit 405da96034f4cf70855c2706ba5a1e20f2c9fded
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 30 19:13:24 2012 +0200

    inhibit: add separate flags for audio and video

commit 273641ace04b6860967d2fd91e398c56bcefbe7d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 30 19:05:23 2012 +0200

    inhibit: remove the window ID
    
    This seemed like a good idea to support xdg-screensaver. But it really
    goes in the way.

commit 778460dc6beef101f8efc94e4b628efd5b6e9065
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 30 19:02:33 2012 +0200

    xdg: use timer based reset instead of window ID
    
    This is required to remove the dependency on the window provider.

commit b8f04c94af923a1f39b529b907dc0ca6e527e061
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 30 00:04:33 2012 +0200

    Revert "swscale: pass/calculate sar-info, should fix #7437"
    
    This reverts commit 0330378c55b8b940f6de82adb59cc32c5b3da12a.
    This reverts commit 0f233f4980d0440b8357de629fee7fa0741c27b3.
    
    Init() already initializes the aspect ratio, and does it correctly
    (unlike these two commits) with video_format_ScaleCropAr().

commit 807a6c9a69ee4515b549f08b63459a1a72f422a2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 29 23:20:43 2012 +0200

    wasapi: fix channel order mask

commit b05a4450a9c4f4888de0c8e294330f0f689bb4a0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 29 23:07:40 2012 +0200

    alsa: keep only useful values, not whole audio format

commit 4e57bd052e25c0538a6b1d7e83b8370910ef71dd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 29 22:30:41 2012 +0200

    input: create an aout if UI wants to configure audio (fixes #7810)

commit cd56c2fb49cdc2cae08e1b5842577250a4067b88
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 29 17:42:36 2012 +0200

    dump: output to access output rather than file (fixes #1873)
    
    The default output plugin is file for obvious backward compatibility
    reasons. Note that using anything but the file output really only makes
    sense for MPEG-TS streams.

commit 18710af18b03c877d29bc06d3b73c1ccf2ac159f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 29 17:37:37 2012 +0200

    file out: print I/O error to log and fix error handling

commit 4d6f7ee78c209ac82f76d2c322f88bb8a0eabcd0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 23:56:34 2012 +0200

    dump: clean up and simplify

commit a4a65a5eddc34257a07f6e2ce2e0a8aee090aa08
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 29 12:33:26 2012 +0100

    AVIO output: fix sout syntax
    
    Remove duplicate option

commit 08223d48e9cce98e19910782c8ed1319e18461f6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 20:21:37 2012 +0200

    Remove pf_run

commit ed41887c0b21dc5a79e7cf7139dadc6f4f0a47a6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 20:18:34 2012 +0200

    audioscrobbler: do not use pf_run

commit aab8de5c7f89f8ac4d50d2aebdb86d32dd69efca
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 20:12:54 2012 +0200

    ncurses: do not use pf_run

commit 76c94cb5cf68a0ae6e6e35e6694b603613e9050e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 20:06:49 2012 +0200

    dbus: do not use pf_run

commit 70f43de333194bb85e82833c2a007adf3145cb67
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 20:02:30 2012 +0200

    motion: do not use pf_run

commit 53828bd560c84691d94bcb80d8ccbffbe1e90630
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 19:56:36 2012 +0200

    ntservice: do not use pf_run

commit dcd19cba03bb9c0c37281dffde7a74b5ede3ef65
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 19:50:01 2012 +0200

    LIRC: keep same pollfd
    
    There is no need to reinitialize the structure.

commit 495b0633561f4203821b1c8265e2304ba56ef1ef
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 19:49:31 2012 +0200

    LIRC: do not use pf_run

commit 0ca738e8cf67409ed4c69c80ad7f891434aff69a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 19:43:14 2012 +0200

    Old RC: do not use pf_run

commit 2a579315be4423eba6ea06707335bcdd7c22fd1c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 19:29:45 2012 +0200

    aout: cosmetic fix

commit 9797d69d29097a598384a5d87c35f1d859aab4b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 19:27:16 2012 +0200

    DirectX: use parent object instead of -incorrectly- pl_Get()

commit 4ba6b7dab9fb66fce9967ed979f1b692be18a1f2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 00:19:15 2012 +0200

    DBus: remove from list of "control" interfaces
    
    The D-Bus interface is always started automatically. It should NOT be
    added to --control.

commit 388ed0d5963f9a2b9b0b539294a5117da1eeec1c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 27 00:01:11 2012 +0200

    playlist: move SD loading/unloading to playlist code...
    
    ...instead of libvlc.c. Note that this only concerns the playlist SD.
    The LibVLC SD were always dealt with separately.

commit f2b9c723187fcdb1b24285771cc6f7d580be2ba1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 23:53:36 2012 +0200

    playlist: create the playlist when needed (refs #5460)

commit d629c7df98f8c99faa3d2702e4223002e1e44fc7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 19:00:35 2012 +0200

    vout: remove wrong use of pl_Get()

commit deadb40d1486e07b5ebdf6496f69b0d6ebae6b08
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 18:16:18 2012 +0200

    playlist: move pl_Get()

commit 33af9b687708d32761cd3a8c66ae986fb92df71f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 23:20:59 2012 +0200

    libvlc: do not disable the playlist earlier automatically

commit 7f1e18cd8285d8690f82ab7918464dd61f995012
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 23:20:42 2012 +0200

    skins2: deactivate the playlist before exit

commit a038c1b41dabc7c1a2cdb2ac39918566357ff0ed
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 23:20:28 2012 +0200

    Qt4: deactivate the playlist before exit

commit d32dc564a1639b2750100020421f9cb38032978b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 23:11:05 2012 +0200

    Export playlist_Deactivate() and simplify it
    
    Those interfaces that need playlist deactivation can now call it
    explicitly.

commit 468c863c51b62a2c1f95487efd6b0533bca5418b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 23:33:03 2012 +0200

    playlist: remove naive error case
    
    Media library is crap, but that is not an excuse.

commit 3074057ce358828e56da86ed99a081c567847eb2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 23:27:08 2012 +0200

    libvlc: use pl_Get() as appropriate

commit e9363530b4de606c7213934b8300e3ae6f2e19bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 23:50:38 2012 +0200

    playlist: fix vout destruction on stop

commit 6e9f6517682806c5148acb0eb2f0850be07b5e7f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 21:26:36 2012 +0200

    playlist: remove "item-current" variable

commit 6b7728736183d71204b52293d61a188a167385d7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 21:26:13 2012 +0200

    Use "activity" instead of "item-current" variable

commit 9ee23d40389330a9e30304ec7d5d767168e4083f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 21:10:43 2012 +0200

    playlist: remove unnecessary vlc_object_alive() checks

commit a0ea1e5f8e3713044c78f916d3ed85ec21298be7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 21:08:08 2012 +0200

    playlist: trigger "activity" callback without the lock
    
    That way, playlist_CurrentInput() can be called from the callbacks.

commit 02298603d3605080b31ee8e5be136bc6d42c773e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 21:07:08 2012 +0200

    playlist: cosmetics

commit d6129028cfd41a6d52a6209c84970fd1d52fc1db
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 20:55:40 2012 +0200

    playlist: simplify loop and do not expose already dead input
    
    playlist_CurrentInput() could return the input that the playlist was
    destroying. In principles, that was harmless, but silly.

commit edd807d5194536d45bab3009332e4df03cc00f85
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 20:31:47 2012 +0200

    playlist: remove stray code
    
    Resetting the playing item only makes sense when there is no already
    active input; NextItem() takes care of that from LoopRequest():
    
    This code was redundant since the playlist was made tick-less (the
    rebuild date check made no sense anymore).

commit 19c49bbc873de0f124eba7722a459cd299e83c07
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 19:57:46 2012 +0200

    playlist: allow playlist_Stop() on a killed playlist

commit c3852ac6456786f9922029b05c6268917e31da30
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 19:40:14 2012 +0200

    playlist thread: use var_Inherit...()

commit 7c6294f1c206f571dac1b73fff9884e041cd9561
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 19:39:12 2012 +0200

    Remove unused #define's

commit 84a5171fa314607b3047b3dcd7eb3f1aa5935024
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 26 19:36:16 2012 +0200

    playlist: make "activity" a void variable and simplify

commit ac124a0d9dd6686b421639d9bd24d0baffec7feb
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Nov 25 18:18:16 2012 +0100

    macosx: fix display sleep in some situations
    
    b_active_videoplayback was not set up correctly when we wanted to prevent sleep.
    
    (forward ported from 2.0 branch)

commit 3ac4cb430dc90afe067578251d3e4dbe759ef8aa
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Nov 25 18:17:53 2012 +0100

    macosx: remove interfaces which are now declared in .m file

commit 0330378c55b8b940f6de82adb59cc32c5b3da12a
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Nov 25 19:13:37 2012 +0200

    swscale: fix aspect-ratio problem properly
    
    works with transform filter now too, fixes #7437 again.

commit 714ce0faae66c5916dd22091469c6e8a107c67cd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 25 16:05:09 2012 +0200

    Revert "http access: advertize gzip encoding..." (fixes #7757)
    
    This reverts commit 703ecf7456a80e8c967742f9f77d9643dfc7874a.

commit 072c7424c7b5b3abf349450e3ff007140b926963
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 25 12:32:41 2012 +0200

    wasapi: work around broken interfaces (fixes #7736)

commit 7662ed1978dea618b8bbebd5723dd808aaf46a31
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 25 12:07:40 2012 +0200

    SHM: add proper support for XWD frame buffers (fixes #7608)

commit ce0db74040b472094ac77762ade60bd466903233
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 24 19:28:53 2012 +0200

    XWD decoder

commit a9cb697c6c8a22a78d1a893dceff552935434ba6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 24 19:28:42 2012 +0200

    Add codec for XWD

commit 823a433bb1e81ab8c20f7ae443400427d6d2575a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 25 11:54:15 2012 +0200

    shm: cannot be paused

commit dae295b42e6cbe8a0cc934f3571518271aaa33be
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 25 11:53:35 2012 +0200

    xcb/screen: remove superfluous cast

commit e6f024b49698b2a282df9211d549d6dc5484b9e9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 25 10:26:56 2012 +0200

    Qt4: soft-code when to show the language setting (fixes #7803)

commit 6eaec7cb6995c4f7c7a12d3c9e9fd6b05a446230
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 24 23:01:38 2012 +0200

    shm: fix PTS delay (fixes #7579)

commit 97e88867dde80bfd90e4d1c42d08bde34e1314e3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 24 22:44:41 2012 +0200

    vout: fix segmentation fault if initialization fails

commit e307581ddcff7ca6f8a83bb2ccf0a087014ffb8f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 24 22:30:45 2012 +0200

    shm: use block_File() instead of custom mmap() code
    
    This should let the kernel do the copy-on-write, only if required.
    VLC does not memory copy the frames anymore.

commit cd1e58d9d37bc97bd4981faaa075e9d13c75bc3b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 24 17:49:43 2012 +0200

    dtv: fix compilation with Linux 3.7 / DVB >= 5.8 (fixes #7763)

commit 1f96d5f125578419d0b9ce388d772bb7242d4b93
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 24 17:20:19 2012 +0200

    wasapi: fake delay (approximately) if the stream has not started

commit bb85c7115fb770b2a39ddd8f78a2822ed4d13e65
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 23 14:11:03 2012 +0100

    macosx: converted Bookmarks panel to HUD style
    
    no functional changes

commit 1af9cda50cea036c94a98f4507dab30ac3607c2e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 22 23:25:33 2012 +0200

    AES3: decode to native endian
    
    (and revert earlier accidental changes)

commit ca4846feee716ada23b9318e75cde38c2a62e7a8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 22 22:21:38 2012 +0200

    aout: factor out mdate() from the time_get() callback

commit 2d66a357a4a2bcdc627f6422bbc17efced040427
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 22 20:35:47 2012 +0200

    PulseAudio: fix crash on error path

commit 30a45481e586353551e57fbcd488a063a18d5775
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 22 02:16:44 2012 +0100

    i18n: add new file

commit d7bb5d8230792056223d3d9053c4f6ccc77fdfcf
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 22 02:02:11 2012 +0100

    motion: fix orientation of transform filter
    
    The goal of the motion interface is to keep the video upside up. The
    angles of the rotate and transform filters are oriented in opposite
    directions, yet both filters are treated in the same way by the motion
    code: this is incoherent and at least one code path is wrong, regardless
    of the orientation of the motion sensors. On my HDAPS T42, the transform
    path would turn the video upside down... my take is that its orientation
    got flipped somewhere along the way. This fixes that.

commit 344713d09f8bbdd6267feed80256a842092818bc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 21 22:41:15 2012 +0200

    PulseAudio: try to keep all resampling on VLC side
    
    This reduces overall CPU consumption.

commit c765fb8c71ee67e1c1428ef1b62cd3b7169b5d4c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 21 22:25:15 2012 +0200

    PulseAudio: implement TimeGet()
    
    This enables the normal VLC core resampling.

commit 44a7ebee6c9d77a06ecf82be2fe3245ed68a3c36
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 21 20:40:41 2012 +0200

    PulseAudio: remove custom synchronization and resampling code
    
    The VLC core resampling _should_ work now.

commit baf47dcc4a4501b9dd1e3fea5cd1d3357dbae306
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 21 20:33:52 2012 +0200

    PulseAudio: do nothing on underflow
    
    PulseAudio underflow is not (usually) an actual underrun. It just means
    PulseAudio would fancy more data.

commit 49829efdd242a7d4766bc9a140199cc9d1ce60f1
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Wed Nov 21 19:18:24 2012 +0100

    macosx: fix playlist focus issue in nonembedded mode
    
    close #7794

commit ac698fe09ff0c7e5e082ef82ff8828e38e67bd03
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 21 18:44:30 2012 +0200

    araw: revector to check all supported formats just once

commit 21e0061982a62df352cf06442c0edfa3f38eb48e
Author: Denis Charmet <typx@dinauz.org>
Date:   Tue Nov 20 21:27:19 2012 +0100

    Handle possible negative timestamps in MKV
    
    Fix #7751
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f51013b044710668f248e5014e67e58fb8de11bb
Author: Denis Charmet <typx@dinauz.org>
Date:   Tue Nov 20 23:23:12 2012 +0100

    Detect Theora keyframe without blockreference
    
    Fix #7513
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ab75e4f913f15c920621b676ac49b75701d364a8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 21 16:16:02 2012 +0100

    LGPL: relicense Tivo demuxer to LGPL
    
    With explicit authorization from original authors:
    Neal Symms
    Christopher Wingert, from mplayer-tivo project

commit 78e9e0fb86bbb024097b5178f541a25bd0b9e55b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 21 15:41:57 2012 +0100

    NEWS: modify OSX news to show that #6047 is fixed

commit 1c858fbdf23e7bfc93bcab47193ce5100cd61e7a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 20 23:17:41 2012 +0200

    DTV: fix DVB-S autodetection

commit b21288225f6a4f9cfc51cc895eec89d3c4a84291
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 20 22:45:42 2012 +0200

    record: explicitly disable append and format
    
    Just in case they have been manually enabled in the configuration.

commit 400b9b643686981eb0224f5e380a424b468bbdac
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 20 22:42:57 2012 +0200

    file out: make time formatting optional (fixes #7768)
    
    This feature has broken far too many scripts and code as it fails the
    principle of least surprise.

commit db8b580100f1e6c0e8f40269b0af1b08595ce011
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 20 21:27:11 2012 +0200

    aes3: use lookup table to speed up bit order inversion

commit 3fe01ba5cad7268b8e7c00811b1d837950c096fb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 20 15:19:37 2012 +0100

    Contribs: update postproc rules

commit bf47f37a1a935dbb5c744c35286d910fe8dbbc75
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 19 16:21:09 2012 +0100

    audioqueue: compilation and compiler wanring fixes

commit 2536850f04e6c20032ff1236f5a16dca200db7ca
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 19 15:57:27 2012 +0100

    contrib/libxml2: fixed compilation on iOS

commit 54f10e1e4580f99bf676f9d2aab4bf9f783ebf00
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Nov 19 18:24:17 2012 +0400

    bluray: remove unneeded define.

commit 825c418544cc888fa2d19a3c26447f128376cbb5
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Nov 19 17:28:09 2012 +0400

    bluray: construct proper URL to album art.

commit cf79e2b9e3a86418131c1f0de0222d539fed7b41
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Nov 19 17:27:37 2012 +0400

    bluray: try to find out disc mount point on OSX.

commit 15608ac3d61dd246bfa9c12cd024fd709ca28656
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Nov 19 17:25:58 2012 +0400

    bluray: store path to disc in a struct.

commit 111625856419c41bba8dcc5b856d34b91cbe1747
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Wed Oct 24 23:44:24 2012 +0400

    Contribs: update libbluray to 0.2.3.

commit 5f438135855a69adc888298d28b117dceedd6e0f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 19 12:17:45 2012 +0100

    Qt: sprefs, add correct buddies elements

commit 6b72362511441a61280ea663c7d60b5ca4e958cc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 19 11:56:49 2012 +0100

    Qt: preferences, fix checkbox behaviours
    
    Remove weird layout margins, and zones for correct deactivations of
    groups of groupBoxes

commit 94b30f51a33e9aaa00d6b16dae1ea360a258a18b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 19 11:53:27 2012 +0100

    Qt: allow SPU deactivation in simple preferences.

commit 9a2937d68eb0dacb3a11dd4bbf74ca58cb2136de
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Nov 19 12:57:38 2012 +0400

    lua cli: fix typos.

commit 0d84e5b00ff95c8857f017bd87c1ef2600364040
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Nov 19 12:39:01 2012 +0400

    lua cli: don't error out on get_length if there is no input

commit 3c0ce0d36cb42d65dc781663a8e39947e78a6a2e
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Sun Nov 18 21:49:49 2012 +0100

    libvlc: document the get_/set_position value range

commit 24f8bc8dc6e9ab30351982b790ea93bee24500da
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 18 19:59:07 2012 +0200

    ALSA: require version 1.0.24 or later

commit c45da6baae28f825e49044babacc73592ea6721f
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Nov 18 13:19:52 2012 +0100

    macosx: fix selectorNotFound warnings of when compiling with llvm-gcc

commit 0edd5b36629adf7da17dfcc6d08e0c8cecab3112
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Nov 18 12:07:40 2012 +0100

    macosx: native fullscreen mode is also supported on mountain lion

commit 784f47a244308736948a5e526357cfa094f359d8
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Nov 18 11:59:58 2012 +0100

    macosx: only hide dock and menu bar when necessary
    
    Please note: For whatever reason, Cocoa only allows to hide the menu bar
    when we also hide the dock. On the other hand, the dock can be hidden while
    the menu bar stays visible.
    
    close #4681

commit 00c4f687860c7824f5c5eda9d7813e17ea9f4f4c
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 17 23:18:46 2012 +0100

    taglib: fix album art segfault
    
    Closes #7775

commit 7751dc1fb827256b226fe49bd99fe6a5f37f5c8a
Author: Juergen Lock <nox@jelal.kn-bremen.de>
Date:   Sat Nov 17 23:49:04 2012 +0200

    PulseAudio: fix segmentation fault
    
    Reported by: Rainer Hurling
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 384062b82c788c69b1c3af133a541131cdf88406
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 22:33:32 2012 +0200

    Refuse to load any module if "none" is requested
    
    This matches behavior from previous versions. "none" can forcefully
    disable a module even if strict mode is NOT enabled.

commit bc1c318f99443b783704af74a765f1446f188d03
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 22:32:26 2012 +0200

    aout: tolerate lack of a resampler if the input and output rates match
    
    Synchronization will not be so good (as with S/PDIF), but audio will
    still work. Anyway, this should hardly ever happen since the ugly
    resampler supports all linear formats.

commit fdd2b7b1c4106b8b59d7cb243c50c5b27ea6673d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 22:25:06 2012 +0200

    aout: remove the old rate kludge to probe resamplers

commit 140ca2a521a8c14e1a62fe7de9a33cff830a5725
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 22:23:26 2012 +0200

    resamplers: no need to check that rates are different
    
    In fact, the rates may be identical. Resampling might be used only to
    compensate accidental drift. (We could also remove channel and format
    checks.)

commit ee86514d1cb1fe5ec25c8bdfb2a4b6a8d98591e7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 20:00:34 2012 +0200

    subsdec: really fix buffer overflows
    
    Reported-by: Aliz Hammond

commit 744121f4461e064e2f26f406c64c9091c95d5e43
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 19:55:57 2012 +0200

    subsdec: close <font> correctly

commit 755672794683bb1dec9473a32004fb1aab49049a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 19:15:51 2012 +0200

    sndio: remove fake pause() implementation

commit 2a0c18e438d217ffaee797e9cc7ed67ad42b671e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 18:20:52 2012 +0200

    Support draining in aout_PacketFlush()

commit 70c1ea6b1b18dc40602c5a9adb1fff196ba05ae4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 18:11:39 2012 +0200

    Remove aout_PacketPause()

commit ba6c9da0f76428a6fdfc8f1049a6682cade0f51a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 18:07:01 2012 +0200

    aout: provide a default implementation for pause

commit d96f6e23adfd24ec188cb2a7b31cc2e992291172
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 17 11:04:12 2012 +0200

    FreeType: fix NULL deref on embedded fonts (fixes #7771)
    
    FT_Face.family_name can be NULL for embedded fonts.
    
    See also http://www.freetype.org/freetype2/docs/reference/ft2-base_interface.html#FT_FaceRec

commit 024ca98d52d2f0003677c8e942f53e86c98e0ae5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 16 18:49:50 2012 +0200

    aout: make flush operation mandatory

commit fc81dcfab88f3d0ed4d338c66643260aec608e3f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 16 18:47:08 2012 +0200

    sndio: emulate flush
    
    This is really crappy, but it's as good as I can make it with such a
    dumb interface.

commit 03c7740cacdfb9173480b94d8aafa249a931dd5b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 16 18:39:51 2012 +0200

    sndio: clear sync state when resuming from pause

commit 54b3ae83512fe2a719fdebfe01b801d17f41edd3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 16 18:36:54 2012 +0200

    sndio: implement latency measurement as per spec (untested)

commit 89a3302c734f2195b620e1bca12670834abd18c9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 16 17:13:02 2012 +0100

    AVformat: do not use static attachment pictures as stream

commit 939783abde8ef7ebfe738a7864e689c55181e6cf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 16 18:13:01 2012 +0200

    aout: document time_get return value

commit db978fb3dec674c666be3d1eb1e0dc6a4bdef152
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 16 18:12:40 2012 +0200

    file aout: implement flush operation (kind of)

commit e007b1d4081ac87a5a3a9e13badc149a43b42e45
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 16 17:34:09 2012 +0200

    smem: do not clobber pixels matrix pointer (fixes #7767)

commit 31ca412c9c11c259423aa9aae0416211489e3206
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 16 11:31:02 2012 +0100

    Update NEWS from 2.0.4

commit 82bc0e04d3ff49a1ee2ab523b20366e78a52120d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 23:29:08 2012 +0200

    aout: make more room for filters

commit 6d8581994183133a1d38d16f0ddbb15d3a851c26
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 23:25:32 2012 +0200

    aout: fix support for 8-bits PCM

commit 2df0519d7c45d9209fdf5d521000106409e21218
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 23:23:33 2012 +0200

    format: remove endianess conversions

commit 59987d76ce45ac7e2d01a219ebe98440648850a6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 23:18:27 2012 +0200

    endian: endian conversion code from format

commit add4be433f0d2d9ffb94cd800ef7ac2cdec096d8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 15 22:02:05 2012 +0100

    macosx: reset A to B loop when switching playlist items

commit f790f3993b2fcb9775ffaaa2d614d4e025f1d532
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 22:55:52 2012 +0200

    aout: convert endianess separately
    
    This enable more uses of optimized format conversion plugins.
    (Currently the generic format converter hides indirect conversions.)

commit 3a2ba96b99e5ea08212759e5c5845f6054584f03
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 22:37:36 2012 +0200

    aout: rewrite and robustify conversion pipelines
    
    This should fix problems when remixing is required but the FL32
    format is not involved, as well as decoding on non-FPU platforms.
    
    This also disables (or rather avoids) remixing in A52 and DTS decoders.
    I do not really see the point in using the A52 downmixer anyway.

commit 66ede74c7a08001ae1e0c43838f8792cef46c706
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 22:01:31 2012 +0200

    aout: internal helper for endianess conversion

commit 9da30f1afb6300829c353d898646e2f7693d5ad7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 21:59:58 2012 +0200

    Add missing VLC_CODEC_U(24|32)(N|I) definitions

commit 79d88eedc9e94decec97a0e034887abee8b8a29b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 15 20:52:34 2012 +0100

    macosx: fixed objc string comparison error found by the clang static analyzer
    
    this worked out of pure luck for the past 6 years

commit 93b8dfeb29e0460b073a4afc43124adfc560ebe3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 15 20:43:41 2012 +0100

    macosx: fixed format-security warnings introduced in recent clang releases

commit 2ef2e73f033aff25a1c97b5d0d749e5ee141b7a4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 15 20:40:21 2012 +0100

    NEWS: updated OSX parts

commit 6ebb7049406173aef40bfe33e07674c6fef19208
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 15 20:17:28 2012 +0100

    macosx: implemented A->B Loop (close #5187)

commit 29744275611239a51fbcd97908751ab8ca8d618f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 15 19:45:00 2012 +0100

    macosx: white space and minor coding style fixes

commit 94d4f4a69c9c424ab1f782b6e5461a9eed16bb41
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 15 19:33:40 2012 +0100

    macosx: fix incorrect text shadow offset (close #7630)

commit 125988f87a1b38584479d82fae51704278a4c3e3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 18:24:04 2012 +0200

    aout: deal with failure to restart
    
    Drop audio rather than abort.

commit c32e21fce71718d107e8a2ef55f9dfa2b7b2f088
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 18:09:26 2012 +0200

    wasapi: fix typo screwing up synchro

commit ff89ff37090060aca89e455fb36d8a9863357ec0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 18:03:37 2012 +0200

    aout: only discard input buffers if they are fatally late

commit 32784aa8be47588a9b599bbbe3dda59c0bd66059
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 15 17:57:01 2012 +0200

    aout: set PTS correctly on silence blocks

commit 1efed28eee6a05639126a1386711dabfc6321ae3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 15 12:47:07 2012 +0100

    Yadif for higher bits depth
    
    Close #6200

commit 9f2442c933ed74173a2c8ff58e1e8c43816be455
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 24 12:59:00 2012 +0200

    Ogg: Parse chapters in comments
    
    Ref #6895
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1009e7f574f92c2e02bd2a2e48c97e85ddb36be1
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 15 02:31:31 2012 +0100

    Fix typo

commit 8c3486529655569fb4e695caa835cafd37072a2f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 14 20:32:06 2012 +0200

    ALSA: fix time measurements
    
    The latency needs to be returned also when not (yet) running to start
    playback on time (the audio output core inserts zeroes accordingly).
    
    Also, then there is no point to using PCM status, as only one single
    parameter is used. This simplifies the code and works around a bug
    (probably in ALSA plugin framework) whereby delay was always zero
    when using the ALSA<->PulseAudio I/O plugin.

commit 2b51a84f34d6ad36e8f8b6998f1aaa29bd91c0b4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 14 18:26:54 2012 +0200

    Android: do not use semaphores from vlc_testcancel()
    
    Taking any lock in vlc_testcancel() is prone to deadlock since it gets
    called from vlc_cond_(timed)wait() with the mutex held.
    
    Not using semaphores at all would probably be saner here though.

commit 1a5ea5894dac3480272bd4f4650124f1b0a0d954
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 14 18:10:14 2012 +0200

    vlc_sem_wait: add missing cleanup handler

commit dbecf48dd81a54888bc60710bb716c1c13642e1b
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Wed Nov 14 23:18:10 2012 +0900

    Qt: enable ONE INSTANCE options of simple preferences on OS/2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 41052ba560ae32b4559bb85611ba15a4daac6a6c
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Tue Nov 13 07:27:42 2012 -0500

    opensles_android: Implement TimeGet
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a44da88b77a1fe47f5e49c11106261d8b50315f8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 14 12:28:33 2012 +0100

    macosx: fix crash when displaying the Media Information panel with disabled local stats

commit 0397c9b63039f468942e939e3802f66182ab3add
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 14 12:04:18 2012 +0100

    macosx: added 'clone' and 'wall' to Video Effects panel

commit c6c7052fdf46e57139f20453d24854fb7a9e1b22
Author: Denis Charmet <typx@dinauz.org>
Date:   Tue Nov 13 22:01:01 2012 +0100

    Use timecodescale to compute subtitle duration
    
    Fix #2702
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b42bf2478e7f43b827019b9e5fef5869ecc85c57
Author: Denis Charmet <typx@dinauz.org>
Date:   Tue Nov 13 23:58:53 2012 +0100

    Use encoding scope to correctly decode data
    
    Fix #5196
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 59253bafcf76cfd8c672fbcf5f195b00ff3c9a50
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 13 22:48:53 2012 +0200

    aout: fix infinite loop on error (fixes #7711)

commit 606ac518d2468e5050bf04a589f168d41a63da72
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 13 22:06:44 2012 +0200

    wasapi: fix check for invalid position

commit 62a75145b729b80b5f44931739338ef8a1812947
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 13 21:35:50 2012 +0200

    aout: fix flawed resampling logic

commit 17b69f2d41f4c71ac51b9196684d3024173983c6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 13 21:12:51 2012 +0200

    aout: fix potential live loop

commit bdd77785a656d462416c71ed64466418e183c141
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 13 21:12:26 2012 +0200

    ALSA: remove custom zero padding code
    
    The core takes care of it now. In principles.

commit 30635669e843ee893f12d14cf54a6a762e287613
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 13 21:00:09 2012 +0200

    aout: update discontinuity flag
    
     - Set the flag when the buffer is marked.
     - Set the flag (for next buffer) when the buffer is dropped.
     - Clear the flag when a buffer is played.

commit f72132f1cd2ca4af82663a80427bb9605f6bca38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 13 20:27:59 2012 +0200

    aout: make some functions static

commit 5b595ec89fe2cb966aa5cbab64af77562ee54cdd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 13 20:23:07 2012 +0200

    aout: remove output conversions
    
    The filters chain will convert to whatever output format is needed, so
    this was redundant.

commit 54fb71641aaa83a3d441c26d3b809167f85d951e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 13 17:52:25 2012 +0100

    Contribs: use a special regex package based on glibc 2.2.5
    
    This uses the old 0.12 buildsystem with regex.* from glibc 2.2.5
    and uses LGPL

commit cb00aad9a4f82225712886dccd1a386da8d9f946
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 13 17:27:59 2012 +0100

    Contribs: fix a52 fixed patch

commit c6fb7802b909b17942b38c8359342237e1cc62ef
Author: Diego Fernando Nieto <diegofn@me.com>
Date:   Sat Nov 10 13:34:28 2012 -0500

    contrib: workaround libxml 2.9.0 threads error for OSX
    
    Modified-by: Edward Wang <edward.c.wang@compdigitec.com>
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 00c5b9f871961c2600ce62d31938995b657a6a20
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sun Nov 11 15:04:13 2012 +0900

    OS/2: implement one-instance feature
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b4bbf33923876e27433f19bd0730c761a7aa36de
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Tue Nov 13 07:27:43 2012 -0500

    audiotrack: Fix compilation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fef270581f736d4f6289a77cb115195241ed691d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 6 17:48:33 2012 +0100

    LGPL
    
    Re-license almost all the playback modules to LGPLv2.1+ with
    authorization from their respective contributors (230+)
    
    This includes:
     - access, codec, packetizers, demux
     - audio filters, audio mixers, audio output
     - video filters, video chroma, video output
     - text renderers
     - XML parser
     - ARM NEON and SSE2 optimisations (mostly for chromas and filters)
    
    Some modules are not concerned:
     - BDA and DShow access modules because Manol Manolov is AWOL
     - Real RTSP, because it is derived from Xine
     - x264 and t140 because they are encoders only
     - DLL Loader, because it is derived from MPlayer
     - DTS packetizer, because Jon Lech Johansen is AWOL
     - Shine and WMAfixed, because they are derived from Rockbox
     - Real demuxer, as it is derived from MPlayer and Wang Bo is AWOL
     - MPC demuxer, as Yavor Doganov is AWOL
     - Tivo demuxer, because it is derived from an MPlayer fork
     - Playlist demuxer, (WPL and ZPL parts missing), because suheaven is AWOL
     - iOS audio output and video display, because author refuses the license change
     - Equalizer and compressor, because Ronald Wright is AWOL
     - Mono, Headphone and Dolby, because author refuses the license change
     - hqdn3d and yadif, because they are from MPlayer/libavfilter
     - remoteosd, because it derives from RealVNC code
     - MMX optimisations, because Ollie Lho, from SiS, is AWOL
     - Rotate, because it depends on GPL motion
    
    Nota Bene:
     - Some modules depend on GPL-only libraries, a LGPL module does not mean
       that the resulting binary module will be LGPL.
       Libraries affected would include liba52, libdvdcss, libdvdnav, libdvdread,
       faad2, libdca, libmad, libmpeg2, libpostproc, SRC, sid, zvbi and probably others.

commit 29c4138de9e23575c109999edeefee3f41b81ebc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 12 20:12:05 2012 +0100

    DTS in wav: check frame size
    
    Close #7282

commit ada0afffaef8efc179b7127d88a18c2aa7cb2fb6
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Nov 13 13:41:12 2012 +0100

    skins2: correct a uri conversion issue with new vlc_path2uri
    
    new vlc_path2uri function now expects a valid not-yet-converted file name.
    
    This fixes art display errors with latest vlc from current git rep.

commit 7f9b60faf9989c9ad6c0472ecdde6a148aeaefb9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 12 23:06:26 2012 +0200

    aout: rewrite synchronization code
    
    This commit will kill your kitten if left without supervision.

commit c19df7839cb08fb07d349d7ac9bfeaebc6d9d18c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 12 23:01:24 2012 +0200

    aout: separate time and play callbacks

commit f492f85cb33b8b84f7a9c1f6fe6db772ab7a52fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 12 21:36:26 2012 +0200

    aout: improve plugin interface documentation

commit 2640a57cad6773ad5609d020d01f86f57e2d4464
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 12 18:14:49 2012 +0100

    DTS: fix Win32 compilation

commit 68416d1a4d91fddc6060a8c92abab224d7dc03a3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 12 17:48:54 2012 +0100

    DTS in wav: use DTS helper

commit 108edbd9e0acc58bd89ff7e1284ee9a842aff53d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 12 16:26:49 2012 +0100

    DTS: split some parsing headers functions

commit fe06bee1348c84bb47ad9aff095ccf414385e777
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 12 14:00:02 2012 +0100

    DTS to S/PDIF: Update copyright holders
    
    And comments

commit 8fec577251bb6611005287fc94327ca97a2aca42
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 18:25:59 2012 +0200

    Fix mutex-emulated atomic operations on GCC

commit 6c62d7475dce83cbc116f4bcc470ee4f9078e6c1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 11 16:13:51 2012 +0100

    macosx: fixed crash when terminating while the progress panel is displayed

commit 04c94d3708e7662c2c683997145b1d6ceb9c96f2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 17:06:46 2012 +0200

    aout: use atomic variable instead of aout lock for statistics

commit 1b57d370e53be1bfbb24ccf97b879e51fc359f89
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 11 16:00:47 2012 +0100

    macosx: another sanity check since in rare circumstances an input's URL may be nil

commit 5138b463ac5a4c896a031d9fc6f0d13fe9843ead
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 16:54:51 2012 +0200

    aout: inline synchronization code into dec.c

commit c96fa88a7429dc85afc80a60f0005c40fc321e1d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 11 15:44:53 2012 +0100

    macosx: added sanity check to prevent a Cocoa runtime exception

commit 82858095f56672ed2cd6bc8e075e22b2f03206a7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 11 15:16:45 2012 +0100

    vlc_atomic: work-around clang issue #11174
    
    __GCC_HAVE_SYNC_COMPARE_AND_SWAP_ is neither defined nor is an equivalent macro available. However, the protected features are supported.

commit 3690c9e2b30043dd6f70b853bd8a5b72e0589341
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 16:05:10 2012 +0200

    aout: remove another write-only parameter

commit 7efec6d698a89b0f770f58d6b6582ce0df006549
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 16:00:45 2012 +0200

    aout: remove write-only parameter

commit f74dd10ef0ae933f06ee41222171aac4eb9194e9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 15:50:11 2012 +0200

    aout: move actual filtering to filters.c
    
    This leaves only synchronization code in input.c. This patch introduces
    a small regression where resampling adjustment have a latency of two
    packets instead of currently one. That will be fixed later.

commit dfdc2d1be4e48abaf5541ba2fefcd65c03059442
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 13:05:19 2012 +0200

    wasapi: reorder channels (fixes #6829)

commit 50eb6474185fd7c1e2a5d84577d4a48a680c1ede
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 12:03:41 2012 +0200

    wasapi: fix indentation

commit 445d8bc27b849908a2bf112a51fe24dc2910563b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 12:43:07 2012 +0200

    waveout: fix warning

commit 978d581b98c07bab07f3e200226fbb29469b9209
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 12:52:20 2012 +0200

    Shrink channel reordering tables to 9-10 bytes (from 36-40 bytes)

commit 784b1bd3d410ce0ad01ece4ce111e37c5f041f03
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 12:37:57 2012 +0200

    aout_CheckChannelReorder: remove redundant parameter
    
    The number of channels is conveyed in the channels mask.

commit c87fe2f7829278c71b37380ed0735be541c7720b
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 11 12:15:50 2012 +0100

    old dvb access: remove unused includes

commit 3b3d705ff424cf0eaadb9a4f07a5d883a2ab2263
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 11 11:59:46 2012 +0100

    dvb: libdvbpsi is not optional

commit f942f44d59b0d9a343c51a71f68dbe7e9bedfa01
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Nov 11 09:55:21 2012 +0100

    POTFILES.in: add new macosx source files

commit 85d3a7c43734ac044940df62868a2ab34829e044
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Nov 11 09:06:48 2012 +0100

    NEWS: mention support for multiple vouts

commit 9cdec1aeda9ed72b7a130dc07b194b50af11e209
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 11 00:11:28 2012 +0100

    zsh completion: update to last libvlccore api

commit 49e1047e8815ae3c208a80ff44fb792cf1c17454
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 11 00:21:15 2012 +0200

    aout_ChannelReorder: optimize 16 and 32 bits cases with aligned access

commit d82327460779ea62d6debc0e08b7f57c7bf384a4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 10 22:30:27 2012 +0100

    AIFF: avoid division by 0
    
    Close #7739

commit 8fad0cd726cefe262dd3065c818d703f4c70214f
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Nov 10 21:55:24 2012 +0100

    macosx: fix fullscreen button state in mainwindow
    
    The button state now indicates if the next video will be started in
    fullscreen, or there is already one video in fullscreen.

commit 354dcd7df98f6c62105420db0062ef8a2188f9df
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Nov 10 21:16:20 2012 +0100

    macosx: simplify vout window instantiation
    
    This removes unused pointering. Furthermore, for nonembedded windows
    the video size is set directly to avoid strange resizing after window
    creation.

commit 689613d3c77657a2de5d741ff73b2cb66716d26d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 22:42:07 2012 +0200

    puzzle: use atomic variables and flag instead of lock

commit 2db07444913237d2871f915905d4a4de1e646e60
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 22:31:09 2012 +0200

    posterize: use atomic variable instead of lock

commit 62daf8e88fef3305b34d1064c76e8dab5bdab676
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 22:28:08 2012 +0200

    mirror: use atomic variables instead of lock

commit 5ba3190923e93d7f1359df387fb982cce79eac01
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 22:24:32 2012 +0200

    antiflicker: memory leak

commit db1980f92721c8723b92d42e486c0c96bc0a0157
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 22:20:59 2012 +0200

    antiflicker: use atomic variables instead of lock

commit 9575a2e2a7e2f21550da4c77bf54e34fc3e402b7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 20:51:26 2012 +0200

    Remove spin lock functions
    
    This was not a particularly good idea in user space.

commit 51a26d08767f28b2b5c75f8894195b313afe587b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 20:50:11 2012 +0200

    media library: remove non-sensical use of spin locks
    
    The code is complete and utter crap either way.

commit b287bd3d597a790df0aa66b3d82315b5e398d98e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 20:20:38 2012 +0200

    rotate: use single float rather than pair of integers for angle
    
    (Single precision is more than enough in this case.)

commit 5d934daea61c570cece69172dd72d93df57cc44c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 20:20:25 2012 +0200

    Qt4: allow dial control for float variables

commit 3feac244a9ea77e39d80a7bb2deb3d41253842fe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 20:05:48 2012 +0200

    rotate: use atomic variable instead of spin lock

commit 3afcc0bb1f929748cc7de65531d0adbdd97098c4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 19:44:00 2012 +0200

    Remove unused barrier()

commit a09b86ce6ce15604213da8f80678a49d05f31fba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 19:38:53 2012 +0200

    Privatize b_die

commit 32303b5d598ad17557123485d8858d377ae0cbb6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 19:47:11 2012 +0200

    mkv: do not use .b_die

commit 7141d755ff50c1dc4fca03b02d0c57657d0ff184
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 19:22:47 2012 +0200

    Do not access b_die directly

commit a9d42c83750ab4665b0542136eb6b8fac5ee5507
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 19:19:04 2012 +0200

    stream: remove useless vlc_object_kill() calls
    
    The stream is always killed at the same time as the access already.

commit 95b0fabc32bdc5886aa32c40bec421c99320107c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 18:59:18 2012 +0200

    objects: use atomic reference counter instead of spin lock + counter

commit fd82bdcba3903bfe377d25c0cbadd960958d37ea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 18:57:55 2012 +0200

    vlc_atomic: fix GCC macros return types

commit ffc6586bfe66dd333db309bb1c6e4a9c6b4796d1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 17:28:31 2012 +0200

    Move VLC object internals to a more private header

commit 4b453a7a9e44fa43497a59d9c6d2228959fa05da
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 17:14:14 2012 +0200

    Add option to enable OSD menu

commit 812ba37d19ec8bcbfe6cb3e6f05619a06f4655ed
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 10 16:58:12 2012 +0200

    Move osd_text.c to src/video_output/

commit a5e3a954b54587db0a7b47320f94ed7284122763
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 9 00:36:33 2012 +0200

    vout: use atomic variables for stats instead of spin lock

commit 9b925e51b71591abfb410bfb83119708b4f30b1c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Nov 9 00:21:50 2012 +0200

    colorthes: use atomic variables instead of spin lock

commit 1f5ce294a7c54fedddd6183c35a4df952e460b11
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 23:58:00 2012 +0200

    motionblur: use atomic variable instead of spin lock

commit 52ef346590d414c5237c833fcc4bcba42bd2e49d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 23:54:17 2012 +0200

    sepia: use atomic variable instead of spin lock

commit 2c5ee1707b1962ee3f47dbe4abb7c199aeccc022
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 22:39:35 2012 +0200

    lib: correct and uniformize audio/video track IDs (fixes #7645)

commit 0b1cc788e1fd5066ab17cfafa3544c96f9e9b3d2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 22:26:31 2012 +0200

    Set directory-wide libtool tag correctly

commit 9c05025e085ab642932ed44c8219c362cfc6dbbf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 21:03:28 2012 +0200

    DirectSound: use device GUID instead of device name (fixes #7102)

commit eeb201b9b0823b88b69372ced5f674cba66a461f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 19:13:14 2012 +0200

    lua: fixes right OSD alignment (refs #6326)

commit c1157eb5cc71a6c1c2210957bcc7f9cc0c744d6a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 19:12:50 2012 +0200

    lua: fix "center" OSD alignment (refs #6326)

commit 17746f421d7173d448b694978ab29ff651dd5e51
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 19:10:38 2012 +0200

    Lua: kill relocations

commit 6409fdbca02c401a9a1c043725a962187129639d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 18:19:02 2012 +0200

    Mark --verbose-objects obsolete (refs #7737)

commit f54cd63a09fad3768c40395f30f87d2b9e877d07
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 18:20:04 2012 +0200

    dumpmeta: update comment

commit 4d31237dfad3d5ba08e9bb59da93145190fd57a4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 8 18:16:56 2012 +0200

    decklink: do not refer to obsolete option --verbose-objects

commit b0ab88913ff9985a6699aafd596290fe9abe94ba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 7 20:00:16 2012 +0200

    aout: cosmetic change

commit 1fc92d5178794c3cee0b71b935748f2583dd4788
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 7 19:56:04 2012 +0200

    aout: rationalize filters pipelines function names (cosmetic)

commit d96db36fd8a8df02339cb6bf26d796d24b332e02
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 7 19:44:37 2012 +0200

    aout: fix assertion when S/PDIF is used

commit 049eadc4473c36d5d63226b171e23099ce88e30d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 7 18:58:13 2012 +0200

    Robustify static_assert() check

commit 01de23db5ff3a54329cf0c262dead96fc8d88cff
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 7 18:51:31 2012 +0200

    aout: remove write-only resampling start date

commit 87762e62fb25565624e928b7c9c05c34164a2d00
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Nov 7 13:12:02 2012 +0200

    i420_rgb: separate mmx and sse2 asm code

commit f8e940016f9d710ebfafe8e3898fe591dd9c76c2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 23:55:49 2012 +0200

    aout: handle filters creation/deletion from decoder, fix memory leak

commit 5864ae43c26812f3c4e2746f5bb41551048bfe38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 23:24:36 2012 +0200

    aout: simplify filterign special cases using pointer comparison

commit 1abc59b7228f817f1ebeffe113c31f18b60c417d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 21:27:47 2012 +0200

    aout: partly rewrite and move filters initialization code
    
     - simplify "audio-filter" parser and fix a tautology
     - keep a single pointer for the resampler instead of a table

commit 714c999844da1ef6be22c1cf25cc8f99b7c09bf5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:42:58 2012 +0200

    headphone: setup filter_t on success and rationalize
    
    Use input rate rather than output rate to avoid extra resampling.

commit 3fc1801a892ade0b2477e28e3a57159fb9434928
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:38:20 2012 +0200

    spatializer: setup filter_t only on success

commit cf34a476e4b514bc072202f6333e53bdb09881a1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:38:06 2012 +0200

    scaletemp: setup filter_t only when successful

commit 51a324b04f5bd52c748643a3ea7fe756162429c8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:37:48 2012 +0200

    param_eq: setup filter_t only when successful

commit c9fbe78ae1b0d3ee5eace592041b36092f9476d2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:37:26 2012 +0200

    normvol: setup filter_t only when successful

commit b2e76597910ba6f1d2841b792bbcbc410d990a7a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:37:05 2012 +0200

    karaoke: change format when needed instead of failing

commit f2ce1cab3e00cca4e136ca125f845beb8fdd10a4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:36:48 2012 +0200

    gain: setup filter_t only when successful

commit c1ab8edd92bc501e88d778373a2a1e05c2f1862f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:36:35 2012 +0200

    equalizer: setup filter_t only when successful

commit 835f25c5ea137029894dfbc343bbceefcfcb1fa5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:36:21 2012 +0200

    compressor: setup filter_t only when successful

commit b2d4229e75976c2ac3d30e1f30028ad3169a27b2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:36:02 2012 +0200

    chorus_fangler: setup filter_t only when successful

commit e5acfdd22ec17a986ff1c7324c542624cdb5af43
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:35:43 2012 +0200

    remap: setup filter_t only when successful

commit 7a0a53fce08d41c45a47215798a9f4a19a539a9c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:34:40 2012 +0200

    mono: setup filter_t only when successful

commit ce7161533c7757d14f6b8e5c2b17e8e13e0d6f4c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:34:22 2012 +0200

    mono: remove redundant checks

commit 0e893017b73a97f155a8f43db5c37ca0d8b385f8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 6 19:33:29 2012 +0200

    audiobargraph: setup filter_t only when successful

commit 303f40131375521744c9c7ed1b3f14aa42201982
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 5 22:44:05 2012 +0200

    variables: move last msg_*() call with the variable lock

commit 8e9115f03b5579bfd9dcfccf34300e006dcb283b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 5 22:43:07 2012 +0200

    variables: use assert() more consistently

commit a31f8ebb74ea9c7f9b2f9f078321c1c2d9d79925
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 5 22:29:48 2012 +0200

    variables: remove obsolete detached object debug code
    
    Objects cannot be detached anymore...

commit 13973497dad3b7c310ad4c4791414fb0801e7ca7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 5 18:21:23 2012 +0200

    Add .kar extension (fixes #7715)

commit 311af61b6dd27f6832e1c085a0e71c6eb6699c66
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sat Oct 13 21:12:22 2012 +0900

    subsdec: check UTF-8 autodetection if encoding is not known in ES format
    
    This enables to show UTF-8 subtitles even though subsdec-encoding is set to
    a non-UTF-8 value.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 75f2a236ea8d02868b5423ff09898135d2afdd25
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 16:43:37 2012 +0100

    Yet another H263 FourCC

commit acd42fb584e0ff48ca421cbc0efcfbed6a857f87
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sat Nov 3 09:24:39 2012 -0400

    oss: Compilation fixes and cleanup
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b04188b46bb2662986ddfea60fa1d7f7dbe476ec
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 12:14:34 2012 +0100

    Yet another theora FourCC used in some .ogm

commit 79bf979ee9f22f83158c136181fac30b50c9b0cb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 4 19:46:26 2012 +0200

    aout: reduce filter table for resamplers and converters
    
    There should never be a need for more than 5 of them. Only the
    filters proper might require more than 5 members in a chain.

commit f8d33b35b84b35ac422e9544f0550ea77be665af
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 4 18:00:15 2012 +0100

    avio: specify libav private options
    
    Usage: --avio-options={foo=bar,few=baz}

commit 50fe8e1180d012caf19d421229143344d4242405
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 4 00:09:08 2012 +0100

    avformat: fix use-after-free in error path

commit 38d91b7f06c21ab8e778d022cac31195027f8134
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 3 12:42:27 2012 +0200

    ALSA: get PCM delay and state in a single system call

commit f6c755c1a825bf9de647b4d6b930beb8c9a4d6f3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 3 11:06:25 2012 +0200

    wasapi: keep device enumerator (and fail safe on Windows XP)

commit d78306636bb368e88a73aa0a1ec6306b67beb771
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 3 00:17:32 2012 +0100

    avformat demux: fix invalid free
    
    the number of streams can change after we find the stream info

commit 4f2c577453a4e687c0b1f619d3dbc9fbfa478598
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Nov 1 09:40:36 2012 +0200

    yadif: update asm code from ffmpeg.git
    
    Clang doesn't like that %%rip macro for some reason, so I disabled
    it for apple. That MANGLE macro is done based on ffmpeg one and
    I added MANGEVARIABLE to work around osx/32-bit compile issues (and
    my lack of asm-fu).

commit 62d68cd9c1899006637cdae0a31540bbff550012
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 22:55:22 2012 +0200

    vlc: start hotkeys interface explicitly
    
    The actions of the hotkeys interface all affect the playlist, the
    playlist's input, the playlist's input's vout(s), the playlist's aout
    or the interfaces (controller). It has no use outside VLC.

commit 360a96dde6871eaf55d6f19d5ba00ebd9bb348cc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 22:42:36 2012 +0200

    interfaces: use playlist_GetAout() where applicable (fixes #7601)

commit 0716a9163a993de26a76796a7b302865d19ad9e0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 22:24:29 2012 +0200

    playlist: add playlist_GetAout()
    
    Contrary to input_GetAout(), this works even without input thread.

commit d16ea40ac2a99a582999dd09668222fb714f5347
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 22:10:54 2012 +0200

    aout: do not remove audio-device on new stream (refs #7601)

commit 779f3102406bd7bccb0c7687acffef3eb5e8cfa3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 21:44:38 2012 +0200

    araw: add 8.1 support (fixes #4896)

commit d83bc62511663138a20d1a9f66b0d8a442421148
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 19:47:08 2012 +0200

    file audio output: fix float endianess

commit 2099857429d29512247ec6874dcbf1d81b69edd0
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Thu Nov 1 22:06:18 2012 +0900

    kai: finish the work for aout changes
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 04caa475c53c2744976df1a8bf35ad2d511e6569
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 19:34:36 2012 +0200

    Fix type

commit b1666e22bbe5bf079d9f550faa85a6ca9aa81b64
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 19:18:02 2012 +0200

    aout: remove old aout_(Volume|Mute)(Get|Set)() functions
    
    And remove the other instance of find-input-callback.

commit 7dba440e2ba695278337fe0a250264234043fb91
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 19:16:12 2012 +0200

    aout: remove aout_MuteToggle()

commit 9a0645469f3513fd8008351f915bb3d3a7871f29
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 19:09:52 2012 +0200

    aout: move aout_ChannelsRestart()

commit 6bec434181c10d514c3416d00cc756eb697c0f58
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 19:06:10 2012 +0200

    aout: remove legacy aout_EnableFilter() and aout_VolumeUp()

commit 037a796b8ddfe6d52299d40301ab695f9c01228a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 18:58:40 2012 +0200

    playlist: use playlist audio functions
    
    And get rid of the horrible find-input-callback.

commit 617abeecabf91f0fef29fa551a58b72c9ef4c4cd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 18:57:34 2012 +0200

    playlist: type-safe functions for audio output management

commit 1e10857ab806369472769823759aa7ac8ead1f16
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 18:44:42 2012 +0200

    Remove useless #includes

commit 4251a30f52fb1d29de02c298ec74dff13079850f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 18:16:27 2012 +0200

    libvlc: do not depend on input thread to obtain the aout
    
    The aout can exist even if the input thread is stopped. This makes
    audio-related functions work in case where they would previously fail.

commit e1eb563f9fae3240af1849d0570dedfe59c085b6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 18:09:46 2012 +0200

    aout: move volume/mute code to output.c

commit 848f8d62c57610c2b6f3d090d5ebdb840b3453d3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 17:59:50 2012 +0200

    aout: move audio output module function (back) to output.c

commit 4766bc859bb4072ccb8e263aa28634d83dac3302
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 1 18:59:54 2012 +0100

    Contribs: update libxml2 to 2.9.0

commit 10b7533ae1e647537d94e931667ed60caee1c67a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 1 17:45:11 2012 +0200

    input: remove obsolete assertion

commit 8a62dea126caedaa899e0a5fde8cc45c7d40876b
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Wed Oct 31 20:33:07 2012 -0400

    audio_output: Android compilation fixes
    
    Adjust the Android audio outputs to the latest aout core changes.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9540c061b2580d9159a01908e8aacbb96bc021f4
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Nov 1 09:37:42 2012 +0200

    Revert "yadif: update asm code from libav.git"
    
    This reverts commit 346f385bb658c2731d0ccb0a85f7da72d607ea7a.
    
    Doesn't seem to work in all cases straight of the box

commit 346f385bb658c2731d0ccb0a85f7da72d607ea7a
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Sep 23 12:59:24 2012 +0300

    yadif: update asm code from libav.git

commit 6cfb1a1a2c472870eb2734691b00d0ff701f849d
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Nov 1 08:37:37 2012 +0200

    transcode: set hurry-up off by default

commit 21f3ef763f5db127eda59fe168c0f85410cdf9dd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 23:28:45 2012 +0200

    input: simplify/inline aout resource handling

commit 1925313da23e72dbf7e7c69e63e1547c9bfd8bc4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 22:59:35 2012 +0200

    VLM: create input resource immediately for each instance

commit 3263b829af4026dbadf7d65d6ed76f56d31f8cbe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 22:59:14 2012 +0200

    libvlc: create input resource immediately
    
    (instead of waiting for play)

commit a940e18df84903f9c6c519ff0ac79d8f416c15db
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 22:53:06 2012 +0200

    playlist: create input resource structure at activation time
    
    If the playlist is activated, then input resources are almost certainly
    going to be used. This is a bit simpler.

commit 62f9f6e8f2f09421227f13cc5e04ed077a9a5223
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 22:52:25 2012 +0200

    PulseAudio: fix race when listing sinks
    
    The stream might not exist.
    
    Regression from e364643f52e6790cc8f177d6593d9a5c0c829513.

commit 10dd2acc08ada7d9027bc1aff493f69c39c4a62a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 22:22:14 2012 +0200

    aout: match module life cycle to the object life cycle
    
    In other words, keep the module loaded whenever the aout exists.

commit ea9c43c2faaed4bbb51e8c254e164adcb33effe5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 22:16:10 2012 +0200

    aout: remove dead recycling code

commit 78d846a4033185facafc5d9e1bc5dad67d525d3d
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Tue Oct 30 14:25:51 2012 +0100

    vlc_input: fix a comment
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit e364643f52e6790cc8f177d6593d9a5c0c829513
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 21:16:37 2012 +0200

    PulseAudio: keep context callback active at all times
    
    This keeps track of available output devices. Again, without core
    support yet, this is not yet useful in any way.

commit 76303c26463e4199e85dd9f9d492294b7dd8c479
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 21:15:29 2012 +0200

    PulseAudio: fix theoretical crash setting volume w/o stream
    
    There is no core support for this as yet, so the crash cannot happen.

commit a90e4d114f8cc2a63cac663710761c43d65df90f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 20:54:54 2012 +0200

    DirectSound: initialize volume handling early

commit 44e1cfc0bd5f8f5539de4ee0f73cd53223a33ccb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 31 19:42:18 2012 +0100

    Auhal: blind compilation fix

commit 0c3c36fd010c21305a49bd2d919877890f731429
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 20:32:28 2012 +0200

    aout: implement changing of software gain while not playing
    
    This concerns ALSA, AudioQueue, JACK and KAI.

commit b1c459e9502282ad3bc94016e532a372f9c6955c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 20 20:27:48 2012 +0300

    aout: add distinct start/stop callbacks (refs #4787, refs #7601)
    
    This would enable the input manager to hold an audio output plugin at
    all times. Then it would be possible to keep track of output devices,
    volume, policy and (JACK) routing continuously. For this to work,
    outputs will need to be patched so that device selection and volume
    handling works even when playing back.
    
    Note though that this commit only introduces the change in the
    audio_output_t interface; it does not implement the features above.

commit 157d4a8bf1db2ea6631b88ad64ace721a574f9b4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 31 17:53:43 2012 +0100

    OpenGL: reorder defines and cosmetics

commit f626393984d0a154cdc1465ba49bbdef24677438
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 17:50:46 2012 +0200

    aout: remove pf_ prefix where left (cosmetic)

commit 6c048d6cc547bad180cd0d341051f3c39ba0505c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 31 17:29:39 2012 +0200

    adummy: avoid forward declaration

commit 2be836eba451de59cedee4e847dc39f7d7ff9b4d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Oct 31 04:16:39 2012 +0100

    lua: add assembleenationale SD script to build system

commit 9002730fbd83123aae1f69f162e4275f595f9f9e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 30 18:31:35 2012 +0200

    mkv: fix call to ES_OUT_SET_NEXT_DISPLAY_TIME

commit 9aef14d5e54f06229a11dbccccd5805482734a18
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 30 11:09:25 2012 +0100

    opengl: fix win32 build
    
    it is not clear how glew(Active)ClientTexture should be acceeded,
    do not use the broken glew 'shortcut' for these functions

commit 2b004056c340aba439ea497449b823629d906264
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 30 11:21:02 2012 +0100

    taglib: fix windows static build

commit fbe00443ab25626d22d2a5040280f54eda432784
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Fri Oct 26 17:27:01 2012 +0200

    libmp4: don't parse twice the file in MP4_BoxGetRoot
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3ce7f98b24bbe196fed4b4cd572e92f9317cbca5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 28 20:50:13 2012 +0200

    Remove VOUT_WINDOW_TYPE_NATIVE (close #7666)

commit 00dba0cc551a856aa31f67d73133ea4f12172158
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 28 18:12:07 2012 +0100

    Move libavutil define to avcommon.h

commit 635abd7fecca5ba6628dc873e70f891affe9bc44
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 28 17:50:19 2012 +0100

    avcodec: AV_CPU_FLAG_MMX2 was removed

commit 58b9244df1ad80db166be7920378ba4b1e5dd8ba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 28 18:32:38 2012 +0200

    XCB/GLX: simplification

commit e64b07eaede82299330744e629d5651404ab7575
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 28 18:32:15 2012 +0200

    OpenGL: enable SPU blending

commit 6cb5d30ee9223b6ea4fc5c1b2eb5dbf3adc3ad50
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 12:15:36 2012 +0100

    FourCC: realign

commit 3c298a7d8419bfdfb823d0501e683f6a8fec4922
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 12:06:36 2012 +0100

    Wav: add another AAC variant
    
    Seems to be used for RDP on Windows 8/2012 according to
    http://msdn.microsoft.com/en-us/library/dd341376%28prot.20%29.aspx

commit 22fecf0b8456e3257201cacededfd8f5dab16f21
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 12:05:08 2012 +0100

    Wav: Add another version of G.723.1 (Microsoft)

commit 99236d7bc67930c189862ef1de4cc429fd1fee3a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 00:38:29 2012 +0200

    ZVBI: do not disable v4l on Linux

commit 4b3f1309c0044d867786f4e0334511841b528469
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 00:38:10 2012 +0200

    Avcodec: support G.723.1 decoding

commit 85de56923384b7afadd162a97073cbb3f04be39c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 00:29:45 2012 +0200

    Support G.723.1

commit 4f10df052a6a375c341fe4ffde5bc9cb755ed410
Author: François Revol <revol@free.fr>
Date:   Thu Oct 25 17:33:13 2012 +0200

    lua: Add sd for french National Assembly live feeds
    
    Only checks for feeds on startup, should probably poll for updates or just list them all (show_all).
    
    Signed-off-by: François Revol <revol@free.fr>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 35f85be0d72b91a5ec1131e06ca428f93cddd5ab
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Oct 28 00:16:49 2012 +0200

    rotate: fix uninitialized motion angle

commit 7ec90ddfe28d1706cf897f6e1eb53e42b5e89ba5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 27 23:18:25 2012 +0200

    i18n: add new files

commit ad3ea21d61c1acebba5d89aa2a2d96cab9edd0b1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 27 20:06:47 2012 +0300

    dvdnav: check ISO 9660 volume descriptor unique identifier
    
    And drop the lame file extension checks. This should fix #7661.

commit dbb645204e3921f0f3e317f992545af4153e324f
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 27 13:34:50 2012 +0200

    macosx: only set b_nonembedded to true if they is no video inside main window
    
    This fixes several bugs, when we start first vout in main window, but a second one
    inside a extra video window.

commit b93441d79adb1141d36baa92d1a6cf844bf7d152
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 27 13:13:21 2012 +0200

    macosx: only set videoplayback to false when last vout window closes
    
    For instance, when we disable visualisations, the playback isn't finished yet,
    necessarily.

commit 664622dbe36c7ebf4e9e271062cd32dab97b698f
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 27 13:12:05 2012 +0200

    macosx: change all default window titles to VLC media player

commit 71023ec9b19272a9da19fe2c5a0d642fab4d73b0
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 27 13:00:50 2012 +0200

    macosx: also update the window name after new video window is created

commit 832c43c64543a9cc8aeb5f1c4c5d60dcbe43761d
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 27 12:45:01 2012 +0200

    macosx: add basic support for multiple vout windows in embedded case
    
    This fixes crashes which occured when trying to open the second vout.

commit 393761aba7a65c70a6b1fbdd435c447a8e3454e4
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 27 12:36:22 2012 +0200

    macosx: move vout initialisation to vout controller

commit 40d4d0fdf1269e28095e778e2486d9184c1733f1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 26 21:34:44 2012 +0300

    PulseAudio: log buffer attribute changes

commit 503feeaf87af2f367617a0f6465ef553b86e1cc3
Author: Sergio Ammirata <sergio@ammirata.net>
Date:   Thu Oct 25 11:10:07 2012 -0400

    Add a new aac audio encoder module based on the fdkaac library. It works correctly up to 5.1 as the current version of the library has problems with 7.1.
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 4c755f49aa4225e95bda123e7ce0a58a0740838d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 25 21:58:43 2012 +0300

    projectM: cosmetic, fix syntax coloring

commit 32f2856076f8a9aeca646eeae3a2a290191f7593
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 25 21:43:35 2012 +0300

    GLX: add OpenGL provider plugin

commit c9664a247522b8deb1658d1ef6e0f881267ed193
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 25 20:01:00 2012 +0300

    GLX: drop support for GLX version 1.2
    
    This is useless as we require OpenGL 1.4.

commit 9fc6fc4b876caf1c51eb5780dc16998b46ea3b99
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 25 16:21:18 2012 +0200

    Fix code indentation

commit a0c2b0aeca98eaa9b7b4a8ddf095527770fb3ac4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 25 15:05:16 2012 +0200

    Image: fix vim typo

commit 50a0ceae0ffa535512c5fd8e0952f277b1732458
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 24 23:58:49 2012 +0300

    avcodec: only set min/maxrate if rc-buffer-size is set

commit f41ea01243bcdba5a92e02b3693895fa88d8d701
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 24 22:47:22 2012 +0300

    avcodec: use av_freep in encode_audio2 case too

commit 99ba52e3d2fe94122d9c08734975d99d630f409d
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 24 22:34:16 2012 +0300

    avcodec: flush buffer and use encode_audio2() on audio
    
    Take2 as now we have new enough libavcodec

commit 527887c7554ed266bdcaca2362bee570fd43451f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 24 19:07:11 2012 +0200

    Upgrade libavformat requirement to 53.21

commit 3005c14f9385fbedcc4a71c528e59d52ab089f3f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 24 18:57:21 2012 +0200

    Update required version of libavcodec to 53.34

commit b903153aeabe8357f2e8417de4547754a2ad909c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 24 12:59:30 2012 +0200

    Vorbis: code cosmetics

commit 5989169a9996f975630026b5e8f52b1c4d4f7e35
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 24 19:49:13 2012 +0300

    OpenGL: use gl(|Client)ActiveTexture directly (fixes #7558)
    
    glActiveTexture() seems mandatory.
    glClientActiveTexture() requires OpenGL version >= 1.3.
    Currently, OpenGL version >= 1.4 is assumed anyway.

commit da801918ff715f56ea3817ab9aaa92d44822a7e1
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 24 19:21:01 2012 +0300

    avcodec: use av_freep instead of avcodec_free_frame
    
    avcodec_free_frame isn't in untill 54.28.0 and were in 52.25.0

commit a8d2d402fe877607701fdd829bafd0982bfe1da9
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 24 18:56:11 2012 +0300

    transcode: actually do the audio encode flushing

commit 1e0a7a8c2b84f9d577e80c49ae252d75ca94cea1
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 24 09:17:43 2012 +0300

    avcodec: settings pts doesn't segfault with mp4v

commit aba8eb022816ac34035310165f13807423f389fa
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 24 09:12:43 2012 +0300

    avcodec: allocate frame properly and free it after use

commit 90bf0f634f4ceb3ea9f8ca72535e0b6ccb1fb27f
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 24 09:12:17 2012 +0300

    avcodec: remove pts workaround

commit 1cc119a0f056a61be686582b6ee01863943ffa7f
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Oct 19 13:51:43 2012 +0300

    avcodec: p_buffer_out was unused

commit bc6e1b20832112eb92df05c1da2b6175d62760a0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 23 18:06:24 2012 +0300

    EGL: print error when configuration is not usable (refs #7634)

commit 65edb507680a4b875624c45cb193f0df352352ba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 22 21:22:54 2012 +0300

    Win32: fix clock sources enumeration

commit 999533ac722bed2de768c00d7aa6858f474ae558
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 22 19:47:52 2012 +0200

    macosx: fixed Reveal-in-Finder for eastern european umlauts and probably other characters without a ISO-Latin fallback (close #7631)

commit 82e41d14d77c14f733024ac5b1e10a667d52d2fc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 22 18:24:39 2012 +0300

    Win32: try to fix build on some Mingw versions

commit 3dd65c56305fc79615436f87e13731294cae542e
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Mon Oct 22 14:48:24 2012 +0200

    src/input/stream_demux.c: fix DStreamThread()
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 8dd70b01420fd64e1717a8f1aa0b5b95f8320f4b
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sun Oct 21 11:28:01 2012 -0400

    Qt4: Avoid a potential division by zero
    
    Fixes an annoying crash for me.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b4cf8ccc20f7a3342f459cb61d18dcaead668700
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sun Oct 21 20:19:46 2012 +0900

    kva: add always-on-top support
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4995ad77e79d68b6ce2b1074a910a1938282d329
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Oct 21 20:21:15 2012 +0900

    kva: hide mouse pointer only if it is not hidden
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3d3db0e575ffaccab568d712ecd083fdff558e6a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 22 02:46:02 2012 +0200

    Fix typo in comment

commit a992f4101899c9596339a851f0781d0f347a825f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 21 22:37:13 2012 +0200

    h264 packetizer: don't swap around CC data
    
    When we output a picture we reinit p_sys->cc_next anyway
    
    sys_t->cc represents the CC data for the picture about to be output
    sys_t->cc_next will hold the CC data for the picture currently being input

commit 1738103b91a7a822486b6576bf221581b3cf7306
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 21 21:10:16 2012 +0300

    Old RC: audio device or stereo mode can be changed when paused

commit cf2106da2cae9ea158c2aec59ccb0c0754a8688b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 21 10:21:26 2012 +0300

    gcrypt: add SHA-256 (fixes #7627)

commit b7165d605397dcc01a71748ec085f8862a8d21e0
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 20 15:15:19 2012 +0200

    macosx: implement vout actions handling for multiple vout windows
    
    Now, everything from the video menu and the basic stuff like fullscreen
    should work. If it does'nt (e.g. fullscreen and resize with video-splitter module enabled)
    please blame the core first. ;-)
    
    TODO: There might be some getVout()-calls left which should be investigated.
    
    close #6814

commit 87937a2d4a93c543d1f9a6012869278856e814d7
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 20 11:46:25 2012 +0200

    macosx: fspanel: give up focus to the right fullscreen window

commit c2fedcc44d9b8419eb3ed1b60545569f51347606
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 20 15:40:07 2012 +0300

    DirectSound: simplify channels configuration a bit

commit 04dc21938de68778af6688da9d3f5d0d9834f16d
Author: KO Myung-Hun <komh@chollian.net>
Date:   Sat Oct 13 19:23:02 2012 +0900

    vlc: Convert command line arguments to UTF-8 on OS/2
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit af76a67dd54ead321658a9cc80ac7023c645c67e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 19 22:29:27 2012 +0300

    Remove dead subcategories

commit e3c92d77d4eb45ac5029f656217b713a1f11685f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 19 22:19:07 2012 +0300

    GnuTLS: use network category

commit 5192952f17febf4d38cb37873fc5e26ece4f53b5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 19 22:16:58 2012 +0300

    Remove SUBCAT_VIDEO_VFILTER2

commit a782a32e0e03832d123befac48b8c7421c94f837
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 19 22:09:01 2012 +0300

    aout: use distinct "audio converter" capability for converters
    
    Contrary to normal audio filters, audio converters cannot change their
    input and output formats, cannot have identical input and output
    formats and are probed automatically rather than by name.
    Using the same capability served no useful purpose.

commit e27457cb8416841357501bbc4a4ae473f09db0b2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 19 17:35:37 2012 +0200

    Revert "xiph demux: Kill a warning (comparison betw. signed and unsigned)"
    
    This reverts commit ea5e62b58eb0660153f73b0870540e5175d00820.
    
    This removes all code from Andri Pálsson

commit 05d0d2b0adbc21fb97bf176aa4adeadad52ae7df
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 19 16:30:55 2012 +0200

    UAC.dll: build with static libgcc/libstdc++

commit d83eeb5ed22fed8845bd8ace75f9709a73ca4f17
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Fri Oct 19 16:03:49 2012 +0200

    demux/mp4: be less picky wrt VC-1 profiles we accept
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 16c650ebca91e39dee6b9d525396c7af52dac79f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 19 13:01:36 2012 +0200

    configure: added a new flag to optionally compile the minimal macosx UI module

commit 3ed0e622ef10baf9d429c220ab581db0495fefe2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 19 13:01:05 2012 +0200

    minimal_macosx: fixed compilation warnings

commit 55166973c5863d2bd91f9ed782c3f6d1e9b7a564
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 19 12:39:48 2012 +0200

    macosx: thou shall not close AppKit windows off main thread

commit 0ed99820814182550b92dc592fe2ce832f03e0e3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 19 12:38:22 2012 +0200

    Update files included in po

commit ae05c479d818ae2c881bccf40ab66f69bf227c54
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 19 12:08:57 2012 +0200

    CDDA: fix indentation

commit e8dcec0c74d53b0e304c35bfabc2786b7b1c2077
Author: James Bates <james.h.bates@gmail.com>
Date:   Mon Oct 8 17:07:22 2012 +0200

    Updated and reactivated minimal_macosx gui module, which is
    
     needed by the npapi browser plugin on OS X
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 12baf681cade7228219964d5b43fa5fc8ca2c3ce
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 19 11:59:26 2012 +0200

    Koreus: fix on broken pages

commit 490033a212caa68ac246a795c5dc877a7cae59ba
Author: Daniel Mierswa <impulze@impulze.org>
Date:   Fri Oct 19 11:25:26 2012 +0200

    vlc_interface: fix preprocessor definition
    
    the wrong string list (dot instead of comma) makes the media-library
    build fail
    
    Signed-off-by: Daniel Mierswa <impulze@impulze.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 940cf07d668f41d3d01ff87f4647afc37b4dca80
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Oct 19 12:20:58 2012 +0300

    transcode: send NULL packet to audio encoder when closing
    
    As with Video-encoders, audio encoder can flush buffers in that case.
    Currently avcodec doesn't handle flushing and other encoders in this
    changeset (flac,speex,twolame,vorbis) have only boilerplate to check
    against NULL input so they don't crash.

commit 4445e5b31ce9ed0a97f14e25c5f5419093957b08
Author: Daniel Mierswa <impulze@impulze.org>
Date:   Fri Oct 19 11:01:05 2012 +0200

    configure.ac: add libvcdinfo to --enable-vcdx requirements
    
    the module uses libvcd/info.h which is provided by that particular
    library and it was also a dependency before the pkg-config detection
    
    Signed-off-by: Daniel Mierswa <impulze@impulze.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ac1d1616c9814e9bae1588c60bc256dc3e15508c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 18 22:49:53 2012 +0300

    pulse: do not resync on suspend
    
    Suspension should not occur during playback. However, it can happen
    while the stream is starting. In that case, forgetting the
    synchronization informations is more harmful than good.

commit ce87f749aef0db130f494fb8d8e9e2653e0be4f5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 18 22:46:35 2012 +0300

    pulse: fix start time, do not confuse first and last PTS in buffer

commit 40b9ca96c138a97542a3948c20853ca8ff610edc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 18 21:17:30 2012 +0300

    Never load module with zero score implicitly
    
    Regression from cf98594d6abd2e68fabfc440677a93bfe0f0e631.

commit 893fb2e2527f5a0b1ff18fb3b6a24918562990fc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 18 20:49:16 2012 +0300

    sout: mostly fix and clean up pace control setting
    
    Still transcode and ES are broken.

commit 938d93aa3d958236ff4929a2d2102557fa1d3581
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 18 19:34:20 2012 +0200

    contrib: dvdnav: disable examples using configure option

commit 35522bc2663a646e4cdaf0e0c2c81ef33e295a6c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 18 18:36:59 2012 +0200

    macosx: fixed rare crash when trying to send debug messages
    
    This can happen while the interface module isn't fully initialized yet or anymore

commit 32b9c5bbb0e56bdd591d46423126377c8eaeea68
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Aug 19 19:22:15 2012 +0200

    unzip: fix compilation warning

commit afea01e63d2b4094592c80344e01eb975ebd2308
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 18 19:00:36 2012 +0300

    SHM: set true PTS instead of synthetic one (fixes #7579)

commit 9b3b6803540d975ced2e477ad2fce36b26eb78d0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 18 18:56:02 2012 +0300

    XCB screen: set true PTS instead of synthetic one
    
    This should account for long term drift better, especially when
    synchronizing with audio or video capture.

commit 2502ae959527f547d5fdea72c8f07d346c9e4fff
Author: Grigori Goronzy <greg@blackbox>
Date:   Thu Oct 18 16:12:34 2012 +0200

    contrib: harfbuzz: disable non-native backends
    
    Disable Uniscribe, CoreText and hb-old backends. They're not required
    anymore due to inclusion of UCDN.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2f8990294e4b5f37e932669d77c85c4a857d9701
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 18 13:58:25 2012 +0300

    Win32: correctly implement flockfile() et al
    
    This should fix gibberish interlaced log messages.

commit f6baf564233fc7d812105a169611f3a3afbd28cb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 18 18:34:48 2012 +0300

    configure: check Linux syscalls only on Linux
    
    They could work differently on other systems. Better safe than sorry.

commit c1de0944725cdef92d62419e95dd147d7690cc98
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 18 17:00:42 2012 +0200

    MacOS: use X.7 SDK by default

commit b8c18aec7fe47e424384702415794167dd131932
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Wed Oct 17 18:01:53 2012 +0900

    mkv: fix the problem that mkv is not played on OS/2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 54e605e37108dae58a29daf342a1ea9348066196
Author: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date:   Thu Oct 18 21:58:20 2012 +0900

    contrib: HarfBuzz version 0.9.5
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 826ec51f9d71813ceb1447d071c848b2ae467d9f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 18 12:54:23 2012 +0200

    Contribs: update libass to 0.10.1

commit 4839c1c568102f830531db08d76af4885f485e33
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 18 11:56:31 2012 +0200

    Update the release Howto

commit 5e61e248b70e4aa42466834e6ce2c0538747d1b1
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 18 04:39:05 2012 +0200

    rotate: don't branch inside spinlock

commit 4a8d38843ad4012e2ea0c75e0c485edd6a41ce07
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 17 17:49:45 2012 +0200

    contrib/ffmpeg: fixed compilation for the iOS simulator

commit 4dd980cb5688afb95a6fd7a55694709adcdb2ea4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 17 17:54:10 2012 +0200

    contrib/postproc: fixed compilation for the iOS simulator

commit 3f8d37631aaf8b6dec334e75d11602b86b56db02
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 17 17:34:11 2012 +0200

    Contribs: forcing -O2 on libavcodec is useless on small size
    
    It is actually bigger on ARM/Android...

commit 8d09802392b674ea6ae7993c20e6f725b0d7a86c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Sep 13 01:38:11 2012 +0200

    contrib/mad: use -O3 instead -O4, since the latter results can end up to be undefined

commit 75ae8b8313310c5abc382085f1f0ca18754ef354
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 8 15:10:24 2012 +0200

    extras/tools: updated the iOS build script
    
    - Use the iOS 6 SDK by default while retaining 5.1 compatibility
    
    - enable ogg, speex, theora, flac
    
    - limit the number of installed modules to the actually useful ones for this port
    
    - add support for OPUS

commit ec746a55e99e0b03e7083cd1771a3b5135d46e97
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 17 15:40:21 2012 +0200

    AAC detection is not strong enough to force the aac demuxer

commit ee02148b69a921bd28f77f0a9905bfea79083f78
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Oct 17 13:12:50 2012 +0200

    android: fix detached threads leak

commit 17b4418856ec1cf7862f5c70f767cc8ad2f81971
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 16 23:59:38 2012 +0300

    And yet another translator that cannot read English (fixes #7605)

commit b667100bcf0cbd916db4fbb6ce6f8a51ff971ad8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 16 22:41:52 2012 +0300

    avcodec: probe acceleration module only once
    
    The acceleration plugin now returns the expected pixel format instead
    of checking it. That way, the avcodec module can check it directly.
    
    This works as long as each acceleration plugin supports only one pixel
    format (otherwise a table would be required).

commit dfccdf84e19f85a084157fbf77f82b3e8508ae4e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 15 21:21:32 2012 +0300

    Android: remove polling timer in mwait() and msleep()

commit 22203a5835c4cb44be70653c94375af309141168
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 16 18:47:35 2012 +0300

    shm: fix capture with non page-size frame size (maybe fixes #7579)

commit e9ffcf989a0f342be074eb6835f6f3db69a51a90
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 15 21:16:04 2012 +0300

    Android: remove contention in vlc_cond_wait()

commit 3405b7dab84d995cb708a0753ff2e4a843f63134
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 15 20:53:49 2012 +0300

    Android: use monotonic clock

commit cc44bfb641eb0fed8f84631338f9563fb5bbff95
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 16 16:59:22 2012 +0200

    mkv: fixed playback of certain files on 32bit Apple platforms

commit 64de31cb586df59bf53f441625cae0a2cf5e94be
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 16 15:57:06 2012 +0200

    macosx: fixed compilation for llvm-gcc-4.2

commit 97120924b7ade6583c285c2b91c6ce1c0efa2c20
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 15 21:57:45 2012 +0200

    i18n: update skipped files

commit b2013f03bc78fc6f79b84329660d6c4428d02066
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 15 21:43:58 2012 +0200

    i18n: add new files
    
    ... and an old file with new translations

commit bd3d52ddece0d319d9c1adaf2e168e555d30ab6c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 15 18:02:06 2012 +0300

    i420_yuy2: correct placement of target attributes

commit b3b751cb99df71e3c0a18bcb38b4691cf98265fe
Author: Edward Wang <edward.c.wang@compdigitec.com>
Date:   Sun Oct 14 18:58:18 2012 -0400

    png: Check length before read
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 726284744819a9665b2c7f87fe9a33cfc00a2f8b
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Oct 15 00:46:57 2012 +0300

    mediacodec: Check for exceptions after MediaCodec.start()
    
    Also log a warning if MediaCodec.configure() threw an exception.
    
    This fixes issues when playing back H264 over RTSP on devices
    supporting MediaCodec - this makes it fall back cleanly to other
    decoders. (The actual issue with playing back these streams is
    not investigated yet.)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 34b0ec9a540d974de8e54db85802636372260ea5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 14 23:12:53 2012 +0200

    Contribs: update libpng to 1.5.13

commit 167e13af8b84a5571015405431f673a120bc402c
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Oct 14 20:21:16 2012 +0900

    OS/2: enable access_sftp
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 777d0a4010480edbfa8a544535794d2fb92baab8
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 14 19:46:38 2012 +0200

    vaapi: fix build
    
    link with libavcodec

commit 30cfbde30e0849fa66a61f72d57055b99072fbda
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 14 19:41:42 2012 +0200

    mp4 demux: fix crash
    
    Don't call with NULL
    Remove unused return value

commit e40fcf32dc18bb062af53930319e3a6c0f95c209
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 14 19:30:55 2012 +0200

    avio access: fix build

commit d9745f66613976f3722a3b42c8b0750b8bd8a0a5
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Oct 14 20:20:09 2012 +0900

    configure: posix test does not understand ==
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 27c0fb46f3ebf5faef41c1fce88e516fb7f21e4d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Oct 14 18:51:11 2012 +0200

    motion: build fix

commit 86cdb48c2eddd02667b12211c76ee71567a289b2
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Oct 14 18:44:37 2012 +0200

    motion: log which sensor is used

commit a05aca783e3b2a03f839d2141ee64ee835ebf1cc
Author: Rui Zhang <bbcallen@gmail.com>
Date:   Sun Oct 14 02:02:11 2012 +0800

    http: trim trailing space in field content
    
    Fix incorrect redirection given in "Location: http://host/path "
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 75d7b6e769325346dede1310d656df73e1b99a6b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 20:47:36 2012 +0300

    Add KDE solid support for Blu-Ray discs

commit 7df32e49d410253bdbcaf7c7411bde9386c459d8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 20:44:44 2012 +0300

    Fix KDE solid predicate
    
    This partially reverts commit 99ebae0c04aa2ce0b3085fbba78f4245c713d9c2.
    (see http://techbase.kde.org/Development/Tutorials/Solid/Device_Actions)

commit b1283c3e43dbcae86638e93c331864d68e281dde
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 20:42:58 2012 +0300

    dbus: avoid spamming D-Bus with bogus volume/mute changes

commit a508c29e2dbb82d88013dd99cdd5539d5a3f1ff7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 20:25:16 2012 +0300

    dbus: simplify input event handling and reduce lock scope

commit a125b0adbb48453b54f353f26db3c4d802a49d0d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 20:22:56 2012 +0300

    VLC_CPU_*: use hexadecimal
    
    Hexadecimal bitmasks are easier to read.

commit 01924381fd15196a68f29d4cc279fb7a42f6f556
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 16:41:14 2012 +0300

    i420_yuy2: clobber MM and XMM registers correctly

commit a865ced4888701e8caf0137672a4857c2b0d47d7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 16:21:24 2012 +0300

    sepia: clobber XMM registers correctly

commit 18d7c9713c4b42368789961af6bc6345ce1fc6f9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 14:51:48 2012 +0300

    avcodec: avoid duplicate vlc_CPU() call

commit 0d5c56e06c27da57d0e3af74bd65286ed40b64dc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 14:39:32 2012 +0300

    Android: compilation fixes

commit 485a070fcaa8e6bd7985ce489d5f53edffecfdaf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 14:05:18 2012 +0300

    avcodec: clobber XMM registers correctly (fixes #5268)

commit 07d8e576c7a0dcc7863d6853f620d5a99ebba55f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 14:00:01 2012 +0300

    avcodec: split generic YV12/NV12 copy out of SSE2 functions
    
    This is required by the next commit. This also avoids making two copies
    on non-x86 platforms, where USWC optimizations are irrelevant.

commit 7d6a8dd18cdd6d5e27802d532cca802158d0ac43
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 13:57:01 2012 +0300

    avcodec: fix SSE 4.1 check optimization

commit e286442d2e5a2b30e909eba9275e7f7d29e57d0d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 13 11:55:51 2012 +0300

    vlc_threads.h: gather per-platform support

commit f929e866e18a94b1c61b4747e56bcd2d2d818551
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sat Oct 13 10:39:27 2012 +0900

    input: Allocate an enough buffer for UTF-8
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 9c1d354326b0d9d5bcb1ee24c450ed82d23240af
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 12 22:42:55 2012 +0200

    i18n: add hardware decoding files

commit 45b010cc9855948661aba8d84b1211f36b730f80
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 23:32:31 2012 +0300

    Qt4: fix codec prefs layout

commit 16b9d39f8980a4a3166ae63e10c1d4bec04993ed
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 23:19:24 2012 +0300

    Qt4: update avcodec-hw prefs

commit 900ada65da18c2730dbb877da7aa2a8a177b736d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 22:36:49 2012 +0300

    dxva2: compilation fix

commit b0e76ef9cf1ab5782aefd2ee969cfe00c6c4825d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 22:29:41 2012 +0300

    Android: avoid polling timer in vlc_join()

commit d611f5c69e028baa4e69c08186642655687e0d9d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 22:22:58 2012 +0300

    Android: do not screw up the signal mask on error

commit 031b7ba0a684661df8b724d3ced1036d3b6e340f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 22:19:40 2012 +0300

    Android: remove vlc_thread_t.detached and simplify

commit 18bbb65f9d96a7a782a383a72fba770405554f21
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 22:12:09 2012 +0300

    Android: tag memory leak

commit fc921ab8647eee4287acdda582176cb2788fbab8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 22:10:01 2012 +0300

    Android: thread->killable does not need to be atomic

commit e7eb250a251766658a3ac5d8d8e7da9a3d792b4f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 20:59:50 2012 +0300

    avcodec: move hardware decoding into dedicated plugins (fixes #7220)

commit 93fd69f494343adb8871501729801c49c7651130
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 20:36:53 2012 +0300

    avcodec: make vlc_va_t a VLC object

commit 1962cd3095652e676cea7830da863cc6f2b621d6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 20:28:28 2012 +0300

    avcodec: use automake conditionals for hardware acceleration

commit a7963bfafe65611b995b0718448e0b6bf43beca7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 19:28:50 2012 +0300

    Qt4: use config_GetPszChoices() for module items

commit 2ef7e0e7e71b26b197cd69e1440e3026735cab2f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 19:28:24 2012 +0300

    config_GetPszChoices(): add support for module config items

commit d1e140e0a9a3b6bc7dc002d691b1dd0c4badd2ae
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 19:11:48 2012 +0300

    Add xstrdup()

commit cf98594d6abd2e68fabfc440677a93bfe0f0e631
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 18:46:12 2012 +0300

    module_need(): rewrite using module_list_cap()

commit a57b503d3466b6ffd7bee40f6f6b814722111951
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 18:39:38 2012 +0300

    module_list_cap(): sorts modules for a certain capability

commit 5c843e8bcc5ab08d18281135f3797451b5bab70d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 18:04:58 2012 +0300

    module_get_capability(): never return NULL

commit 19b91d1b1be063936ba9261fdad69e5c0ca4261e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 18:01:05 2012 +0300

    Remove old object aliasing code

commit 7d5937b3d0a36eb03336b3f03d633edbfba3e381
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 17:51:55 2012 +0300

    DVB: remove dead HTTP code

commit 6656584f494fc78947842c574ff36d7168980396
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 17:42:29 2012 +0300

    DVB scan: re-enable the old plugin
    
    I do not understand why it was disabled in the first place.

commit 31434d074c0660daba473d71ef63a8d52dd5cc75
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 12 17:40:59 2012 +0300

    DVB scan: fix compilation errors

commit d9e638f1e1cf70d1cdcf8d8d0dd1a5794579298c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 12 12:48:28 2012 +0200

    DShow: change text

commit 2511dedef8e5c2960e9ed756c108610c1f2e6874
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 12 12:46:27 2012 +0200

    Revert "dshow: add missing parameter in dialog invocation"
    
    This reverts commit c68332940c36bdbc24b5f1fc5a0633edce88bd52
    
    And removes code from xxcv from core modules

commit 5f0e2c0921d9ae4c942bfc801e421999d05d602e
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Tue Oct 9 19:24:41 2012 +0900

    Qt: Show TimeTooltip window without activating it on OS/2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d473eeede4ab8b14902be07f330764f42dea181a
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Tue Oct 9 22:41:33 2012 +0900

    Qt: Bring a timetooltip on the top on OS/2
    
    This fixes the problem that a timetooltip does not appear on fullscreen
    from the second fullscreen state change.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f9b65ba93009c0ba44b866567cf2548b8e97772e
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Thu Oct 11 23:04:53 2012 +0200

    demux/mp4: fix some memory leaks
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7b3d4c9e7a573754d85d7c054177939ab5d84db8
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Thu Oct 11 23:04:52 2012 +0200

    demux/mp4: rewrite MP4_BoxGetNextChunk()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1ef0c797aa9b2ba3621bf4d01e4d790545d39c83
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Wed Oct 10 18:54:59 2012 +0200

    Smooth Streaming: fix a memory leak
    
    initialization chunks were not freed on Close()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0986ff4adb63ebba6951a2d3112b65fe89b086d8
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Wed Oct 10 18:54:58 2012 +0200

    Smooth Streaming: don't use block_t
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 70459ae3685e78c75c910de5e42cc67f76713868
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Wed Oct 10 18:54:57 2012 +0200

    Smooth Streaming: fix some memory leaks
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9c64ad3466ba3fecc421894de284093fd1c25e58
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 12 11:17:53 2012 +0200

    Contribs: deactivate libavcodec vorbis encoder
    
    Its quality is really bad, and we have the native one...

commit ecf2de3782d847e7a2a31f58243f688c6d5d62f4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 12 11:17:35 2012 +0200

    Qt: fix similar Typo

commit b0519c56ed1edafd21be5b2338cae58c1540473f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 12 11:10:08 2012 +0200

    Dshow: fix typo

commit 0bbd58595c84527fa7884df2a0bdc41f06d73df1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 4 18:19:22 2012 +0300

    Qt4: use MTA apartment for COM (fixes #6880)

commit 6a258c9556eecbfad3541726fea389506252c3f2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 10 19:29:15 2012 +0300

    avcodec: unify interface for video acceleration

commit f95cb82fa03d22883a1fecb5d2cd62ba6b4e18a2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 10 18:02:47 2012 +0300

    avcodec: reduce indentation, fix spelling

commit a294d6af04da83c1ba542448f2cd9cc5271b27c9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 10 18:41:34 2012 +0300

    avcodec: remove dead code

commit fb1046c3f7fe8b56b3f32ba780c00119f40fd805
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 10 17:43:29 2012 +0300

    avcodec: useless #include

commit 0b6ff97b678b5c6075fd76a1a8890b7f3ed17ff4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 10 17:54:12 2012 +0300

    avcodec: move xlib check to vaapi.c
    
    vlc_xlib_init() already checks for --no-xlib internally.

commit 88846171954a218ca9c401b87b0a4faffb5fc385
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 10 18:17:03 2012 +0300

    avcodec: use av_get_pix_fmt_name(), fix potential out-of-band read
    
    Our custom codec names table lacked boundary checks and was incomplete.

commit 6f5810a46adfc2e5202ebaf89b54eb89e7b93934
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 11 19:41:53 2012 +0300

    avcodec: fix spelling

commit 39dc439cf5e3fe83b87078bcf93c13d07fd02dac
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 11 19:42:03 2012 +0300

    avcodec: fix unaligned USWC copy (fixes #6333)

commit 44819779f94086ea1f21a9649af8d41754fa9ccf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 9 19:00:46 2012 +0300

    Win32: match resource character encoding (fixes #7567)

commit f5ab870fb88f9a70117dd14ef8d2bf4062199581
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 12 02:13:56 2012 +0200

    rotate: simplify angle stuff

commit 79ab1f8a5c0df8b8a8073f317d152d77f2aaedf1
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 12 01:48:41 2012 +0200

    motion: fail if no sensor is available
    
    Also proper fallback

commit 867738b542c2dc8b802589ce47462d05ac55f553
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 12 01:13:10 2012 +0200

    motion: destroy transform-type variable when unused
    
    This still sucks badly though

commit 02bff0132d2bd15458070dcba9005b3fd12a95c3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 12 00:55:49 2012 +0200

    motion: destroy motion data properly

commit 5b1d18e73415d0e6442387dd8140685e73429db5
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 12 00:50:26 2012 +0200

    motion: simplify

commit 9de638bba344c06fdc56e69f43ac7a76438d51e6
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 11 22:26:03 2012 +0200

    motion: don't override permanent configuration
    
    Use a variable on the vout object instead to control the transform filter

commit 8988608d550a5578849e6f8e8dd0ff42415d69f7
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 11 14:05:31 2012 +0200

    CC: remove unused sys_t member

commit e14da610c6ec901bb3494bed8d2341087bda847a
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 11 13:56:20 2012 +0200

    CC: simplify Eia608TextUtf8()

commit d3a8a23d4f4cb41c2d955cc561f96204fd74b29a
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 11 13:52:14 2012 +0200

    CC: use c99, removed dummy Eia608Exit

commit b389b4f1ea312e78a6ac875ca56aac07f98e7630
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 10 17:21:26 2012 +0200

    Contribs: more cleanups for libav/FFmpeg

commit 14fa9f281c28432811f2804c29c2061ca6c127cb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 10 16:25:13 2012 +0200

    Contribs: simplify libav/FFmpeg rules as suggested by DonDiego

commit e608d2aa90a733e48cfc58f9be73f2aea8c75c94
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 10 12:58:44 2012 +0200

    macosx: don't initiate a modal dialog during a modal session (close #7575)

commit 26015dacd88f21d48bdebeb499dc8f331baacc19
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 10 11:27:55 2012 +0200

    Subsdec: various fixes for broken subtitles
    
    Close #7553

commit 64e30497fa764f680c2b235757e49f6c83b85028
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Oct 10 01:20:48 2012 +0200

    youtube.lua: support live streams
    
    This could use a bit more testing than a single video

commit 88671de6d9f8d4ccb91e92c250335dced54ce10d
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 9 23:40:55 2012 +0200

    avformat demux: AVFormatContext->nb_streams == 0 is valid
    
    Set the options correctly in this case.
    This happens with some .ts files for example.

commit d7246593be4f2484d13adaaf5bd8cbd4c8e5b812
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 9 18:37:16 2012 +0200

    macosx: show the localized, intended to be user-facing encoding names instead of the variable values to the user.
    
    This way, s/he is never presented an empty menu item for the default value.
    
    This also closes #7539 by preventing stringWithUTF8String calls with empty strings.

commit 8bf315eb70774deb8597973cb229402f901b496e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 9 17:21:21 2012 +0200

    Fix compilation on older versions of libavutil

commit aa0cc2d55262b5645804f748c1a29307dae5725e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 9 16:33:36 2012 +0200

    Avformat: set the dsp mask too

commit a41dcb952e98998de79d36e36a52ce140e06e4be
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 9 16:25:31 2012 +0200

    Av* move GetVlcDspMask from avcodec.h to avcommon.h

commit 4a742a3372164e6708f17024568222fe6ba2d348
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 7 15:49:53 2012 +0200

    android: threads support

commit 314fd50539823143ba6646d43ad9f77af44561a0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 9 15:19:33 2012 +0200

    Avcodec: set the Dsp flags for the encoders too
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7fa3799ae26ecd476d0e8fc9a0fdfd627f6e6f34
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 9 15:15:10 2012 +0200

    Kill a deprecation warning
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6eda4e0c57e0283ceff72631f1408eda38d4fb38
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 9 14:50:30 2012 +0200

    HLS:  PROGRAM-ID is not mandatory in EXT-X-STREAM-INF

commit a4f46a9cd6d5e46d37c6a28ac5a352e07d3eda5d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 9 14:20:46 2012 +0200

    extras/tools: update autoconf and automake to the latest versions

commit 167690dddfaf2f91b4c56c3816243bc36e3f5dd6
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Oct 8 20:15:49 2012 +0200

    fix bug where window resizes to full screen size when using native fullscreen mode

commit dd86d6d46904d129c0d5cfde0a9ef5b71c362235
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Mon Oct 8 19:41:31 2012 +0200

    macosx: adapt and fix fullscreen handling after latest changes
    
    Now, every video window is responsible for the fullscreen handling for its own.
    Furthermore, fullscreen now acts entirely in response to vout events, and not over the
    playlist fullscreen variable callback anymore.
    Native fullscreen mode should also work correctly, but of course only
    for embedded video in mainwindow.

commit 6c1febea5d0c48ff424e0cc5681274b2c6f29eae
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 8 18:19:52 2012 +0200

    h264_nal: include limits.h for INT_MAX

commit 160df76cee6f5ee5dac01c31c9c107fa2a2cc61c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 8 18:00:35 2012 +0200

    Avcodec: kill a warning on non-SSE2 compilations

commit 1a082581dacb87f03bce6bce6532bfb210949511
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 8 18:00:12 2012 +0200

    Update NEWS, po and LIST for mediacodec API

commit c14b0b5e14f98643c71b62aae9f4ce9d85d74192
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 6 14:04:26 2012 +0300

    avformat: if we use dummy access, let avformat write to dst itself, usable for example smootstreaming output

commit 8eac86677e3f6f131ca935571c63646907db9a28
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Oct 6 14:02:50 2012 +0300

    x264: in crf mode, set stream bitrate to be maxrate, so in muxer we have some idea about bitrate

commit 26b84afd75fa1c4957a4cde0588514d18e05446a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 8 16:37:20 2012 +0200

    H264_nal: kill a warning

commit 56020daa5f075ebaa0e0fdbe12a139cd56f3b5d8
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Oct 8 12:55:17 2012 +0300

    Add support for the new Android JellyBean MediaCodec API
    
    The MediaCodec API is a pretty thin layer on top of OMX, so
    while it in principle doesn't gain us much, it is an official
    API, while the OMX parts aren't. This API is a Java API, so
    we have to use JNI to access it. While this is a few layers
    extra, it is supposed to be a fixed API/ABI (contrary to the
    IOMX layer which is unsupported in practice, but where the
    ABI has been broken only between certain major releases).
    
    This should in principle be enabled by default (without any
    settings check box), since this is official public API and is
    supposed to work. However in practice it might still be useful to
    be able to disable/enable it at runtime, since there's currently
    very little guarantees from Android about how to interpret the
    decoded YUV data, and what pixel formats devices can use.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 16b0b99d80d96cf0ce31507fcc4ac125c4db78da
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 8 15:09:04 2012 +0200

    m4: enable dolt support for further apple platforms
    
    This allows us to use it on x86_64, ppc and iOS, too.

commit c2a6e88a9101f3a59038684f88a93e3f24f5217d
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 8 12:41:28 2012 +0200

    audiotrack: set i_original_channels correctly

commit f021e86cf9fb587061f29750476649cf1bc4e62e
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Oct 8 01:27:43 2012 +0300

    omxil: Move code for in-buffer conversion of H264 to annex b to h264_nal.h
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f420b5a5b718d5ff7c54ea6f94f565416c203330
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 8 06:01:13 2012 +0200

    rotate: get rid of useless motion field

commit dcc6fc325a01e190c05a81bc55b47376efe4e87c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Oct 7 23:54:58 2012 +0200

    gnutls: fix grammar

commit 64caabde110f42b5016f7c082f0fd7a5bb15f7ed
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Oct 5 21:45:41 2012 +0300

    iomx: Always build this module if building for android
    
    Remove the configure option for enabling iomx - there is no point
    in using this module on any other platform than android.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9322b68a1f186d4e52b4e1c576cfef696cb8917c
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Sat Oct 6 15:16:45 2012 +0200

    src/misc/fourcc: add entries "ACCL" and "AACH"
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4b2d5cd7230ade2b0e2cd3883ab26432a31fd7b3
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Sat Oct 6 15:16:44 2012 +0200

    mp4: use vlc_fourcc_GetCodec()
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 353ee1078978ba6a84494afe1d9b23210d24f8a8
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Oct 7 00:38:24 2012 +0200

    rotate: fix unimotion link

commit ef54f59cf7a72c1d9b9ff7eaefdda36b3c74e502
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Oct 7 00:16:35 2012 +0200

    motion: fix source file paths

commit 2bf01e19292929c1ea85dad3677aa749d99a75bd
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Oct 7 00:08:35 2012 +0200

    motion: move rotate code into the rotate video filter
    
    Where it belongs. Used with --video-filter rotate --rotate-use-motion

commit 96a19d6c47bca0811b93108903dab6547f72d941
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 6 23:30:06 2012 +0200

    motion: split out motion sensor code

commit ec6361608b0d35887d36ceada9a7f75f0266d096
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 6 22:25:05 2012 +0300

    autodel does not need for pace control
    
    While this plugin is normally only used with pace-controlled outputs,
    it does not need pace control itself.

commit 0a66b41ba528a72b4a8b53a1e4b3c245db324850
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 6 22:23:18 2012 +0300

    sout: access_out and SDP do not need a sout instance
    
    Any object can do. So do not bother with p_sout.

commit f33e3e4b752eb19adb6dbf2f85c14fcd2f5d5cbc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 6 21:20:27 2012 +0300

    sout: remove unused sout_input_t.p_sout

commit 696e01c8f689599baafce8adbc01d960caae53b8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 6 21:19:58 2012 +0300

    mpeg mux: remove useless references to p_sout

commit d82492895f4aa9ef279f620dbd6fbed6c8648749
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 6 21:18:52 2012 +0300

    mp4 mux: remove unused p_sout parameter

commit 6fb39e98c76016f199a7aa1d395632271a6de3ea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 6 18:59:55 2012 +0300

    contrib: gnutls static pkg-config

commit 4b23d65e2b28be6e79507472ad7c7a757620ad81
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sat Oct 6 16:49:04 2012 +0200

    macosx: add black view to detached video view in order to avoid flashes

commit 9346a54290b3329987e26c441e0d45cd05897b4b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 6 17:00:53 2012 +0300

    stream output: remove nul/unused object members

commit 04c0c091696ad713c8d6846a49161590f6685eca
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 6 16:46:24 2012 +0300

    contrib: fluidsynth version 1.1.6

commit d6f2ec0d9d2fed74bcd32c0654fb3cdad3d566ad
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 6 16:39:46 2012 +0300

    contrib: fluidsynth simplification

commit f2ab4fa51554164099abbb9caac9083c0bbc90e9
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Sep 18 19:02:36 2012 +0300

    Revert "avcodec: set libmpeg2mmx idct in use if we encode to mp2v"
    
    This reverts commit 2c055dc81ce1830fb988806a6026aca3650e9ba1.

commit a723d31ff68ed4f38ca3bddfe6922c423eebbb3d
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Oct 3 17:36:39 2012 +0300

    x264: check that string has content before apply it as profile

commit 2e52fef8c0830b98c0907fb815acbf2a2269f09a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Aug 8 15:44:35 2012 +0200

    arm_neon: fixed simple channel mixer compilation using the latest clang release

commit a5fdae9645e25cfac689d79963caeb7b8ec43ebe
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Fri Oct 5 19:36:58 2012 +0200

    Smooth Streaming: fix a macro
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c892cfc936055725dd7f60d043c6d10399e6f6f6
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Fri Oct 5 19:19:56 2012 +0200

    Smooth Streaming: fix manifest parsing (FourCC)
    
    This patch fixes playback for this VOD stream:
    http://mediadl.microsoft.com/mediadl/IISNET/SmoothMedia/Learn/795/Bill_Staples_Cineform.ism/Manifest
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 91b10ca830ef9a53bbd7c3adb7999e397258f708
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 5 17:44:43 2012 +0200

    Update LIST and NEWS

commit 2e23aecc2b1c892d352b5c16659a6895c34d0786
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 5 17:42:09 2012 +0200

    AudioTrack: kill an unused warning

commit f57c0a5b109867ebe90a806fe5b6a6e48cee5514
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 5 17:40:43 2012 +0200

    AudioTrack: blind fix for compilation

commit f67cdb7498f2cbf7c4dd06a466f1e01396566875
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Thu Oct 4 13:12:55 2012 +0200

    Smooth Streaming: clean / factorize code
    
    and prepare subtitle support
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f2cc02bf5e73578970c289aa522f53baa149b67d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 5 17:04:10 2012 +0200

    Contribs: activate thumb2 on ARMv7-a cpu, not only NEON ones

commit 8db3bdf87a941d77c7c6f0bdc54df38d8fd2c75b
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 5 16:11:17 2012 +0200

    Fix audiotrack sources

commit fbc1eb8aa9aee2140f7a6c25c1f56ef2c468a896
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 5 14:16:00 2012 +0200

    extras/tools: updated gas-pp revision

commit cd11cbfeadc32261db99df7a671e616ea56f9bcf
Author: Ming Hu <tewilove@gmail.com>
Date:   Sun May 13 22:20:34 2012 +0200

    Android: add native AudioTrack aout module
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 04a376f95c872d0d726a1352668c44da03ae40cb
Author: David Geldreich <david.geldreich@free.fr>
Date:   Sun May 20 11:16:31 2012 +0200

    add ARM/NEON version of simple channel mixer
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit c311b5fa97b2cc32892a32b4fe578bb70884cc83
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 4 23:56:36 2012 +0200

    Avcodec: set the cpu flags/mask in modern version of libavutil

commit 6012a9c9f91ab9615382dfdf85e7ab19db963b47
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 4 22:13:15 2012 +0300

    aout: add --stereo-mode to replace audio-channels variable (fixes #6)
    
    Since audio-channels was not a configuration item, renaming is a mere
    internal matter. This also fixes callback handling and factors code.

commit 3647bd9a1f86f3040ac8e6101cf311dcbcd96a75
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 4 20:33:38 2012 +0300

    Win32: has gettimeofday()

commit c0a2390f67f156dc0caad806143492433d94d04d
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 4 19:13:06 2012 +0200

    android: add libvlc specific file

commit 3902c186fb1370395c4255980669e7f50616b4e3
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 4 19:11:15 2012 +0200

    Remove unused config_GetConfDir

commit b5360cd03e74fcc343127550517203434da290b9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 4 14:47:05 2012 +0200

    Qt: BackGroundWidget: fade in background

commit e82b763a47c789cda01db48e693a59d184e391c1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 2 17:38:28 2012 +0200

    demux ts: fix EITConvertToUTF8 to deal with no longer broken providers
    (fix #7537)

commit ebea6779eae5dbaf3851c66430ede8d1ea93b03c
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 4 13:13:34 2012 +0200

    contrib: fix libshout build on FreeBSD 8

commit bc9856607fdc7f33b4ac63bd09c8c622f6d65b61
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 3 20:18:27 2012 +0300

    dshow: check CoInitialize() in callbacks
    
    If the calling thread is using COM with MTA model, then CoInitializeEx()
    will fail, and CoUninitialize() will be unbalanced. Ultimately, the
    calling thread is likely to crash. (CoInitializeEx() could also fail in
    case of memory error, but that is unlikely).

commit 72b2a691a8c06b3c27d0eefe5998c8d7d35d1b5e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 3 20:12:39 2012 +0300

    Wim32: use CoInitializeEx() instead of CoInitialize()

commit fba54e1fc6231ca868da1425476050e1601780cc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 3 19:36:37 2012 +0300

    gnutls: show different message if certificate is unknown or mismatching

commit c2acc214605c26dfe5d56f7645154fc9f7301bb2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 3 19:36:24 2012 +0300

    gnutls: print error if key storage fails

commit cbcd3533a618103ca0ab30b3250806d9668782d7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 3 19:21:14 2012 +0300

    configure: do not require libposproc by default

commit 936f57d353ed67f9409800e47b80c911a2a9ee58
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 3 18:13:26 2012 +0200

    FFmpeg: remove outdated WinCE configuration

commit 5bdd4ca6b192feba1a6430d9fef5c5272625415a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 3 18:07:13 2012 +0200

    Contribs: setting -mfloat-abi is orthogonal to NEON

commit 65410039db4705562a1d69494eb43f34eb4740d5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 3 16:03:20 2012 +0200

    Avcodec: avoid miscompilation with older libavutil version

commit 313e047e917bc4468a9b5995300f860bd9de8a70
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 3 15:29:56 2012 +0200

    Update mailmap

commit a08f55513450e289ad9b3252f513c16e90b2ebfc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 3 15:27:19 2012 +0200

    Contribs: runtime-detect only has impact on PPC

commit 50fabdcef2cd96157b4061be4f129d0377f44043
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Oct 3 09:05:33 2012 +0200

    avcodec-hw: fix crash on some CPUs
    
    pshufb is available with SSSE3, not with SSE3

commit ebfdeea1f9e66ddb0ac0e00e5a005d65b9dc5e1e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Oct 2 21:05:26 2012 +0200

    macosx: move the resizing code to VLCVideoWindowCommon as its related to vout
    
    This should fix resizing for all (one-)vout-window variants.
    Furthermore, this fixes a small bug regarding aspect ratio enforcement.

commit 0b3c20521a13aafdff7293349fd0ff9bf3222dda
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Tue Oct 2 19:26:37 2012 +0200

    macosx: add new controller which handles multiple vout windows
    
    refs #6814

commit e0d96420feb70e0f9f68caa8bc6773ca0f5aefb3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 2 18:30:32 2012 +0200

    More extensions for the open dialog

commit 217e0cde51741f1cb5a3d0fa64cb71137496e839
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 2 14:22:42 2012 +0200

    Contribs: use more standard functions for qt4

commit 8ef447a49d49598e5b022c4b2f03a3b8a6a24d98
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 1 23:38:37 2012 +0200

    macosx: fixed crash due to race condition on launch
    
    The main window may be asked to update its content prior to VLCFSPanel being fully initialized

commit 48fcb08c1afd28d0aec079e964805254364d8dd8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 1 23:26:48 2012 +0200

    vout_macosx: add additional sanity checks to prevent rare crashes

commit 244a35b0301164f753a381f569181c6bd3419ad1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 1 22:04:20 2012 +0300

    dca: set output buffer size correctly (fixes #6509, fixes #7459)
    
    Some filters and outputs rely on the samples count (which was correct),
    others on the bytes size (which was not), accounting for why decoding
    failed only in some combinations.

commit 9b58a46173cbea1dc564cced3cfe208979849209
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Oct 1 18:30:36 2012 +0300

    Win32: use CoInitializeEx() instead of CoInitialize()
    
    That is recommended by MSDN. Also, do not use 0 for NULL.

commit 32bfb8dc02f755d46761268f5674eb56671c81f5
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 1 16:18:35 2012 +0200

    update: constify

commit 6841a105dad5bf416fe7e1b906bf4abdce21fbe9
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 1 16:16:45 2012 +0200

    update: do not modify base64 input to add \0 terminators
    
    It is not needed anymore since ce6521381b , parsing will
    stop at first unrecognized character (like \r or \n)

commit 3d7a65c1ba5e79044c71c2b134c5a201ec83b5f2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 1 16:11:43 2012 +0200

    Avcodec: set the dsp_mask for NEON too

commit 08a51ba6b0ac6e7e4c7de2431df669dd3f42ceb0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 1 15:39:53 2012 +0200

    Avcodec: fix typo for SSSE3

commit 2a5976f991ab677c857062a9c6211937dcc8a5d5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 1 14:22:41 2012 +0200

    Fix SSE4.2 detection

commit c9d65d2297fd415e4d31ec8a88781dd688684ecd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 1 14:16:18 2012 +0200

    macosx: show more suitable icons instead of 'generic' for a couple of file extensions
    
    This affects: .opus, .ogx, .wtv, .rec, .vro, .tod and .mks

commit 07461c634cc3a373f8e45b57ee3bbe2299a9a534
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 1 14:13:33 2012 +0200

    Support opening .xesc files on the Mac

commit 517050c8b0f524e2b034680db861f69cc1a74a0b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 1 14:09:27 2012 +0200

    Support opening of wtv files on the Mac

commit 198ef1527dcf30750ae8307575c755e313962849
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 1 13:48:47 2012 +0200

    Remove tabs in source code

commit d12d32c772ddf0c8ac3362b97e82da6aac26927e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 1 13:24:38 2012 +0200

    Support opening of wtv files

commit 766e381d0eabaf3d487c55f1b876408aed16b37e
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Sep 30 21:53:20 2012 +0200

    macosx: adapt module_list_get calls for latest changes in core

commit 568303d7e84c1cb8a66ad694ea82e5fc7b2f4d43
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Sep 30 20:46:24 2012 +0200

    macosx: use black color for detached window background
    
    This avoids grey or transparent flashes on start

commit 92b48ad487140f4b3902f4aa1fb4777ff5008dfb
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Sun Sep 30 15:53:41 2012 +0200

    macosx: add own video view for each window
    
    Note that this commit will break some stuff for non-embedded cases, for now.
    
    refs #6814

commit b9dc892290963e76a5d3e57e29c8ff838248dad1
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Sep 28 19:08:41 2012 +0200

    macosx: remove old and dead code from VideoView.m

commit 2f66c69631cc461ac8619d1f14561fd13a59dc08
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 18:18:37 2012 +0300

    tls: poll and timeout during handshake (fixes #7533)

commit 6c5a0639e7281ce93d1b1881ba45ddc2373396ff
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Sep 30 17:06:31 2012 +0200

    koreus.lua: decode title and description

commit 4491de9a6b93ac1838eaa0ef89ad97eddbcf4960
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Sep 30 17:01:21 2012 +0200

    koreus.lua: small fix-up

commit 15eb1dff90131cee1244c5d2c652b07b04816d7f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 17:52:39 2012 +0300

    http: correctly strip URI scheme upon redirection (fixes #6872)
    
    Quoting the reporter:
    | According to include/vlc_access.h, access_t.psz_location is "URL with
    | the scheme stripped". But in http module, schema stays there after
    | 302 redirection. That may cause httplive module try to access URL like
    | "http://http://host/path".
    
    Pointed-out-by: bbcallen <bbcallen@gmail.com>

commit 1e42dcf39987f82b5531e9dabe38cdb0e91ff19e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 17:12:16 2012 +0300

    gnutls: really translate certificate questions

commit 77646da009115d81af8dd29277e7c5f8ae44272c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 16:04:10 2012 +0300

    file out: translate override dialog

commit 51015d4b1dae956fa44a8ec3ddf137011d5e769f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 16:32:08 2012 +0300

    gnutls: support SSH-style first use certificate authentication
    
    If a certificate does not validate, the user will be given the option
    to accept it manually. GnuTLS will then store the certificate in its
    known hosts database.

commit c8d471d5ec9d526971b76a7a80958b0244b4c948
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 14:34:53 2012 +0300

    tls: add service parameter for handshake
    
    This will be used for fine-grained GnuTLS stored public keys,
    i.e. SSH-like authentication on first use.

commit ac8f45552c4b30747092f8eada9e4d7d4493bbbc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 16:30:41 2012 +0300

    gnutls: ask user if certificate is invalid

commit d40dc861c45da1c6e1acc384be695bfaef1b58f1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 16:23:20 2012 +0300

    dialog: support format strings in dialog_Question()

commit c6acfbb343730226440d0f7f055e8bacc22e877e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 14:28:03 2012 +0300

    tls: pass host name to handshake function, simplify

commit 75ffd9eaf71597a3c457bcb543d377121cda1e58
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Sep 30 15:12:43 2012 +0300

    gnutls: kill relocations

commit a5a93926b55bed6f970423ee4bb8f8da9b54ac6f
Author: Sergey Radionov <rsatom@gmail.com>
Date:   Sun Sep 30 14:06:22 2012 +0300

    mjpeg: move content-type checks to probe phase
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 89b1b06c5eb7a1a5a882b6dfd07d30d9250443be
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Sep 30 12:29:08 2012 +0200

    Fix koreus parsing
    
    Close #7529

commit 86d4fa6bf6cc467743e8b0df478393a74a10bfe2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Sep 29 23:10:49 2012 +0200

    macosx: fixed crash when selecting a QTKit capture device

commit 4630063537cfaffa227bcbe4c346ba153604d0e5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Sep 29 22:31:10 2012 +0200

    fr: fix simplified translation

commit 52eb2b94e64261abd276c47d41326b32fbfdb546
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 23:00:21 2012 +0300

    tls: simplify server code

commit 79a5d68775e135b0f7337d5300a03875588f459d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Sep 29 21:27:18 2012 +0200

    macosx: expose the 'Karaoke' filter in the UI because we can

commit 85aa3320d492dd835548910fd946132cd4e2e0ef
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 19:23:44 2012 +0300

    gnutls: LGPL

commit ba0d112f5b79202cf019f0ea47be7c6669ebee74
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 16:52:13 2012 +0300

    tls: keep credentials when HTTP reconnects
    
    Keeping the credentials container saves some times, as we do not need
    to load and parse all of the 100+ Certificate Authorities again.
    In the future, it will also avoid reloading the stored public keys
    (i.e. security exceptions), or asking for user confirmation again.
    
    Given how the HTTP access is written, the credentials are now preserved
    upon seeking. Unfortunately, they are not recycled across redirections
    as access_t.p_sys gets destroyed internally. This also does not work
    across multiple inputs - support from the instance or input manager
    would be required.

commit 3b14b63995cae2a8f92b66acf14679e4a7f71cc5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 16:10:02 2012 +0300

    tls: unify server and client credential & session concepts
    
    The TLS plugin now supports reusing the same set of credentials for
    multiple sessions also on the client side.

commit b027bfd8bfc249e54bb9c902a333c664a2fe7b9a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Sep 28 23:23:02 2012 +0300

    gnutls: remove support for certificates and keys from .config/vlc
    
    Support for custom certificates will be better addressed with the
    stored public key support in the GnuTLS library (in latter commit).
    
    Support for private keys on client side was practically useless.

commit 48821bd5b1bd435f1727fbf19521e0b4aa2a08e3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 27 21:40:41 2012 +0300

    gnutls: use system X.509 trust
    
    GnuTLS system trust supports more systems, and supports Linux and
    Windows better, than the old custom code.

commit 88a0f9303de0ec653c773d21833483ff7edec968
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 19:29:58 2012 +0300

    gnutls: require same version as configure checks

commit 85c0357c47da1d37ad818428af3d5842778ec761
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 14:42:58 2012 +0300

    gnutls: use block_FilePath() and clean up a bit

commit 79139b20fb78def6a83bd3d1f70af5513231427a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 14:42:32 2012 +0300

    block: add block_FilePath() to load a file into a block_t

commit 5344b8e8898233ce7a31585497a551646fecb8f5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 14:14:53 2012 +0300

    tls: clean up server credentials activation prototype

commit 179ffb95f427e265b6a6ef77d0b89fb33b67938f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 11:05:43 2012 +0300

    tls: allocate server session in core
    
    This enables the use of vlc_custom_create() and, later, sharing more
    code between server and client sides.

commit 38150d6e9de4d8d382149aa2e174b565958ceef7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 15:16:20 2012 +0300

    gnutls: fix memory leak in error case

commit 969171b91cbdc214ab8933542ecf9be986a77cd7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 27 21:39:11 2012 +0300

    gnutls: remove gcrypt initialization
    
    There are no (other) reasons for the GnuTLS plugin to link against
    libgcrypt. Since nettle has been the default back-end for GnuTLS for
    ages, this old code has become more harmful than good.
    
    Besides, this code was not sufficient to really address the thread
    safety issues in libgcrypt (since it is also used via other paths).

commit c9c38976c945422c40d52ec9f77ab81ae2fae581
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Sep 28 23:30:12 2012 +0300

    gnutls: error message cosmetics

commit 91f2c8072a7fc3f051f9405da054182cb7672be3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Sep 29 14:23:14 2012 +0300

    block: add VLC_MALLOC attribute as appropriate

commit 4ab81377158ece056cae3a45084f20efb5df79d7
Author: Rui Zhang <bbcallen@gmail.com>
Date:   Tue May 29 20:42:41 2012 +0800

    httplive: parse EXT-X-MEDIA-SEQUENCE only once
    
    refs #6897
    Signed-off-by: Hugo Beauzée-Luyssen <beauze.h@gmail.com>

commit e71bbc493deae0a2f1c01ea06dbb5e51a555edbe
Author: Rui Zhang <bbcallen@gmail.com>
Date:   Wed May 30 17:41:35 2012 +0800

    httplive: ignore failed stream in meta list
    
    So we have chance to try other streams instead of just fail.
    Fixes #6898
    
    Signed-off-by: Hugo Beauzée-Luyssen <beauze.h@gmail.com>

commit 703ecf7456a80e8c967742f9f77d9643dfc7874a
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Sep 28 22:32:07 2012 +0400

    http access: advertize gzip encoding if supported (fixes #7515)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit f74645ce3b38c1156df114808039203ce6fff951
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Sep 28 18:10:20 2012 +0300

    modules: initialize static modules at the same time as dynamic ones

commit 74486e6b203aa118ec86bb56f7e45a32d420d541
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Sep 28 18:05:53 2012 +0300

    Fix error handling from module_list_get() (fixes #7500)
    
    module_list_get() can return NULL, callers cannot assume that the table
    is NULL-terminated (NULL is not NULL-terminated table).

commit 72a9cd361c2fc0376dbf008194b76f5d61d14aae
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Sep 28 17:33:07 2012 +0300

    Missing error check

commit 74de9069988d20c16310bf6adc2a7c626e6bd749
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Sep 28 15:16:13 2012 +0200

    macosx: move detached window stuff in extra xib file and only load that when necessary

commit 4d406ab204772b06535ccb719ceeb59955fdbf96
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Sep 28 10:55:28 2012 +0200

    macosx: remove unneeded outlet for window in controlsBar code

commit 5d2ed11e91467de6abe609341f4f482414fda198
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Sep 28 14:30:40 2012 +0200

    Contribs: unpacking prebuilt can fail, notably on Win32
    
    I don't have a cleaner way unfortunately

commit 45adae34857fcc317c88fb963f9e875d4290919b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Sep 28 13:11:05 2012 +0200

    macosx: work-around IOKit bug in OS X 10.7.4 and 10.7.5, which effectively stopped VLC from preventing system sleep (refs #7521)

commit 33ecade21c2155a95d0d78c630dfeba96a610eb5
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Fri Sep 28 12:05:22 2012 +0200

    demux/mp4: bug fix for files with 'moov' at the end
    
    This fixes a bug introduced with the fragmented MP4 patch.
    
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 344f840663a64ba37bdcfeea993fbae1f6ac65da
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Thu Sep 27 21:03:08 2012 +0200

    Smooth Streaming: read PacketSize attribute in manifest
    
    PacketSize == nBlockAlign attribute of WaveFormatEx structure.
    
    We also remove the AvgBytesPerSec attribute of the quality_level_t
    structure, since it is equal to the Bitrate attribute (divided per 8).
    
    This fixes streams done by Expression Encoder 4
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3a4021cfde854da79675fa67df47fc4f463f264b
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Sep 28 04:15:49 2012 +0200

    youtube.lua: parse signature parameter
    
    It was in fact still there, but as a separate parameter. We keep the
    alternate API as a fallback for the next time things break, maybe.
    
    Ref #7471

commit ce6521381bc24cda9c9ac4f54ae6e0b61bbcde53
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Sep 14 08:51:22 2012 +0000

    base64 decode: stops after first invalid character

commit 24491d22594b78ac65766db540daf2f33a950df7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 27 15:27:50 2012 +0200

    Contribs: update taglib to 1.8

commit 675443e455b833ba0fdb05206e8b414e085d874f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 27 14:54:26 2012 +0200

    Contribs: update gnuTLS to the latest of the 2.12.x branch

commit 4e4547f4ad45f560500022932a8c2e8c63b1ffb9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 27 14:34:06 2012 +0200

    COntribs: update to fribidi 0.19.4
    
    Yes, a release after 3 years...

commit 2332198fea65aa50ea48fb7fde22b753e1e96a8f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 27 14:30:57 2012 +0200

    Contribs: update tiff to 4.0.3

commit d3de21b95940c4c618934f42b523d20a3625c65a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 27 12:54:34 2012 +0200

    Schroedinger: fix notests patch

commit 674d7b33cfc12b2677ce0b4ba154d792e352bae6
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Sep 27 01:51:27 2012 +0200

    bootstrap: catch Modules.am in all subdirectories

commit 04e08a2ad5ae7f6f5df1202a80b85235c2639d1b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 26 23:05:28 2012 +0200

    Qt: sout_mrl: fix mrl generation for *codec=none||copy

commit 64e0dbf7d21e91b91c61a6171296e121066fdded
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Sep 26 22:25:40 2012 +0300

    bootstrap: use shell rather than find and sed

commit 7062f040ffa601436a1dee8c9a639846ae7eb347
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 26 20:07:44 2012 +0200

    Do not build Dummy and T.140 encoder when sout is disabled

commit da112653fba3486db43b96075eaa7801b3229b32
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 26 20:03:19 2012 +0200

    Theora: split encoder from decoder

commit 6a3525f33f420bd4ac2cdeb842f7cfc3f3378e0c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 26 20:00:56 2012 +0200

    Speex: split encoder from decoder

commit a43e19d4ace61b776a634de544f3208b6f8ffec9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 26 19:52:38 2012 +0200

    FLAC: split encoder from decoder

commit 442744ac60e382175951b628177c45bd1fbf03ad
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Wed Sep 26 15:57:14 2012 +0200

    Smooth Streaming: play streams with no video (or audio) track.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9eec8037ad355aab59034e5e99f321e37e4ca731
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Sep 26 17:28:35 2012 +0200

    configure: search Qt programs also in contrib dir

commit f6f88ca0c3200bd165d618fcd1e5eb9bb697055d
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Sep 24 20:17:06 2012 +0300

    omxil: Make CopyOmxPicture not use the omxil decoder's internals
    
    This allows using this function for copying data in a given
    OMX pixel format, to be used by the MediaCodec decoder (that
    uses OMX pixel format definitions).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c62eab3d5c33caf6e602f11acdbbe5dcc0ce4941
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Sep 25 22:45:20 2012 +0200

    macosx: implemented pressed state for the effects button (dark UI) (close #7408)

commit 8fec38bc36d5e7899a6e1a70cb016697c042cf65
Author: Damien Erambert <damien.erambert@me.com>
Date:   Tue Sep 25 22:42:31 2012 +0200

    macosx: added pressed state artwork for the single effects button (dark UI)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 050cdf4c98ec2886cb90d6702731cdfe78a4dfbe
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Sep 25 21:05:11 2012 +0200

    Improved git log searcher script. The special cases (names) are found on 2.0.x tree

commit fe6e7e3d43238b85c9c2f2379410a5ea1c5c8247
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 24 15:30:34 2012 +0200

    Record: escape file names
    
    Close #7490

commit 7e04b2c2ba7f56541efc72e0c88e79988d7d009e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 24 14:58:53 2012 +0200

    Folder: support more album art files

commit 312dac879f3f7df020e2149614ee83e26fa64bb7
Author: Jean-Paul Saman <jean-paul.saman@m2x.nl>
Date:   Mon Sep 24 13:13:37 2012 +0200

    pulse: fix comment.

commit 53b36fa3a7c359bc2f4c2f3c592ebb9def7dedb3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Sep 24 14:12:34 2012 +0200

    Update NEWS, po, LIST for smooth streaming
    
    And cosmetics

commit 5bf01e701f04f73d26f07efcc443718d672cfbac
Author: Frédéric Yhuel <fyhuel@viotech.net>
Date:   Wed Sep 19 17:14:42 2012 +0200

    Add Smooth Streaming module
    
    Tested with:
    
    ***** Live *****
    - http://demo.anevia.com:3128/live/disk1/live1/ss-ss/manifest
    - http://demo.anevia.com:3129/live/disk1/live2/ss-ss/manifest
    
    ***** VOD *****
    - http://demo.anevia.com:3131/vod/disk1/content2/ss-ss/Manifest
    - http://demo.anevia.com:3130/vod/disk1/content1/ss-ss/Manifest
    
    - http://mediadl.microsoft.com/mediadl/iisnet/smoothmedia/Experience/BigBuckBunny_720p.ism/Manifest
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5a72f814368a14e31bfbce3c7a3402068e3f648a
Author: Frédéric Yhuel <yhuelf@gmail.com>
Date:   Sun Sep 23 18:23:38 2012 +0200

    demux/mp4: fix PTS computation
    
    p_sample_offset_pts must be NULL if MP4_TRUN_SAMPLE_TIME_OFFSET is not
    present. Then MP4_TrackGetPTSDelta would return -1 (instead of 0
    previously), and PTS of video frames would be set to VLC_TS_INVALID,
    which is the right thing to do in that case.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a9ebdde488ca7bb580d84b9cd742261ad6451afd
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Sep 21 17:22:11 2012 +0300

    mjpeg: minor cosmetics

commit efd7d3f6518c3917231618e72f131cfa78f3fa48
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Sep 21 17:16:00 2012 +0300

    mjpeg: Yoda code usage avoiding you will

commit 0cabddab2e553cd07027a259ead53ab5d98242f8
Author: Hugo Beauzée-Luyssen <beauze.h@gmail.com>
Date:   Fri Sep 21 17:08:50 2012 +0300

    mjpeg: Fix uninitialized values for i_size when checking mime header.
    
    Different return values have been removed, as they were not used.
    Fix #7079

commit e6bd3d096ddbe87b3d37e45942de334ff8d03731
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 21 17:06:35 2012 +0200

    Qt: sout mrl generator: also apply optional x264 options on fixed
    bitrate

commit 4ef659cb851dd589d64dacaaa0d8d863a74730d4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 21 17:02:23 2012 +0200

    Qt: profiles: convert to new options format.
    
    Also fix a profile height error and missing baseline options for
    android.

commit 323baccea6a7ea13be78ba8ac99b93bae651bca7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 21 16:48:33 2012 +0200

    Qt: sout mlr generator: only apply x264 options when required

commit 79f0eec796a2c574971800c84e48912cba6c300a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 21 16:37:33 2012 +0200

    Qt: profile_editor: fix inverted test

commit 2f6033349e281efc87e88292d3d2bd14eb5b6a78
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 20 15:41:54 2012 +0200

    Qt: profiles_editor: add bitrate field and custom field

commit a15751bb40bb2c1b96f7aa4abc53224eeee4311c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 20 13:16:01 2012 +0200

    Qt: profiles_selector: change/simplify widgets reset/selection behavior

commit 43084cb62ac2f3dc977983f7e82a735b019ed421
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 20 12:28:48 2012 +0200

    Qt: profile_selector: rework profiles backup/restore

commit d7ad3f6ff2c12b2b1f07f88ea597b8460755e87b
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Thu Sep 20 23:30:09 2012 +0200

    android vout: expose the density to the JNI

commit 1394bd284bc2e58e578671e2e5a5f410763e84a1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Sep 21 14:06:38 2012 +0300

    Revert "Add test cases for the libvlc equalizer API."
    
    This reverts commit 15498896d0666767e0604cf84a937640f7c74eae.

commit 6f74124e45470eeb713849812537e8549c1b96dc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Sep 21 13:54:20 2012 +0300

    Revert "Add new API to libvlc for persistent equalizer settings."
    
    This reverts commit 32596ea810730f1d995ed7cb023de64cf1da6047.

commit 86e8c9d51503b0e5ae2fb8585ac4d67e9f570a1b
Author: Frédéric Yhuel <fyhuel@viotech.net>
Date:   Wed Jul 18 16:36:21 2012 +0200

    demux/mp4: Add fragmented MP4 support
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2f1fe72f986c7a408f28b0d8732ceb284ec092e3
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Sep 21 10:46:03 2012 +0200

    macosx: suppress format warnings in StringUtility
    
    According to http://developer.apple.com/library/mac/#documentation/cocoa/conceptual/Strings/Articles/formatSpecifiers.html
    %C is the right one for unicode characters.

commit 4d4ba91c09fa323c45326e678f992390e7bce5bd
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Sep 21 10:20:35 2012 +0200

    macosx: remove hack when changing embedded video setting
    
    I have been testing without this code for quite a while now, and I never
    got the crash responsible for this hack anymore. So, lets remove the
    hack, and if the crash occurs again, we should find a proper way to
    fix it.

commit bf330d229f438784e830bbb202f87e2e3ec3ec23
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Sep 21 10:18:16 2012 +0200

    macosx: simplify one setting and fix a typo regarding extra video window

commit a0140fe5b23a9ba3cc983bb7ffb0e118a4102130
Author: David Fuhrmann <david.fuhrmann@googlemail.com>
Date:   Fri Sep 21 09:48:14 2012 +0200

    macosx: create new classes for all controls bar related code
    
    Now, we have two classes (instantiated from the xib file for each window)
    with controls bar stuff:
    - VLCControlsBarCommon holds all code common for main and detached window
    - VLCMainWindowControlsBar adds code specific for the main window bar
    
